<?php 
setlocale(LC_MONETARY, 'en_GB');
session_start();
require_once('Connections/rounds4sale.php');
require_once("includes/pagination.class.php");

$connessione = mysqli_connect($hostname_cleaningrounds, $username_cleaningrounds, $password_cleaningrounds, $database_cleaningrounds);
mysqli_set_charset($connessione,"utf8");


$titolo = "Window cleaning rounds For Sale";

$record_per_pagina = 20;

if (isset($_GET['sort'])) {
	$sort = $_GET['sort'];
} else {
	$sort = 'date_insert';
}

if (isset($_GET['order'])) {
	$order = $_GET['order'];
} else {
	$order = 'DESC';
}

if (isset($_GET['page'])) {
	$page = $_GET['page'];
} else {
	$page = 1;
}

$url = '';

if (isset($_GET['location_display'])) {
	$url .= '&location_display=' . urlencode(html_entity_decode($_GET['location_display'], ENT_QUOTES, 'UTF-8'));
}

if (isset($_GET['search_location'])) {
	$url .= '&search_location=' . urlencode(html_entity_decode($_GET['search_location'], ENT_QUOTES, 'UTF-8'));
}

if (isset($_GET['filter_price'])) {
	$url .= '&filter_price=' . urlencode(html_entity_decode($_GET['filter_price'], ENT_QUOTES, 'UTF-8'));
}

if ($order == 'ASC') {
	$url .= '&order=DESC';
} else {
	$url .= '&order=ASC';
}
		
if (isset($_GET['page'])) {
	$url .= '&page=' . $_GET['page'];
}

			$sql = "SELECT COUNT(*) AS totale FROM rounds_for_sale t LEFT JOIN country c ON (t.id_country=c.id_country) WHERE (status = 'live' OR status = 'sold')";
								
								if(!empty($_GET['location_display'])){
									$sql .= " AND t.id_country = '" . (int)$_GET['location_display']."' ";
								}

								if(!empty($_GET['county_display'])){
									$sql .= " AND t.county = '" . $_GET['county_display']."' ";
								}
								
								if(!empty($_GET['search_location'])){
									$sql .= "AND (c.name LIKE '%" . mysqli_real_escape_string($connessione,$_GET['search_location'])."%' OR comments LIKE '%" . mysqli_real_escape_string($connessione,$_GET['search_location'])."%')";
								}	
								
								if(!empty($_GET['filter_price']) && $_GET['filter_price'] != 'Show All'){	
									if(strpos($_GET['filter_price'], "+") !== false){
										$sql .= " AND price > '".ltrim($_GET['filter_price'], '+')."'";
									}else{
										$sql .= " AND price <= '".$_GET['filter_price']."'";
									}			
								}
								
			$result = mysqli_query($connessione,$sql) or die(mysqli_error());
            $row = mysqli_fetch_array($result);
			$totale = $row['totale'];	

$loc_query_county       = "SELECT * FROM tbl_county where 1 order by county_group_priority ASC";
$loc_exe_query_county   = mysqli_query($connessione,$loc_query_county);
?>
<!DOCTYPE html>
<html lang="it">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>Window Cleaning Round For Sale</title>
<meta name="Description" content="Find a window cleaning business for sale. Advertise your window cleaning business for sale. Look for a window cleaning round.">
<meta name="Keywords" content="window cleaning business, window cleaning rounds for sale, window cleaning rounds wanted, window cleaning business for sale, window cleaning round for sale">
<link href="assets/css/bootstrap.min.css" rel="stylesheet">
<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.3.1/css/all.css" integrity="sha384-mzrmE5qonljUremFsqc01SB46JvROS7bZs3IO2EmfFsd15uHvIt+Y8vEf7N7fWAU" crossorigin="anonymous">
 <link href="assets/css/style.css" rel="stylesheet">
<link href="https://fonts.googleapis.com/css?family=Open+Sans" rel="stylesheet">

<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js"></script>
<script src="assets/js/bootstrap.min.js"></script>
<script type="text/javascript" src="./index.js"></script>
<script>
var text1="Advertise your window cleaning round for sale for free with www.windowcleaningresources.co.uk"
comeback=0
cometo=0
function dis(){
window.status=text1.substring(0,cometo)
if(comeback==1){
cometo--;
if(cometo==0){comeback=0}
} else {cometo++;if(cometo==text1.length){comeback=1}}
window.status=text1.substring(0,cometo)+"|"
if(cometo==text1.length){window.setTimeout("dis()",500);} else {window.setTimeout("dis()",75);}
}
dis()
</script>
</head>
<body>
<div id="wrapper">
	<?php require_once("includes/header.php");?>
	<?php require_once("includes/subheader.php");?>
	<div class="main-container">
		<div class="container">
			<div class="row">
				<div class="col-md-9 page-content">
					<div class="content-box col-xl-12">
						<div class="row row-featured row-featured-category">
							<div class="col-xl-12  box-title no-border">
                                <div class="inner">
									<h2 class="text-center">Rounds For Sale (<?php echo $totale;?>)</h2>
                                </div>
                            </div>
						</div>	
						<div class="row">
							<div class="col-xl-12">
								<div class="card">
									<div class="card-header">Search</div>
									<div class="card-body">
										<form method="get" action="?filter=1">
											<div class="row">
												<div class="col-sm-6 col-md-6 col-lg-3">
													<div class="form-group">
														<label for="location_display" class="sr-only">Region</label>
												   <select name="county_display" class="form-control">
												       <option value="">Select Region</option>
												       <?php
												       $loc_prev_county_group = '';
												       
									while($row =mysqli_fetch_array($loc_exe_query_county)){
									    $loc_curr_county_group = $row['county_group'];
									    if($loc_prev_county_group != $loc_curr_county_group) {
									        if($loc_prev_county_group != '') {
									            echo '</optgroup>';
									        }
									        echo '<optgroup label="'.$loc_curr_county_group.'">';
									    }
									
									    $loc_prev_county_group = $loc_curr_county_group;
									?>
									    <option value="<?php echo $row['county_id'] ?>" <?php if ($_GET['county_display'] == $row['county_id'] ) echo 'selected';?>><?php echo $row['county_name'] ?></option>
								<?php	}
								echo '</optgroup>';
												       ?>
												       <?php /* ?>
												   <option value="">Select Region</option>
             <optgroup label="England">England
             <option value="Bedfordshire" <?php if ($_GET['county_display'] == 'Bedfordshire') echo 'selected';?>>Bedfordshire</option>
<option value="Berkshire" <?php if ($_GET['county_display'] == 'Berkshire') echo 'selected';?>>Berkshire</option>
<option value="Bristol" <?php if ($_GET['county_display'] == 'Bristol') echo 'selected';?>>Bristol</option>
<option value="Buckinghamshire" <?php if ($_GET['county_display'] == 'Buckinghamshire') echo 'selected';?>>Buckinghamshire</option>
<option value="Cambridgeshire" <?php if ($_GET['county_display'] == 'Cambridgeshire') echo 'selected';?>>Cambridgeshire</option>
<option value="Cheshire" <?php if ($_GET['county_display'] == 'Cheshire') echo 'selected';?>>Cheshire</option>
<option value="Cornwall" <?php if ($_GET['county_display'] == 'Cornwall') echo 'selected';?>>Cornwall</option>
<option value="Cumbria" <?php if ($_GET['county_display'] == 'Cumbria') echo 'selected';?>>Cumbria</option>
<option value="Derbyshire" <?php if ($_GET['county_display'] == 'Derbyshire') echo 'selected';?>>Derbyshire</option>
<option value="Devon" <?php if ($_GET['county_display'] == 'Devon') echo 'selected';?>>Devon</option>
<option value="Dorset" <?php if ($_GET['county_display'] == 'Dorset') echo 'selected';?>>Dorset</option>
<option value="Durham" <?php if ($_GET['county_display'] == 'Durham') echo 'selected';?>>Durham</option>
<option value="East Riding Of Yorkshire" <?php if ($_GET['county_display'] == 'East Riding Of Yorkshire') echo 'selected';?>>East Riding Of Yorkshire</option>
<option value="East Sussex" <?php if ($_GET['county_display'] == 'East Sussex') echo 'selected';?>>East Sussex</option>
<option value="Essex" <?php if ($_GET['county_display'] == 'Essex') echo 'selected';?>>Essex</option>
<option value="Gloucestershire" <?php if ($_GET['county_display'] == 'Gloucestershire') echo 'selected';?>>Gloucestershire</option>
<option value="Greater Manchester" <?php if ($_GET['county_display'] == 'Greater Manchester') echo 'selected';?>>Greater Manchester</option>
<option value="Hampshire" <?php if ($_GET['county_display'] == 'Hampshire') echo 'selected';?>>Hampshire</option>
<option value="Herefordshire" <?php if ($_GET['county_display'] == 'Herefordshire') echo 'selected';?>>Herefordshire</option>
<option value="Hertfordshire" <?php if ($_GET['county_display'] == 'Hertfordshire') echo 'selected';?>>Hertfordshire</option>
<option value="Isle Of Wight" <?php if ($_GET['county_display'] == 'Isle Of Wight') echo 'selected';?>>Isle Of Wight</option>
<option value="Kent" <?php if ($_GET['county_display'] == 'Kent') echo 'selected';?>>Kent</option>
<option value="Lancashire" <?php if ($_GET['county_display'] == 'Lancashire') echo 'selected';?>>Lancashire</option>
<option value="Leicestershire" <?php if ($_GET['county_display'] == 'Leicestershire') echo 'selected';?>>Leicestershire</option>
<option value="Lincolnshire" <?php if ($_GET['county_display'] == 'Lincolnshire') echo 'selected';?>>Lincolnshire</option>
<option value="London" <?php if ($_GET['county_display'] == 'London') echo 'selected';?>>London</option>
<option value="Merseyside" <?php if ($_GET['county_display'] == 'Merseyside') echo 'selected';?>>Merseyside</option>
<option value="Norfolk" <?php if ($_GET['county_display'] == 'Norfolk') echo 'selected';?>>Norfolk</option>
<option value="North Yorkshire" <?php if ($_GET['county_display'] == 'North Yorkshire') echo 'selected';?>>North Yorkshire</option>
<option value="Northamptonshire" <?php if ($_GET['county_display'] == 'Northamptonshire') echo 'selected';?>>Northamptonshire</option>
<option value="Northumberland" <?php if ($_GET['county_display'] == 'Northumberland') echo 'selected';?>>Northumberland</option>
<option value="Nottinghamshire" <?php if ($_GET['county_display'] == 'Nottinghamshire') echo 'selected';?>>Nottinghamshire</option>
<option value="Oxfordshire" <?php if ($_GET['county_display'] == 'Oxfordshire') echo 'selected';?>>Oxfordshire</option>
<option value="Rutland" <?php if ($_GET['county_display'] == 'Rutland') echo 'selected';?>>Rutland</option>
<option value="Shropshire" <?php if ($_GET['county_display'] == 'Shropshire') echo 'selected';?>>Shropshire</option>
<option value="Somerset" <?php if ($_GET['county_display'] == 'Somerset') echo 'selected';?>>Somerset</option>
<option value="South Yorkshire" <?php if ($_GET['county_display'] == 'South Yorkshire') echo 'selected';?>>South Yorkshire</option>
<option value="Staffordshire" <?php if ($_GET['county_display'] == 'Staffordshire') echo 'selected';?>>Staffordshire</option>
<option value="Suffolk" <?php if ($_GET['county_display'] == 'Suffolk') echo 'selected';?>>Suffolk</option>
<option value="Surrey" <?php if ($_GET['county_display'] == 'Surrey') echo 'selected';?>>Surrey</option>
<option value="Tyne And Wear" <?php if ($_GET['county_display'] == 'Tyne And Wear') echo 'selected';?>>Tyne And Wear</option>
<option value="Warwickshire" <?php if ($_GET['county_display'] == 'Warwickshire') echo 'selected';?>>Warwickshire</option>
<option value="West Midlands" <?php if ($_GET['county_display'] == 'West Midlands') echo 'selected';?>>West Midlands</option>
<option value="West Sussex" <?php if ($_GET['county_display'] == 'West Sussex') echo 'selected';?>>West Sussex</option>
<option value="West Yorkshire" <?php if ($_GET['county_display'] == 'West Yorkshire') echo 'selected';?>>West Yorkshire</option>
<option value="Wiltshire" <?php if ($_GET['county_display'] == 'Wiltshire') echo 'selected';?>>Wiltshire</option>
<option value="Worcestershire" <?php if ($_GET['county_display'] == 'Worcestershire') echo 'selected';?>>Worcestershire</option>
</optgroup>

<optgroup label="Wales">Wales
<option value="Anglesey" <?php if ($_GET['county_display'] == 'Anglesey') echo 'selected';?>>Anglesey</option>
<option value="Blaenau Gwent" <?php if ($_GET['county_display'] == 'Blaenau Gwent') echo 'selected';?>>Blaenau Gwent</option>
<option value="Conwy" <?php if ($_GET['county_display'] == 'Conwy') echo 'selected';?>>Conwy</option>
<option value="Bridgend" <?php if ($_GET['county_display'] == 'Bridgend') echo 'selected';?>>Bridgend</option>
<option value="Cardiff" <?php if ($_GET['county_display'] == 'Cardiff') echo 'selected';?>>Cardiff</option>
<option value="Caerphilly" <?php if ($_GET['county_display'] == 'Caerphilly') echo 'selected';?>>Caerphilly</option>
<option value="Carmarthenshire" <?php if ($_GET['county_display'] == 'Carmarthenshire') echo 'selected';?>>Carmarthenshire</option>
<option value="Cerdigion" <?php if ($_GET['county_display'] == 'Cerdigion') echo 'selected';?>>Cerdigion</option>
<option value="Denbighshire" <?php if ($_GET['county_display'] == 'Denbighshire') echo 'selected';?>>Denbighshire</option>
<option value="Flintshire" <?php if ($_GET['county_display'] == 'Flintshire') echo 'selected';?>>Flintshire</option>
<option value="Gwynedd" <?php if ($_GET['county_display'] == 'Gwynedd') echo 'selected';?>>Gwynedd</option>
<option value="Methyr Tydfil" <?php if ($_GET['county_display'] == 'Methyr Tydfil') echo 'selected';?>>Methyr Tydfil</option>
<option value="Monmouthshire" <?php if ($_GET['county_display'] == 'Monmouthshire') echo 'selected';?>>Monmouthshire</option>
<option value="Neath Port Talbot" <?php if ($_GET['county_display'] == 'Neath Port Talbot') echo 'selected';?>>Neath Port Talbot</option>
<option value="Newport" <?php if ($_GET['county_display'] == 'Newport') echo 'selected';?>>Newport</option>
<option value="Pembrokeshire" <?php if ($_GET['county_display'] == 'Pembrokeshire') echo 'selected';?>>Pembrokeshire</option>
<option value="Powys" <?php if ($_GET['county_display'] == 'Powys') echo 'selected';?>>Powys</option>
<option value="Swansea" <?php if ($_GET['county_display'] == 'Swansea') echo 'selected';?>>Swansea</option>
<option value="Torfaen" <?php if ($_GET['county_display'] == 'Torfaen') echo 'selected';?>>Torfaen</option>
<option value="Vale Of Glamorgan" <?php if ($_GET['county_display'] == 'Vale Of Glamorgan') echo 'selected';?>>Vale Of Glamorgan</option>
<option value="Wrexham" <?php if ($_GET['county_display'] == 'Wrexham') echo 'selected';?>>Wrexham</option>
<option value="Rhondda Cynon Taff" <?php if ($_GET['county_display'] == 'Rhondda Cynon Taff') echo 'selected';?>>Rhondda Cynon Taff</option>
</optgroup>

<optgroup label="Scotland">Scotland
<option value="Aberdeen" <?php if ($_GET['county_display'] == 'Aberdeen') echo 'selected';?>>Aberdeen</option>
<option value="Aberdeenshire" <?php if ($_GET['county_display'] == 'Aberdeenshire') echo 'selected';?>>Aberdeenshire</option>
<option value="Angus" <?php if ($_GET['county_display'] == 'Angus') echo 'selected';?>>Angus</option>
<option value="Argyll And Bute" <?php if ($_GET['county_display'] == 'Argyll And Bute') echo 'selected';?>>Argyll And Bute</option>
<option value="Clackmannanshire" <?php if ($_GET['county_display'] == 'Clackmannanshire') echo 'selected';?>>Clackmannanshire</option>
<option value="Dundee" <?php if ($_GET['county_display'] == 'Dundee') echo 'selected';?>>Dundee</option>
<option value="Dumfries And Galloway" <?php if ($_GET['county_display'] == 'Dumfries And Galloway') echo 'selected';?>>Dumfries And Galloway</option>
<option value="East Ayrshire" <?php if ($_GET['county_display'] == 'East Ayrshire') echo 'selected';?>>East Ayrshire</option>
<option value="East Dunbartonshire" <?php if ($_GET['county_display'] == 'East Dunbartonshire') echo 'selected';?>>East Dunbartonshire</option>
<option value="East Lothian" <?php if ($_GET['county_display'] == 'East Lothian') echo 'selected';?>>East Lothian</option>
<option value="East Renfrewshire" <?php if ($_GET['county_display'] == 'East Renfrewshire') echo 'selected';?>>East Renfrewshire</option>
<option value="Edinburgh" <?php if ($_GET['county_display'] == 'Edinburgh') echo 'selected';?>>Edinburgh</option>
<option value="Falkirk" <?php if ($_GET['county_display'] == 'Falkirk') echo 'selected';?>>Falkirk</option>
<option value="Fife" <?php if ($_GET['county_display'] == 'Fife') echo 'selected';?>>Fife</option>
<option value="Glasgow" <?php if ($_GET['county_display'] == 'Glasgow') echo 'selected';?>>Glasgow</option>
<option value="Highland" <?php if ($_GET['county_display'] == 'Highland') echo 'selected';?>>Highland</option>
<option value="Inverclyde" <?php if ($_GET['county_display'] == 'Inverclyde') echo 'selected';?>>Inverclyde</option>
<option value="Moray" <?php if ($_GET['county_display'] == 'Moray') echo 'selected';?>>Moray</option>
<option value="North Ayrshire" <?php if ($_GET['county_display'] == 'North Ayrshire') echo 'selected';?>>North Ayrshire</option>
<option value="North Lanarkshire" <?php if ($_GET['county_display'] == 'North Lanarkshire') echo 'selected';?>>North Lanarkshire</option>
<option value="Orkney" <?php if ($_GET['county_display'] == 'Orkney') echo 'selected';?>>Orkney</option>
<option value="Perth And Kinross" <?php if ($_GET['county_display'] == 'Perth And Kinross') echo 'selected';?>>Perth And Kinross</option>
<option value="Renfrewshire" <?php if ($_GET['county_display'] == 'Renfrewshire') echo 'selected';?>>Renfrewshire</option>
<option value="Shetland Isles" <?php if ($_GET['county_display'] == 'Shetland Isles') echo 'selected';?>>Shetland Isles</option>
<option value="South Ayrshire" <?php if ($_GET['county_display'] == 'South Ayrshire') echo 'selected';?>>South Ayrshire</option>
<option value="South Lanarkshire" <?php if ($_GET['county_display'] == 'South Lanarkshire') echo 'selected';?>>South Lanarkshire</option>
<option value="Stirlingshire" <?php if ($_GET['county_display'] == 'Stirlingshire') echo 'selected';?>>Stirlingshire</option>
<option value="Scottish Borders" <?php if ($_GET['county_display'] == 'Scottish Borders') echo 'selected';?>>Scottish Borders</option>
<option value="West Dunbartonshire" <?php if ($_GET['county_display'] == 'West Dunbartonshire') echo 'selected';?>>West Dunbartonshire</option>
<option value="West Lothian" <?php if ($_GET['county_display'] == 'West Lothian') echo 'selected';?>>West Lothian</option>
<option value="Western Isles- Outer Hebrides" <?php if ($_GET['county_display'] == 'Western Isles- Outer Hebrides') echo 'selected';?>>Western Isles- Outer Hebrides</option>
<option value="Midlothian" <?php if ($_GET['county_display'] == 'Midlothian') echo 'selected';?>>Midlothian</option>

</optgroup>

<optgroup label="Northern Ireland">Northern Ireland
<option value="Antrim" <?php if ($_GET['county_display'] == 'Antrim') echo 'selected';?>>Antrim</option>
<option value="Armagh" <?php if ($_GET['county_display'] == 'Armagh') echo 'selected';?>>Armagh</option>
<option value="Down" <?php if ($_GET['county_display'] == 'Down') echo 'selected';?>>Down</option>
<option value="Fermanagh" <?php if ($_GET['county_display'] == 'Fermanagh') echo 'selected';?>>Fermanagh</option>
<option value="Londonderry" <?php if ($_GET['county_display'] == 'Londonderry') echo 'selected';?>>Londonderry</option>
<option value="Tyrone" <?php if ($_GET['county_display'] == 'Tyrone') echo 'selected';?>>Tyrone</option>
</optgroup><?php */ ?>
														</select>
														<?php /* ?><select name="location_display" class="form-control">
															<option value="">Select Region</option> 															
															<?php 
															$query_cat = mysqli_query($connessione,"SELECT * FROM country ORDER BY postcode_required DESC, id_country ASC");
															while($row_cat = mysqli_fetch_array($query_cat)) { 
															?>     
															<option <?php if ($row_cat['id_country'] == $_GET['location_display']) echo 'selected="selected"';?> value="<?php echo $row_cat['id_country']; ?>"><?php echo $row_cat['name']; ?></option> 
															<?php } ?>                                              
														</select> <?php */ ?>											  

													</div>
											  </div>
											  <div class="col-sm-6 col-md-6 col-lg-3">
												  <div class="form-group">
													<label for="search_location" class="sr-only">Keywords</label>
													<input type="text" class="form-control" name="search_location" value="<?php echo $_GET['search_location'];?>" placeholder="Keywords">
												  </div>
											  </div>
											  <div class="col-sm-8 col-md-8 col-lg-3">
												<div class="form-group">
													<label for="filter_price" class="sr-only">Budget</label>
													<select name="filter_price" class="form-control">
														<option value="">Maximum Price</option> 
														<option value="500" <?php if ($_GET['filter_price'] == '500') echo 'selected';?>>500</option> 
														<option value="1000" <?php if ($_GET['filter_price'] == '1000') echo 'selected';?>>1,000</option> 
														<option value="2500" <?php if ($_GET['filter_price'] == '2500') echo 'selected';?>>2,500</option> 
														<option value="5000" <?php if ($_GET['filter_price'] == '5000') echo 'selected';?>>5,000</option> 
														<option value="10000" <?php if ($_GET['filter_price'] == '10000') echo 'selected';?>>10,000</option> 
														<option value="15000" <?php if ($_GET['filter_price'] == '15000') echo 'selected';?>>15,000</option> 
														<option value="20000" <?php if ($_GET['filter_price'] == '20000') echo 'selected';?>>20,000</option> 
														<option value="35000" <?php if ($_GET['filter_price'] == '35000') echo 'selected';?>>35,000</option> 
														<option value="50000" <?php if ($_GET['filter_price'] == '50000') echo 'selected';?>>50,000</option> 
														<option value="Show All" <?php if ($_GET['filter_price'] == "Show All") echo 'selected';?>>Show All</option> 
													</select>			 
												  </div>
											  </div>
											  <div class="col-sm-4 col-md-4 col-lg-3">
												<button type="submit" class="btn btn-primary btn-lg btn-block">Filter</button>
											  </div>
											</div>
										</form>
									</div>
								</div>
							</div>
						</div>
						<div class="row">
							<div class="col-xl-12">
								<div class="adds-wrapper jobs-list">
								<?php
								$sql = "SELECT t.*, c.name AS location, ct.county_name FROM rounds_for_sale t 
								LEFT JOIN tbl_county ct  on t.county = ct.county_id
								LEFT JOIN country c ON (t.id_country=c.id_country) WHERE (status = 'live' OR status = 'sold')";
								// $sql = "SELECT t.*, c.name AS location FROM rounds_for_sale t LEFT JOIN country c ON (t.id_country=c.id_country) WHERE 1";
								
								if(!empty($_GET['location_display'])){
									$sql .= " AND t.id_country = '" . (int)$_GET['location_display']."' ";
								}
								
								if(!empty($_GET['search_location'])){
									$sql .= "AND (c.name LIKE '%" . mysqli_real_escape_string($connessione,$_GET['search_location'])."%' OR comments LIKE '%" . mysqli_real_escape_string($connessione,$_GET['search_location'])."%')";
								}


								if(!empty($_GET['county_display'])){
									$sql .= " AND t.county = '" . mysqli_real_escape_string($connessione,$_GET['county_display'])."' ";
								}	
								
								if(!empty($_GET['filter_price']) && $_GET['filter_price'] != 'Show All'){	
									if(strpos($_GET['filter_price'], "+") !== false){
										$sql .= " AND price > '".ltrim($_GET['filter_price'], '+')."'";
									}else{
										$sql .= " AND price <= '".$_GET['filter_price']."'";
									}			
								}								
				
								$sort_data = array(
									'id',
									'date_insert',
								);

								if (isset($sort) && in_array($sort, $sort_data)) {
									$sql .= " ORDER BY " . $sort;
								} else {
									$sql .= " ORDER BY id";
								}

								if (isset($order) && ($order == 'DESC')) {
									$sql .= " DESC";
								} else {
									$sql .= " ASC";
								}	
								
								$sql .= " LIMIT " . (int)($page-1)*$record_per_pagina . "," . (int)$record_per_pagina;
								$result = mysqli_query($connessione,$sql) or die(mysqli_error());
								if(mysqli_num_rows($result) >0){
									while($row_showAds = mysqli_fetch_array($result)){	
									   // Is this a trade advert?
									   $trade = $row_showAds['trade'];
									   
									   if($trade == "1")
									   {
										   $postedBy = " by a Trade Member";
										   $adClass = "tradeAdvertResulBox"; 
									   }
									   else
									   {
										   $postedBy = "";
										   $adClass = "advertResulBox";
									   }
	 ?>
	 
     <?php 	/* 	?>
      <div class="item-list job-item">
        <strong><span class="style28">Posted on <?php echo $row_showAds['date']; echo $postedBy; ?></span><br />
        Region:</strong> <?php echo $row_showAds['location']; ?><br /> 
        <strong>Location:</strong> <?php echo $row_showAds['covering']; ?><br />
		<strong>Monthly Avg Value :</strong> &pound;<?php echo $row_showAds['monthavg']; ?><br />
		<strong>Established For:</strong> <?php echo $row_showAds['established']; ?><br />
        <div class="style25" scope="row"><div align="left"><strong>Comments: </strong><span class="style27"><?php echo $row_showAds['comments']; ?></span></div></div>
		<span class="style25">

        <?php 
		    $status = $row_showAds['status'];
			
			if($status == "sold")
			{
			    $price = "SOLD"; 
			}
			else
			{
			    $price = str_replace('GBP','&pound;',money_format('%i', $row_showAds['price']));		
			}
		    
		?>
        <strong>Asking Price :</strong> <?php echo $price; ?><br />
        
        <?php
		// only reveal contact details to members UNLESS it's a trade advert
		if($_SESSION['session_level'] == 5){
		?>
		<a href="user_settings.php" style="color:#0033FF"><b>Upgrade your membership to see contact details</b></a><br>  
		<?php }elseif($_SESSION['session_level'] > 0 || $trade == "1"){ ?>
		<strong>Contact Details :</strong> <?php echo $row_showAds['name']; ?> - 
		<?php echo $row_showAds['telephone1']; 
		      if(!empty($row_showAds['telephone2']))
			  {
			      echo " or " . $row_showAds['telephone2'];
			  }?>  - <a href="mailto:<?php echo $row_showAds['email']; ?>?subject=WCR site - Advert Enquiry">[Send Email] </a></span>
        
        <?php }else{ ?>
			<a href="register_form.php" style="color:#0033FF"><b>Register as a member to view contact details</b></a><br>  
         <?php 	} 	?>
        
	</div><?php */ 	?>
	<div class="item-list job-item new-job-item">
			<div class="content-title">
				<h2><?php echo $row_showAds['county_name']; ?></h2>
				<!-- <h2><?php //echo $row_showAds['covering']; ?></h2>		 -->
				<!-- <p class="mb-0"><?php //echo $row_showAds['covering']; ?>, <?php //echo $row_showAds['location']; ?> <span class="post-date">(<?php //echo $row_showAds['date']; echo $postedBy; ?>)</span></p> -->
			</div>
			<div class="content-img-blk">
				<div class="row">
					
					<div class="col-lg-2 col-3">
							<?php
								$loc_img_url = 'https://www.windowcleaningroundforsale.co.uk/assets/images/map/other.jpg';
								$loc_county = $row_showAds['county_name'];
								if($loc_county !=  '') {
									$loc_new_county_image_name = strtolower(str_replace(' ', '-', $loc_county));
									//if(file_exists('https://www.windowcleaningroundforsale.co.uk/assets/images/county/'.$loc_new_county_image_name.'.png')) {
										$loc_img_url	= 'https://www.windowcleaningroundforsale.co.uk/assets/images/county/'.$loc_new_county_image_name.'.png';
									//}
								}
							?>

							<img class="img-fluid" src="<?php echo $loc_img_url; ?>" alt="<?php echo $row_showAds['location']; ?>">
					</div>
					<div class="col-lg-6 col-9 brdr-left">	
						<?php /* if($row_showAds['description'] != '') { ?>
							<div class="content-comments">

								<h4>Description</h4>
								<?php 
								$page_descriptionTxt =  $row_showAds['description']; ?>				
								<p class="description-blk mb-3">
								<?php if(strlen($page_descriptionTxt) > 180) { ?>
								<?php echo substr(rtrim(strip_tags($page_descriptionTxt)), 0, 180) ?><span class="description-click" style="display:none"><?php echo substr(strip_tags($page_descriptionTxt), 181, ) ?></span><span class="description-anc">(read more)</span><span class="description-anc1" style="display:none">(read less)</span>
								<?php } else {
									echo $page_descriptionTxt;
								} ?>
								</p>
							</div>
						<?php } */?>
						<?php  ?>

						<div class="content-comments">
							<h4>Description</h4>
							<?php $page_contentTxt =  $row_showAds['comments']; ?>				
							<p class="desc-blk">
							<?php if(strlen($page_contentTxt) > 180) { ?>
							<?php echo substr(rtrim(strip_tags($page_contentTxt)), 0, 180) ?><span class="desc-click" style="display:none"><?php echo substr(strip_tags($page_contentTxt), 181, ) ?></span><span class="desc-anc">(read more)</span><span class="desc-anc1" style="display:none">(read less)</span>
							<?php } else {
								echo $page_contentTxt;
							} ?>
							</p>
						</div> 
						<?php  ?>
					</div>
					
					<div class="col-lg-4 rht-blk brdr-left">						
						<?php 
							$status = $row_showAds['status'];
							
							if($status == "sold")
							{
								$price = "SOLD"; 
							}
							else
							{
								$price = str_replace('GBP','&pound;',money_format('%i', $row_showAds['price']));		
							}
							
						?>
						<table class="w-100">
					
							<tr>
								<td><h4>Posted on</h4></td>
								<td><p><?php echo $row_showAds['date']; echo $postedBy; ?></p></td>
							</tr>
							<tr>
								<td><h4>Region</h4></td>
								<td><p><?php echo $row_showAds['county_name']; ?></p></td>
							</tr>
							<tr>
								<td><h4>Location</h4></td>
								<td><p><?php echo $row_showAds['covering']; ?></p></td>
							</tr>
							<tr>
								<td><h4>Monthly Avg Value</h4></td>
								<td><p>&pound;<?php echo $row_showAds['monthavg']; ?></p></td>
							</tr>
							<tr>
								<td><h4>Asking Price :</h4></td>
								<td><p><?php echo $price; ?></p></td>
							</tr>
							<tr>
								<td><h4>Established For</h4></td>
								<td><p><?php echo $row_showAds['established']; ?></p></td>
							</tr>
						</table>
						
						
					</div>
				</div>
			</div>			
			<div class="content-footer"> 


			<?php
			// only reveal contact details to members UNLESS it's a trade advert
			if($_SESSION['session_level'] == 5){
			?>
			<a href="user_settings.php"><b>Upgrade your membership to see contact details</b></a><br>  
			<?php }elseif($_SESSION['session_level'] > 0 || $trade == "1"){ ?>
			<strong>Contact Details :</strong> <?php echo $row_showAds['name']; ?> - 
			<?php echo $row_showAds['telephone1']; 
				if(!empty($row_showAds['telephone2']))
				{
					echo " or " . $row_showAds['telephone2'];
				}?>  - <a href="mailto:<?php echo $row_showAds['email']; ?>?subject=WCR site - Advert Enquiry">[Send Email] </a></span>
			
			<?php }else{ ?>
				<a href="register_form.php" ><b>Register as a member to view contact details</b></a><br>  
			<?php 	} 	?>

			</div>	
	</div>
	
    <?php 
	} 
	}else{
		echo '<h1>No result found!</h1>';
	}		
	?>
     
			<nav aria-label="Page navigation example">
			<?php	
			$url = preg_replace("/&page=\d+/", '', $_SERVER['REQUEST_URI']) ;
            $cp = new CreativePager();
			$parametri['class'] = 'pagination';
            $parametri['selected_page'] = $page;
            $parametri['total_items']	= $totale;
            $parametri['items_per_page'] = $record_per_pagina;
            $parametri['url'] = $url;
            $parametri['nav_pages'] = 10;
            $parametri['info1'] = false;
            $parametri['info2'] = false;
            $parametri['first'] = 'Prev';
            $parametri['last']	= 'Next';
            $cp->pager($parametri);
            echo utf8_encode($cp->display());
            ?>  
			</nav>
						</div> 
							</div> 
						</div>
					</div>
				</div>
  
				<div class="col-md-3 page-sidebar">
					<?php require_once('incLeftMenu.php'); ?>
				</div>
                
			</div>
		</div>
	</div>
	<div id="sub-footer">
		<div class="container">
			<div class="row">
				<div class="col-md-12 col-sm-12 col-xs-12 text-center">
					<h3>Window Cleaning Resources - All you need to succeed</h3>
					<p>www.windowcleaningroundforsale.co.uk is regularly visited by thousands of window cleaners each month.
					If you are a supplier to the trade and would like to advertise your company on this site please <a href="https://www.windowcleaningresources.co.uk/contact-us/pay-advertising/">contact us</a>.</p>		
					<img src="https://www.windowcleaningroundforsale.co.uk/windowcleaningroundforsale.png" class="img-fluid">				
				</div>
			</div>
		</div>
	</div>
    <?php require_once("includes/footer.php");?>
	<script>
    $( document ).ready(function() {
		$( ".desc-anc" ).click(function() {
			$(this).parent('.desc-blk').find('.desc-click').show();
			$(this).parent('.desc-blk').find('.desc-anc').hide();
			$(this).parent('.desc-blk').find('.desc-anc1').show();
		});
		$( ".desc-anc1" ).click(function() {
			$(this).parent('.desc-blk').find('.desc-click').hide();
			$(this).parent('.desc-blk').find('.desc-anc').show();
			$(this).parent('.desc-blk').find('.desc-anc1').hide();
		});


		$( ".description-anc" ).click(function() {
			$(this).parent('.description-blk').find('.description-click').show();
			$(this).parent('.description-blk').find('.description-anc').hide();
			$(this).parent('.description-blk').find('.description-anc1').show();
		});
		$( ".description-anc1" ).click(function() {
			$(this).parent('.description-blk').find('.description-click').hide();
			$(this).parent('.description-blk').find('.description-anc').show();
			$(this).parent('.description-blk').find('.description-anc1').hide();
		});
		
	});
     </script>
</div>	
</body>
</html>