<?php 
require_once('Connections/rounds4sale.php');
session_start();

$currentPage = $_SERVER["PHP_SELF"];

function GetSQLValueString($theValue, $theType, $theDefinedValue = "", $theNotDefinedValue = "") 
{
  $theValue = (!get_magic_quotes_gpc()) ? addslashes($theValue) : $theValue;

  switch ($theType) {
    case "text":
      $theValue = ($theValue != "") ? "'" . $theValue . "'" : "NULL";
      break;    
    case "long":
    case "int":
      $theValue = ($theValue != "") ? intval($theValue) : "NULL";
      break;
    case "double":
      $theValue = ($theValue != "") ? "'" . doubleval($theValue) . "'" : "NULL";
      break;
    case "date":
      $theValue = ($theValue != "") ? "'" . $theValue . "'" : "NULL";
      break;
    case "defined":
      $theValue = ($theValue != "") ? $theDefinedValue : $theNotDefinedValue;
      break;
  }
  return $theValue;
}

$editFormAction = $_SERVER['PHP_SELF'];
if (isset($_SERVER['QUERY_STRING'])) {
  $editFormAction .= "?" . htmlentities($_SERVER['QUERY_STRING']);
}



// Which table is needed?
@ $searchWanted = $HTTP_POST_VARS['search_wanted'];

if(($wanted == "true") || ($searchWanted == "true"))
{
   $rounds_table = "rounds_wanted";
   $wanted = "true"; 
}
else
{
   $rounds_table = "rounds_for_sale";
   $wanted = "false"; 
}


$maxRows_showAds = 20;
$pageNum_showAds = 0;
if (isset($_GET['pageNum_showAds'])) {
  $pageNum_showAds = $_GET['pageNum_showAds'];
}
$startRow_showAds = $pageNum_showAds * $maxRows_showAds;

mysql_select_db($database_cleaningrounds, $cleaningrounds);

// Should we search for a location?
@ $searchStr = $HTTP_POST_VARS['search_location'];
@ $locationDisp = $HTTP_POST_VARS['location_display'];
@ $typeDisp = $HTTP_POST_VARS['type_display'];

$showAll = "no"; 

if(isset($searchStr) && !empty($searchStr))   
{
    $showAll = "yes"; 

	$status_condition = " AND (status = 'live' OR status = 'sold') "; 

    if(strtoupper($searchStr) == "SOLD")
	{
		$status_condition = " OR status = 'sold' AND (status = 'live' OR status = 'sold') ";	
	}
	
	if(substr($searchStr, 0, 1) == "")
	{
		// the leading pound sign is not stored in price field...
		list($blank, $searchPriceStr) = split("", $searchStr, 2);
		
		// echo "result = $searchPriceStr <br>"; 
	}
	else
	{
		$searchPriceStr = "%" . $searchStr; 
	}

	$query_showAds = "SELECT * FROM " . $rounds_table ." WHERE 
						location LIKE '%" . $searchStr."%' 
						 OR covering LIKE '%" . $searchStr."%' 
						 OR type LIKE '%" . $searchStr."%' 
						 OR established LIKE '%". $searchStr."%' 
						 OR comments LIKE '%" . $searchStr."%'
						 OR monthavg LIKE '" . $searchPriceStr."%' 
						 OR (price LIKE '"	 . $searchPriceStr."%' AND status = 'live')"
						 . $status_condition . " ORDER BY id DESC";
						 
 	// echo "Query : $query_showAds <br>"; 						 
	$query_limit_showAds = $query_showAds;
}
else 
{

	$status_condition = " (status = 'live' OR status = 'sold') "; 

	if(isset($locationDisp) && $locationDisp != "All")
	{
	    $locationSearch = " location ='". $locationDisp."' AND " ; 
		$showAll = "yes"; 
	}
	else
	{
	   $locationSearch = "";
	}
	
	if(isset($typeDisp) && $typeDisp != "All")
	{
		$typeSearch = " type ='". $typeDisp."' AND ";
		$showAll = "yes"; 
	}
	else
	{
		$typeSearch = "";
	}		
	
	$query_showAds = "SELECT * FROM " . $rounds_table ." WHERE " . $locationSearch . $typeSearch . 
																$status_condition . " ORDER BY id DESC";																

	// echo "query_showAds = $query_showAds <br>"; 
    if($showAll == "no")
	{
	    $query_limit_showAds = sprintf("%s LIMIT %d, %d", $query_showAds, $startRow_showAds, $maxRows_showAds);
    }
	else
	{
		$query_limit_showAds = $query_showAds;
	}
}

$showAds = mysqli_query($connessione,$query_limit_showAds, $cleaningrounds) or die(mysqli_error());
$row_showAds = mysqli_fetch_assoc($showAds);

if (isset($_GET['totalRows_showAds'])) {
  $totalRows_showAds = $_GET['totalRows_showAds'];
} else {
  $all_showAds = mysqli_query($connessione,$query_showAds);
  $totalRows_showAds = mysqli_num_rows(($all_showAds);
}
$totalPages_showAds = ceil($totalRows_showAds/$maxRows_showAds)-1;

$queryString_showAds = "";
if (!empty($_SERVER['QUERY_STRING'])) {
  $params = explode("&", $_SERVER['QUERY_STRING']);
  $newParams = array();
  foreach ($params as $param) {
    if (stristr($param, "pageNum_showAds") == false && 
        stristr($param, "totalRows_showAds") == false) {
      array_push($newParams, $param);
    }
  }
  if (count($newParams) != 0) {
    $queryString_showAds = "&" . htmlentities(implode("&", $newParams));
  }
}
$queryString_showAds = sprintf("&totalRows_showAds=%d%s", $totalRows_showAds, $queryString_showAds);
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<title>Window Cleaning Round For Sale</title>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<meta name="Description" content="Find a window cleaning business for sale. Advertise your window cleaning business for sale. Look for a window cleaning round.">
<meta name="Keywords" content="window cleaning business, window cleaning rounds for sale, window cleaning rounds wanted, window cleaning business for sale, window cleaning round for sale">
<meta name="Generator" content="NetObjects Fusion 11 for Windows"><link rel="STYLESHEET" type="text/css" href="http://www.windowcleaningresources.co.uk/wcr.css" />
<script type="text/javascript" src="./assets/jquery.js">
</script>
<link rel="stylesheet" type="text/css" href="./html/fusion.css">
<link rel="stylesheet" type="text/css" href="./html/style.css">
<link rel="stylesheet" type="text/css" href="./html/site.css">
<style type="text/css">
:link {
	color: rgb(0,0,255);
}:visited {
	color: rgb(128,0,128);
}BODY {
	color: rgb(0,0,0);
}
<!--
.style14 {font-family: Arial, Helvetica, sans-serif; font-size: small; }
.advertResulBox
{
	background-color: #f2f2f2;
	padding: 5px;
}
.tradeAdvertResulBox
{
	background-color: #FFFF66 ;
	padding: 5px;
}
-->
</style>
<script type="text/javascript" src="./index.js">
</script>
<script>
var text1="Advertise your window cleaning round for sale for free with www.windowcleaningresources.co.uk"
comeback=0
cometo=0
function dis(){
window.status=text1.substring(0,cometo)
if(comeback==1){
cometo--;
if(cometo==0){comeback=0}
} else {cometo++;if(cometo==text1.length){comeback=1}}
window.status=text1.substring(0,cometo)+"|"
if(cometo==text1.length){window.setTimeout("dis()",500);} else {window.setTimeout("dis()",75);}
}
dis()
</script>
<link href="fusion.css" rel="stylesheet" type="text/css">
<link href="site.css" rel="stylesheet" type="text/css">
<link href="style.css" rel="stylesheet" type="text/css">
<style type="text/css">
<!--
.style21 {font-size: 12px; }
.style25 {font-size: 12px;}
.style27 {font-size: 12px;}
.style28 {color: #0033FF}
.style30 {color: #000040}
-->
</style>
</head>
<body style="margin: 0px;">
 <div align="center">
  <table border="0" cellspacing="0" cellpadding="0">
   <tr>
    <td><link rel="STYLESHEET" type="text/css" href="http://www.windowcleaningresources.co.uk/wcr.css" />
     <table cellpadding="0" cellspacing="0" border="0" width="1000">
      <tr valign="top" align="left">
       <td><?php require_once('incLeftMenu_Auto.php'); ?>
       </td>
       <td>
		<?php include('banner_tables.html'); ?>
        <table cellpadding="0" cellspacing="0" border="0" width="700">
         <tr valign="top" align="left">
          <td>
           <?php include('links_table.html'); ?>
          </td>
          <td>
           <?php include('./resources_and_login_table.php'); ?>
          </td>
         </tr>
        </table>
        <table border="0" cellspacing="0" cellpadding="0" width="657">
         <tr valign="top" align="left">
          <td width="66" height="28"><img src="./assets/images/autogen/clearpixel.gif" width="66" height="1" border="0" alt=""></td>
          <td width="591"><img src="./assets/images/autogen/clearpixel.gif" width="591" height="1" border="0" alt=""></td>
         </tr>
        </table>


	   <table border="0" cellspacing="0" cellpadding="0" width="377">
            <tr valign="top" align="left">
             <td width="60" height="16">
             	<img src="./assets/images/autogen/clearpixel.gif" width="60" height="1" border="0" alt=""></td>
             <td width="317" class="Text">
             	<img src="./assets/images/autogen/clearpixel.gif" width="240" height="1" border="0" alt=""></td>
            </tr>
            <tr>
              <td></td>
              <td><h1 class="style30">Rounds 
			  			<?php if($wanted == "true")
								{echo "Wanted";}
							   else
							    {echo "For Sale";}
						?></h1></td>
            </tr>
       </table>
          
    <?php // Search boxes    ?>
    
	   <table border="0" cellspacing="0" cellpadding="0" width="726">
            <tr valign="top" align="left">
             <td width="60" height="10">
             	<img src="./assets/images/autogen/clearpixel.gif" width="60" height="1" border="0" alt=""></td>
             <td width="215" class="Text">
             	<img src="./assets/images/autogen/clearpixel.gif" width="215" height="1" border="0" alt=""></td>
             <td width="200" class="Text">
             	<img src="./assets/images/autogen/clearpixel.gif" width="200" height="1" border="0" alt=""></td>
             <td width="35" class="Text">
             	<img src="./assets/images/autogen/clearpixel.gif" width="35" height="1" border="0" alt=""></td>
             <td width="30" class="Text">
             	<img src="./assets/images/autogen/clearpixel.gif" width="30" height="1" border="0" alt=""></td>
             <td width="140" class="Text">
             	<img src="./assets/images/autogen/clearpixel.gif" width="140" height="1" border="0" alt=""></td>
             <td width="40" class="Text">
             	<img src="./assets/images/autogen/clearpixel.gif" width="40" height="1" border="0" alt=""></td>                
            </tr>
            
            <tr>
            	<td></td>
                <td colspan="3" class="TextObject" style="background-color: rgb(215,215,255); padding: 5px;">
                			<strong> Search</strong> </td>
                <td></td>
                <td colspan="2" class="TextObject" style="background-color: rgb(215,215,255); padding: 5px;">
                		 <strong>Keyword search</strong></td>
            </tr>
            
           <tr>
                               
 			<FORM name="display" action="index.php" method="post">
       		<input type="hidden" name="search_wanted" value="<?php echo $wanted; ?>">
            
            	<td></td>
                <td width="290" class="TextObject" style="background-color: rgb(215,215,255); padding: 5px;">
                    <p style="margin-bottom: 0px;">
                	<span style="font-family: Arial,Helvetica,Geneva,Sans-serif;"><span style="font-size: x-small;"> 
                    <SELECT NAME="location_display" >
                    <OPTION VALUE="All" >-select region</OPTION>
                    <OPTION VALUE="All" <?php if($locationDisp == "All") echo "selected"; ?>>Any</OPTION>
			  		<OPTION VALUE="National" 
						<?php if($locationDisp == "National") echo "selected"; ?> >National</OPTION>
                    <OPTION VALUE="Scotland" 
						<?php if($locationDisp == "Scotland") echo "selected"; ?> >Scotland</OPTION>
                    <OPTION VALUE="North East England" 
						<?php if($locationDisp == "North East England") echo "selected"; ?> >North East England</OPTION>
                    <OPTION VALUE="North West England" 
						<?php if($locationDisp == "North West England") echo "selected"; ?> >North West England</OPTION>
                    <OPTION VALUE="Midlands" 
						<?php if($locationDisp == "Midlands") echo "selected"; ?> >Midlands</OPTION>
                    <OPTION VALUE="South Midlands and Chilterns" 
						<?php if($locationDisp == "South Midlands and Chilterns") echo "selected"; ?> >South Midlands and Chilterns</OPTION>
                    <OPTION VALUE="London" 
						<?php if($locationDisp == "London") echo "selected"; ?> >London</OPTION>
                    <OPTION VALUE="East Anglia" 
						<?php if($locationDisp == "East Anglia") echo "selected"; ?> >East Anglia</OPTION>
                    <OPTION VALUE="South East England" 
						<?php if($locationDisp == "South East England") echo "selected"; ?> >South East England</OPTION>
                    <OPTION VALUE="South West England" 
						<?php if($locationDisp == "South West England") echo "selected"; ?> >South West England</OPTION>
                    <OPTION VALUE="Wales and the Marches" 
						<?php if($locationDisp == "Wales and the Marches") echo "selected"; ?> >Wales and the Marches</OPTION>
                    <OPTION VALUE="Northern Ireland" 
						<?php if($locationDisp == "Northern Ireland") echo "selected"; ?> >Northern Ireland</OPTION>
                    <OPTION VALUE="Other" 
						<?php if($locationDisp == "Other") echo "selected"; ?> >Other</OPTION>
        			</SELECT>
                    </span></span></p>                </td>
                
                <td width="290" class="TextObject" style="background-color: rgb(215,215,255); padding: 5px;">
                    <p style="margin-bottom: 0px;">
                	<span style="font-family: Arial,Helvetica,Geneva,Sans-serif;"><span style="font-size: x-small;"> 
                	<SELECT NAME="type_display" >
                    <OPTION VALUE="All" >-select type</OPTION>  
                    <OPTION VALUE="All" <?php if($typeDisp == "All") echo "selected"; ?> >Any</OPTION>              
                    <OPTION VALUE="Domestic" 
						<?php if($typeDisp == "Domestic") echo "selected"; ?> >Domestic</OPTION>
			  		<OPTION VALUE="Commercial" 
						<?php if($typeDisp == "Commercial") echo "selected"; ?> >Commercial</OPTION>
                    <OPTION VALUE="Domestic and commercial" 
						<?php if($typeDisp == "Domestic and commercial") echo "selected"; ?> >Domestic and commercial</OPTION>					
        			</SELECT>
                    
                    </span></span></p>                </td>
                
                <td class="TextObject" style="background-color: rgb(215,215,255); padding: 5px;">
                        <INPUT TYPE="SUBMIT" VALUE="Go"  />                </td>
                </FORM>
                
                <td align="center"><strong>or</strong></td>


				<FORM name="search" action="index.php" method="post">
    
       			<input type="hidden" name="search_wanted" value="<?php echo $wanted; ?>">    
                            
                <td width="290" class="TextObject" style="background-color: rgb(215,215,255); padding: 5px;">
                    <p style="margin-bottom: 0px;">
                	<span style="font-family: Arial,Helvetica,Geneva,Sans-serif;"><span style="font-size: x-small;">              
                	<INPUT TYPE="TEXT" NAME="search_location" SIZE="20" VALUE = "<?php echo $searchStr; ?>" />
                    </span></span></p>                </td>
                
              <td class="TextObject" style="background-color: rgb(215,215,255); padding: 5px;">
              		<span class="TextObject" style="background-color: rgb(215,215,255); padding: 5px;">
                	<input type="SUBMIT" value="Go"  />
              </span></td>
              </FORM>
            </tr>
       </table>    

 	</FORM>   

	<table border="0" cellspacing="0" cellpadding="0" width="700">
            <tr valign="top" align="left">
             <td width="700" height="10">
             	<img src="./assets/images/autogen/clearpixel.gif" width="700" height="1" border="0" alt=""></td>
    </tr></table>

    
    <table border="0" cellspacing="0" cellpadding="0" width="700">
         <tr valign="top" align="left">
          <td width="25" height="22"><img src="./assets/images/autogen/clearpixel.gif" width="25" height="1" border="0" alt=""></td>
          <td><table width="600" border="0" align="center" cellpadding="0" cellspacing="0">
                    

    <?php 
	
	/* if(isset($searchStr) && !empty($searchStr))
	{
	    echo "Number of matching results : $totalRows_showAds <br>";
	} */
	
	// while loop for adding details...
	
	if($totalRows_showAds > 0)
	{
 	 do { 
	 
	   // Is this a trade advert?
	   $trade = $row_showAds['trade'];
	   
	   if($trade == "1")
	   {
	       $postedBy = " by a Trade Member";
		   $adClass = "tradeAdvertResulBox"; 
	   }
	   else
	   {
	       $postedBy = "";
		   $adClass = "advertResulBox";
	   }
	 
	 ?>
     
      
     
     <tr>
      <td height="30" class="<?php echo $adClass; ?>"><div align="left">
        <span class="style21"><span class="style25"><strong><span class="style28">Posted on <?php echo $row_showAds['date']; echo $postedBy; ?></span><br />
        Region:</strong> <?php echo $row_showAds['location']; ?><br /> 
        <strong>Location:</strong> <?php echo $row_showAds['covering']; ?><br />
		<strong>Type:</strong> <?php echo $row_showAds['type']; ?><br />
        
        <?php if($wanted == "false")
		{ ?>
		<strong>Monthly Avg Value :</strong> &pound;<?php echo $row_showAds['monthavg']; ?><br />
		<strong>Established For:</strong> <?php echo $row_showAds['established']; ?><br />
        <?php }?>
		</span></span>
        <table width="600" border="0" cellpadding="0" cellspacing="0">
          <tr>
            <td class="style25" scope="row"><div align="left"><strong>Comments: </strong><span class="style27"><?php echo $row_showAds['comments']; ?></span></div></td>
          </tr>
        </table>

        
		<span class="style25">

        <?php if($wanted == "false")
		{ 
		    $status = $row_showAds['status'];
			
			if($status == "sold")
			{
			    $price = "SOLD"; 
			}
			else
			{
			    $price = "&pound;" . $row_showAds['price'];			
			}
		    
		?>
        <strong>Asking Price :</strong> <?php echo $price; ?><br />
        <?php } ?>
        
        <?php
		// only reveal contact details to members UNLESS it's a trade advert
		if($session_level > 0 || $trade == "1")
		{ ?>
        
		<strong>Contact Details :</strong> <?php echo $row_showAds['name']; ?> - 
		<?php echo $row_showAds['telephone1']; 
		      if(!empty($row_showAds['telephone2']))
			  {
			      echo " or " . $row_showAds['telephone2'];
			  }?>  - <a href="mailto:<?php echo $row_showAds['email']; ?>?subject=WCR site - Advert Enquiry">[Send Email] </a></span>
        
        <?php 
		} 
		else
		{?>
		
          
            <a href="register_form.php" style="color:#0033FF"><b>Register as a member to view contact details</b></a>
            
            <br>
            
         <?php 	} 	?>
        
        <br />
      </div></td>
    </tr>
    <tr>
      <td class="style14">&nbsp;</td>
    </tr>
    <?php } while ($row_showAds = mysqli_fetch_assoc($showAds)); 
	
	} // if 
	
	?>
     
     
  </table>
  
  <?php if($showAll == "no")
 { ?>
  <p align="center" class="style14">
  <table border="0" align="center">
    <tr>
      <td>&nbsp;</td>
      <td><?php if ($pageNum_showAds > 0) { // Show if not first page ?>
          <a href="<?php printf("%s?pageNum_showAds=%d%s", $currentPage, max(0, $pageNum_showAds - 1), $queryString_showAds); ?>">Previous</a>
          <?php } // Show if not first page ?>      </td>
      <td><?php if (($pageNum_showAds < $totalPages_showAds) && empty($searchStr)) { // Show if not last page ?>
          <a href="<?php printf("%s?pageNum_showAds=%d%s", $currentPage, min($totalPages_showAds, $pageNum_showAds + 1), $queryString_showAds); ?>">Next</a>
          <?php } // Show if not last page ?>      </td>
      <td>&nbsp;</td>
    </tr>
  </table>
  </p>
  <?php 
  } ?> 
  
  </td>
         </tr>
         <tr valign="top" align="left">
          <td height="6"></td>
          <td width="675"><img id="Picture273" height="6" width="675" src="./assets/images/img_2aab9572.gif" border="0" alt="Window Cleaning Resources - All you need to succeed" title="Window Cleaning Resources - All you need to succeed"></td>
         </tr>
        </table>
        </td>
      </tr>
     </table>
     <?php require("footer.php"); ?>
    </td>
   </tr>
  </table>
 </div>
</body>
</html>
<?php
mysql_free_result($showAds);
?>
 