<?php
session_start();
require_once ("Connections/rounds4sale.php");
require_once ("includes/funzioni.inc.php");
$connessione = mysqli_connect($hostname_cleaningrounds, $username_cleaningrounds, $password_cleaningrounds, $database_cleaningrounds);

mysqli_set_charset($connessione,"utf8");

if ($_SERVER['REQUEST_METHOD'] == 'POST') {
	$errori = array();
	
		if ((strlen($_POST['email']) > 96) || !filter_var($_POST['email'], FILTER_VALIDATE_EMAIL)) {
			$errori['email'] = 'Insert <strong>E-Mail Address</strong>';
		}
		
		$query = mysqli_query($connessione,"SELECT COUNT(*) AS total FROM wcrs_users WHERE LOWER(email) = '" . mysqli_real_escape_string($connessione,strtolower($_POST['email'])) . "'");
		$row = mysqli_fetch_array($query);
		if(!$row['total']){
			$errori['email_duplicate'] = 'The <strong>E-Mail Address</strong> you specified could not be found in our database';
		}
		
		
		if (!$errori) {		
			$email = $_POST['email'];
			$salt = createRandonStr(3);
			$password = createRandonStr(6);

			$hash = sha1($password);
			$hash = sha1($salt . $hash);
		   
		   // echo "User " . $email . " can have password " . $password . " with salt " . $row['salt'] . "<br />"; 
		   // echo "Hash : $salted_hash <br />";
		   
		  
		   $query = "UPDATE wcrs_users SET salt = '".mysqli_real_escape_string($connessione,$salt)."', password = '".mysqli_real_escape_string($connessione,$hash)."' WHERE email= '".mysqli_real_escape_string($connessione,$email)."'";		 
		   $passwd_result = mysqli_query($connessione,$query);
		   
		   $body = "Your new password for the Window Cleaning Rounds For Sale site is below. \n\n";  
		   $body = $body . "       Password : " . $password . "\n\n";
		   $body = $body . "You can change your password whenever you wish by clicking on Account\n";
		   $body = $body . "Settings once you have logged in.\n\n";
		   $body = $body . "Many thanks, The Administrator.\n\n";
		   $body = $body . "www.windowcleaningroundforsale.co.uk \n\n";
			 
		   $subject = "Window Cleaning Rounds For Sale Login";
						
		   $from = "From: info@windowcleaningroundforsale.co.uk"."\r\n";
						
			//print "Sending email now on ".$email;
		   mail($email, $subject, $body, $from);   
		   //print "Please check your inbox.";	
		   $_SESSION["messaggio"] = '<div class="alert alert-success">Thank you. A new password will be sent to you shortly.</div>'; 
	}	
}		
?>

<!DOCTYPE html>
<html lang="it">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>Window Cleaning Login</title>
<meta name="Generator" content="NetObjects Fusion 11 for Windows">
<link href="assets/css/bootstrap.min.css" rel="stylesheet">
<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.3.1/css/all.css" integrity="sha384-mzrmE5qonljUremFsqc01SB46JvROS7bZs3IO2EmfFsd15uHvIt+Y8vEf7N7fWAU" crossorigin="anonymous">
 <link href="assets/css/style.css" rel="stylesheet">
<link href="https://fonts.googleapis.com/css?family=Open+Sans" rel="stylesheet">

<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js"></script>
<script src="assets/js/bootstrap.min.js"></script>
<script type="text/javascript" src="./index.js">
</script>
<script>
var text1="Advertise your window cleaning round for sale for free with www.windowcleaningresources.co.uk"
comeback=0
cometo=0
function dis(){
window.status=text1.substring(0,cometo)
if(comeback==1){
cometo--;
if(cometo==0){comeback=0}
} else {cometo++;if(cometo==text1.length){comeback=1}}
window.status=text1.substring(0,cometo)+"|"
if(cometo==text1.length){window.setTimeout("dis()",500);} else {window.setTimeout("dis()",75);}
}
dis()
</script>
</head>
<body>
<div id="wrapper">

	<?php require_once("includes/header.php");?>
    
	<div id="corpo-pagina">
		<div class="container">
			<div class="row">


<div class="col-md-4 offset-md-4 text-center">
<FORM name="login" action="login_help.php" method="post">

<h2>LOGIN HELP</h2>
			<?php 
			mostraMessaggio();
			
			if(!empty($errori)){ 
				
				foreach($errori as $errore){
					echo '<div class="alert alert-danger">';
					echo $errore;
					echo '</div>';
				}
			}
			?> 
            <p style="color:#990000"> Enter your email address and we'll send you a new auto-generated password.</p>
		<div class="form-group">
    		<label for="email">Email address</label>
              <input TYPE="TEXT" NAME="email" class="form-control" />
         </div>
            <INPUT TYPE="SUBMIT" VALUE="Submit" class="btn btn-primary"  />
</FORM> 
       </div>
       </div>
       </div>

	</div>
    <?php require_once("includes/footer.php");?>
</div>	
</body>
</html>
