<?php
session_start();
require_once ("includes/db.inc.php");
require_once ("includes/authenticate.inc.php");
require_once ("includes/funzioni.inc.php");
require_once ("includes/class.upload.php");

// connessione database, forzatura del charset
$connessione = mysqli_connect(DB_HOSTNAME, DB_USERNAME, DB_PASSWORD, DB_DATABASE);
mysqli_set_charset($connessione,"utf8");

sessionAuthenticate(HTTP_SERVER);


if ($_SERVER['REQUEST_METHOD'] == 'POST') {

	$errori = array();
	
	/*
	if (strlen($_POST['testo']) < 1) {
		$errori['testo'] = 'Il campo testo è obbligatorio';
	}
	*/
	if (!$errori) {
			mysqli_query($connessione,"UPDATE widget SET testo = '" . mysqli_real_escape_string($connessione,$_POST["testo"]) . "' WHERE id_widget = 1") or die(mysql_error());
			$_SESSION["messaggio"] = '<div class="alert alert-success">Record aggiornato correttamente.</div>';
	}
}

	$data = array();
	$query = mysqli_query($connessione,"SELECT * FROM widget WHERE id_widget = 1") or die(mysqli_error());
	$row = mysqli_fetch_array($query);
	$data['testo'] = $row['testo'];


	if (isset($_POST['testo'])) {
		$testo = $_POST['testo'];
	} elseif (!empty($data)) { 
		$testo = $data['testo'];
	} else {
		$testo = "";
	}
			
?>
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
<title></title>
<link href="css/bootstrap.min.css" rel="stylesheet">
<link href="https://fonts.googleapis.com/css?family=Open+Sans" rel="stylesheet">
<link rel="stylesheet" type="text/css" href="css/stile.css" />
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js"></script>
<script src="js/bootstrap.min.js"></script>
<link href="js/summernote/summernote.css" rel="stylesheet">
<script src="js/summernote/summernote.js"></script>  
</head>
<body>
<div id="main">
	<?php require('includes/header.php'); ?>
	<div id="content">
    	<div class="container">
        	<div class="row">
            	<div id="contenuto" class="col-xs-12">
                     <div class='page-header'>
                      		<h2>Widget 1</h2>
                    	</div>                 
			<?php 
			mostraMessaggio();
			
			if(!empty($errori)){ 
				echo '<div class="alert alert-danger">';
				foreach($errori as $errore){
					echo $errore;
					echo '<br>';
				}
				echo '</div>';
			}
			?>
            <div class="col-lg-10 col-lg-offset-1">
      		<form method="post" action="widget.php" id="form">
						<div class="form-group required">
							<label for="cognome" class="control-label">Text</label>
							<textarea class="form-control" id="testo" name="testo"><?php echo $testo; ?></textarea>					
						</div>                 
                <div class="text-right">
                	<button type="submit" class="btn btn-primary">
                    	<i class="glyphicon glyphicon-floppy-disk"></i> Save
                   	</button>
              	</div>
			</form> 
            </div> 
				</div> 
    		</div>
    	</div>
    </div> 
</div>
  <script>
     $(function() {
		 
        $('#testo').summernote({
			height: 500,
			callbacks: {
				onImageUpload: function(files, editor, $editable) {
          		sendFile(files[0],editor,$editable);
          		}
			}
        });	
		
		function sendFile(file,editor,welEditable) {
        	data = new FormData();
          	data.append("file", file);
           	$.ajax({
           		url: "uploader.php",
           		data: data,
           		cache: false,
           		contentType: false,
           		processData: false,
           		type: 'POST',
           		success: function(data){
            		$('#testo').summernote("insertImage", data, 'filename');
        		},
           		error: function(jqXHR, textStatus, errorThrown) {
           			console.log(textStatus+" "+errorThrown);
          		}
        	});
       	}		
    });
  </script>
</body>
</html>