<?php  
session_start(); 
require_once('Connections/rounds4sale.php');
require_once ("includes/authenticate.inc.php");
require_once ("includes/funzioni.inc.php"); 

$connessione = mysqli_connect($hostname_cleaningrounds, $username_cleaningrounds, $password_cleaningrounds, $database_cleaningrounds);

mysqli_set_charset($connessione,"utf8");

sessionAuthenticate(HTTP_SERVER);

function report_result($message)
{
?>

     <div class="alert alert-danger">
     <?php echo $message; ?>
     </div>
     
     <?php
	 
}


function back_button($round_table)
{
?>
        <table border="0" cellspacing="0" cellpadding="0" width="700">
         <tr valign="top" align="left">
          <td width="25" height="22"><img src="./assets/images/autogen/clearpixel.gif" width="25" height="1" border="0" alt=""></td>
          <td width="675" height="22"><img src="./assets/images/autogen/clearpixel.gif" width="675" height="1" border="0" alt=""></td>
         </tr>

         <tr>
          <td></td> 
          
          <?php 
		  if($round_table == "rounds_for_sale")
		  {  ?>
              <td align="center">  <a href="advertise_round_for_sale.php"><b>Go Back</b></a>
           <?php
		   }
		   else
		   {  ?>
              <td align="center">  <a href="advertise_round_wanted.php"><b>Go Back</b></a>
           <?php
		   }
		   
		   ?>
          
          </td>
         </tr>
        </table>

<?php

}


 ?>

<!DOCTYPE html>
<html lang="it">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>advertisewindowround</title>
<link href="assets/css/bootstrap.min.css" rel="stylesheet">
<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.3.1/css/all.css" integrity="sha384-mzrmE5qonljUremFsqc01SB46JvROS7bZs3IO2EmfFsd15uHvIt+Y8vEf7N7fWAU" crossorigin="anonymous">
 <link href="assets/css/style.css" rel="stylesheet">
<link href="https://fonts.googleapis.com/css?family=Open+Sans" rel="stylesheet">

<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js"></script>
<script src="assets/js/bootstrap.min.js"></script>

</head>


<body>
<div id="wrapper">

	<?php require_once("includes/header.php");?>
    <?php require_once("includes/subheader.php");?>
    
	<div id="corpo-pagina">
		<div class="container">
			<div class="row">
				<div class="col-md-9 page-content">


<?php

$debug = 0;

// is advert_type set? Only should be for "wanted" (for rounds) or "equip_wanted".

$advert_type =  $_GET['advert_type'];
 
if(isset($advert_type)) 
{
    if($advert_type == "wanted")
	{
		$round_table = "rounds_wanted"; 
		$monthavg = "";
		$established = "";	
		$price = "";		
	}
	else
	{
		$round_table = "equipment_wanted"; 
		//$monthavg = "";
		//$established = "";	
		//$price = "";		
	}	
}
else
{
	// Must be a round for sale
	$round_table = "rounds_for_sale";  
	$monthavg = $_POST['monthavg'];
	$established = $_POST['established'];	
	$price = $_POST['price'];

	$covering_val = $_POST['covering'];
	// $description_val = $_POST['description'];
	$description_val = $_POST['comments'];
    $county = $_POST['county'];
	
	
	if(empty($monthavg) || empty($established) || empty($price) || empty($covering_val) || empty($description_val) || empty($county))
	{
        report_result("ERROR : All fields with an asterisk next <br>to them must be filled in.");
        back_button($round_table);
	    exit;
	}
}	

$location = $_POST['county'];
$covering = $_POST['covering'];

$email = $_POST['email'];
$type = $_POST['type'];
$comments = $_POST['comments'];
$name = $_POST['name'];
$telephone1= $_POST['telephone1'];
$telephone2= $_POST['telephone2'];
$date = $_POST['date'];
$county = $_POST['county'];

// $county			= isset($_POST['county']) ? $_POST['county'] : '';
$description	= isset($_POST['description']) ? $_POST['description'] : '';
$description	= str_replace("'", "\'", $description);

// $description = $_POST['comments'];
// Escape any single quotes to avoid crashing mySQL
$my_comments = str_replace("'", "\'", $comments);

// Is this a trade advert?
if($_POST['level'] == "3")
{
   $trade = "1";
}
else
{
   $trade = "0";
}


// echo "Entered newdata.php";

if(empty($email) || empty($name) || empty($telephone1) || ($round_table == "rounds_for_sale" && is_null($county)))

{

     #echo "<br> ERROR : The following fields must be filled in : <br><br>";
	 #echo $missing . '<br>';
	      
     report_result("<strong>ERROR :</strong> All fields with an asterisk next to them must be filled in.");  
	 back_button($round_table);
	 exit;
 
}


// Connect to Database 
if($advert_type == "equipment_wanted")
{
	$insertSQL = "INSERT INTO " . $round_table . " (id_country, covering, type,  
				comments, name, telephone1, telephone2, email, trade, date, status, date_insert) values ('"  .
			 $location . "', '" . $covering . "', '" . $type . "', '" .  
			 $my_comments . "', '" . $name . "', '" . $telephone1 . "', '" .
			 $telephone2 . "', '" . $email . "', '" . $trade . "', '" . 
			 $date . "', 'new',NOW())";
}
elseif($advert_type == "wanted")
{
	$insertSQL = "INSERT INTO " . $round_table . " (id_country, covering, type, monthavg, established, 
				comments, price, name, telephone1, telephone2, email, trade, date, status,date_insert,county_id) values ('"  .
			 $location . "', '" . $covering . "', '" . $type . "', '" .  
			 $monthavg . "', '" . $established . "', '" . $my_comments . "', '" .
			 $price . "', '" . $name . "', '" . $telephone1 . "', '" .
			 $telephone2 . "', '" . $email . "', '" . $trade . "', '" . 
			 $date . "', 'new',NOW(), '" . $county . "')";
}
else
{
	$insertSQL = "INSERT INTO " . $round_table . " (id_country, covering, type, monthavg, established, 
				comments, price, name, telephone1, telephone2, email, trade, date, status,date_insert,county,description) values ('"  .
			 $location . "', '" . $covering . "', '" . $type . "', '" .  
			 $monthavg . "', '" . $established . "', '" . $my_comments . "', '" .
			 $price . "', '" . $name . "', '" . $telephone1 . "', '" .
			 $telephone2 . "', '" . $email . "', '" . $trade . "', '" . 
			 $date . "', 'new',NOW(), '" . $county . "', '" . $description . "')";
}


$result = mysqli_query($connessione,$insertSQL) or die(mysqli_error($connessione));


// $query_c = mysqli_query($connessione,"SELECT * FROM `country` WHERE id_country = '".(int)$location."'");
// $row_c = mysqli_fetch_array($query_c);
// $location = $row_c['name'];

$query_c = mysqli_query($connessione,"SELECT county_name FROM `tbl_county` WHERE county_id = '".(int)$county."'");
$row_c = mysqli_fetch_array($query_c);
$region_name = $row_c['county_name'];

//echo "<br> Query : $insertSQL <br> Result = $result<br>";

if($result == 1)
{	
     // Send an email to administrator
	 $to = "info@windowcleaningroundforsale.co.uk";
	 $from = "From: info@windowcleaningroundforsale.co.uk"."\r\n";

	 if($round_table == "rounds_for_sale")
	 {
	    $body = "NEW ROUND FOR SALE\n\n";
		
		$extras = " Price : $price\n Monthly average : $monthavg\n Established : $established\n";
	 }
	 else 
	 {
	    // if($round_table == "equipment_wanted"){
	     if($round_table == "rounds_wanted"){
	    	$body = "NEW EQUIPMENT WANTED\n\n";
			$extras = " ";		 }
		 else
	  	 {
	    	$body = "NEW ROUND WANTED\n\n";
			$extras = " ";
		 }
	 }
	 
	 $body = $body . " Name: $name\n Email: $email\n Type : $type\n";  
	 $body = $body . " Region : $region_name\n Area : $covering\n";
	 
     $body = $body . " Description : $my_comments \n";
	 
	 $body = $body . $extras;
	   			 
	 $subject = "New advert requesting approval";
	 	 
	 mail($to, $subject, $body,$from); 						
						
						
	 // Inform the customer that his information has been accepted  (and exit)
	 report_result("Thank you. Your advert detail has been successfully uploaded and is awaiting approval. <br />
						Please allow up to 24 hours for the advert to go live."); 
												

}
else
{
     report_result("WARNING : AN ERROR HAS OCCURRED"); 
}



?>
	  </div>
				<div class="col-md-3 page-sidebar">
					<?php require_once('incLeftMenu.php'); ?>
				</div>
			</div>
		</div>
	</div>    
    <?php require_once("includes/footer.php");?>
</div>	
</body>
</html>