<?php 
setlocale(LC_MONETARY, 'en_GB');
session_start();
require_once('Connections/rounds4sale.php');
require_once("includes/pagination.class.php");

$connessione = mysqli_connect($hostname_cleaningrounds, $username_cleaningrounds, $password_cleaningrounds, $database_cleaningrounds);
mysqli_set_charset($connessione,"utf8");


$titolo = "Window cleaning rounds For Sale";

$record_per_pagina = 20;

if (isset($_GET['sort'])) {
	$sort = $_GET['sort'];
} else {
	$sort = 'date_insert';
}

if (isset($_GET['order'])) {
	$order = $_GET['order'];
} else {
	$order = 'DESC';
}

if (isset($_GET['page'])) {
	$page = $_GET['page'];
} else {
	$page = 1;
}

$url = '';

if (isset($_GET['location_display'])) {
	$url .= '&location_display=' . urlencode(html_entity_decode($_GET['location_display'], ENT_QUOTES, 'UTF-8'));
}

if (isset($_GET['search_location'])) {
	$url .= '&search_location=' . urlencode(html_entity_decode($_GET['search_location'], ENT_QUOTES, 'UTF-8'));
}

if (isset($_GET['filter_price'])) {
	$url .= '&filter_price=' . urlencode(html_entity_decode($_GET['filter_price'], ENT_QUOTES, 'UTF-8'));
}

if ($order == 'ASC') {
	$url .= '&order=DESC';
} else {
	$url .= '&order=ASC';
}
		
if (isset($_GET['page'])) {
	$url .= '&page=' . $_GET['page'];
}

			$sql = "SELECT COUNT(*) AS totale FROM rounds_for_sale t LEFT JOIN country c ON (t.id_country=c.id_country) WHERE (status = 'live' OR status = 'sold')";
								
								if(!empty($_GET['location_display'])){
									$sql .= " AND t.id_country = '" . (int)$_GET['location_display']."' ";
								}

								if(!empty($_GET['county_display'])){
									$sql .= " AND t.county = '" . $_GET['county_display']."' ";
								}
								
								if(!empty($_GET['search_location'])){
									$sql .= "AND (c.name LIKE '%" . mysqli_real_escape_string($connessione,$_GET['search_location'])."%' OR comments LIKE '%" . mysqli_real_escape_string($connessione,$_GET['search_location'])."%')";
								}	
								
								if(!empty($_GET['filter_price']) && $_GET['filter_price'] != 'Show All'){	
									if(strpos($_GET['filter_price'], "+") !== false){
										$sql .= " AND price > '".ltrim($_GET['filter_price'], '+')."'";
									}else{
										$sql .= " AND price <= '".$_GET['filter_price']."'";
									}			
								}
								
			$result = mysqli_query($connessione,$sql) or die(mysqli_error());
            $row = mysqli_fetch_array($result);
			$totale = $row['totale'];	

?>
<!DOCTYPE html>
<html lang="it">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>Oops! | Error 404 | We could not find the page you were looking for</title>
<meta name="Description" content="We were unable to locate the page you were looking for, please contact us if you have any questions.">
<meta name="Keywords" content="">
<link href="assets/css/bootstrap.min.css" rel="stylesheet">
<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.3.1/css/all.css" integrity="sha384-mzrmE5qonljUremFsqc01SB46JvROS7bZs3IO2EmfFsd15uHvIt+Y8vEf7N7fWAU" crossorigin="anonymous">
 <link href="assets/css/style.css" rel="stylesheet">
<link href="https://fonts.googleapis.com/css?family=Open+Sans" rel="stylesheet">

<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js"></script>
<script src="assets/js/bootstrap.min.js"></script>
<script type="text/javascript" src="./index.js"></script>
<!DOCTYPE html>
<html lang="it">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>Window Cleaning Round For Sale</title>
<meta name="Description" content="Find a window cleaning business for sale. Advertise your window cleaning business for sale. Look for a window cleaning round.">
<meta name="Keywords" content="window cleaning business, window cleaning rounds for sale, window cleaning rounds wanted, window cleaning business for sale, window cleaning round for sale">
<link href="assets/css/bootstrap.min.css" rel="stylesheet">
<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.3.1/css/all.css" integrity="sha384-mzrmE5qonljUremFsqc01SB46JvROS7bZs3IO2EmfFsd15uHvIt+Y8vEf7N7fWAU" crossorigin="anonymous">
 <link href="assets/css/style.css" rel="stylesheet">
<link href="https://fonts.googleapis.com/css?family=Open+Sans" rel="stylesheet">

<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js"></script>
<script src="assets/js/bootstrap.min.js"></script>
<script type="text/javascript" src="./index.js"></script>
<script>
var text1="Advertise your window cleaning round for sale for free with www.windowcleaningresources.co.uk"
comeback=0
cometo=0
function dis(){
window.status=text1.substring(0,cometo)
if(comeback==1){
cometo--;
if(cometo==0){comeback=0}
} else {cometo++;if(cometo==text1.length){comeback=1}}
window.status=text1.substring(0,cometo)+"|"
if(cometo==text1.length){window.setTimeout("dis()",500);} else {window.setTimeout("dis()",75);}
}
dis()
</script>
</head>
<body>
<div id="wrapper">
	<?php require_once("includes/header.php");?>
	<section id="main-banner" class="thank-you d-flex align-items-center">
    <div class="container thank-you-blk text-center d-flex flex-column justify-content-center">
        <img src="images/404-img.png" alt="404 not found">
        <h1>Oops!</h1>
        <p><b>Error 404:</b> The Page you're looking for could not be found.</p>
        <a href="<?php echo BASE_URL;?>" class="mr-auto ml-auto comm-ancr">Back to Home</a>
    </div>
</section>
		

    <?php require_once("includes/footer.php");?>

  
</div>	
</body>
</html>