<?php

require dirname(dirname(__FILE__))."/Connections/rounds4sale.php";

class TemplateModel{

    public function get_template($template){
		$templateHtml = "";
		switch($template){
			case "pay_reminder" : 
                $templateHtml = $this->pay_reminder(); 
                break; 
			case "cancelled_sign_up" : 
                $templateHtml = $this->cancelled_sign_up(); 
                break; 
			case "upgrade_reminder" : 
                $templateHtml = $this->upgrade(); 
                break; 
			case "upgrade_premium" : 
                $templateHtml = $this->upgrade_premium(); 
                break; 
			case "failed_payment" : 
                $templateHtml = $this->failed_payment(); 
                break; 
		}
		return $templateHtml;
	}

    /* Cancelled Sign ups (send 14 days after cancelation) */
    public function pay_reminder(){
        return '<div style="margin:auto;width:600px;border:1px solid #cccccc; padding:10px;font-family: Arial, Calibri, sans-serif;"><p>Dear *|USERNAME|*,</p><br/>'.
                '<p>Your subscription is going to expire soon.</p><br/>'.
                '<p>You will be missing out on great window cleaning rounds for sale!</p><br/>'.
                '<p>Stay up-to-date on:<br>
                How much your own round is worth? What are your competitors selling? What is the average price for domestic or commercial work in your area?</p><br/>'.
                '<p>Sign in and pay today <a style="background:#0277bd;font-family: Arial, Calibri, sans-serif;text-decoration:none;color:white;padding:6px 15px;font-size:18px;font-weight:bold;" href="'.HTTP_SERVER.'">Sign In</a></p></div>';
    }

    /* Cancelled Sign ups (send 14 days after cancelation) */
    public function cancelled_sign_up(){
        return '<div style="margin:auto;width:600px;border:1px solid #cccccc; padding:10px;font-family: Arial, Calibri, sans-serif;"><p>Dear *|USERNAME|*,</p><br>'. 
                '<p>We miss you already!</p><br>'.
                '<p>You are missing out on great window cleaning rounds for sale!</p><br>'.
                '<p>Stay up-to-date on:<br>
                How much your own round is worth? What are your competitors selling? What is the average price for domestic or commercial work in your area?</p><br>'.
                'Keep your finger on the pulse by signing up today <a style="font-family: Arial, Calibri, sans-serif;text-decoration:none;background:#0277bd;color:white;padding:6px 15px;font-size:18px;font-weight:bold;" href="'.HTTP_SERVER.'">Sign Up</a></p></div>';
    }

    /* Upgrade – Selling only to paid. (send once a month) */
    public function upgrade(){
        return '<div style="margin:auto;width:600px;border:1px solid #cccccc; padding:10px;font-family: Arial, Calibri, sans-serif;"><p>Dear *|USERNAME|*,</p><br>'.
                '<p>Want to get the most out of WCR membership?</p><br>'.
                '<p>Upgrade your account now! <a style="font-family: Arial, Calibri, sans-serif;text-decoration:none;background: #0277bd;color:white;padding:6px 15px;font-size:18px;font-weight:bold;" href="'.HTTP_SERVER.'">Upgrade</a></p><br>'.
                '<p>You are missing out on great window cleaning rounds!</p>'.
                '<p>Stay up-to-date on:<br>'.
                'How much your own round is worth? What are your competitors selling? What is the average price for domestic or commercial work in your area?</p><br>'.
                '<p>Get unlimited access to contact details of rounds and equipment for sale.</p>'.
                '<p>Keep your finger on the pulse by upgrading today! <a style="font-family: Arial, Calibri, sans-serif;text-decoration:none;background: #0277bd;color:white;padding:6px 15px;font-size:18px;font-weight:bold;" href="'.HTTP_SERVER.'">Upgrade</a></p>'.
                '<p>Upgrade your account now! <a style="font-family: Arial, Calibri, sans-serif;text-decoration:none;background: #0277bd;color:white;padding:6px 15px;font-size:18px;font-weight:bold;" href="'.HTTP_SERVER.'">Upgrade</a></p><?div>';
    }


    /* Upgrade – Standard to premium paid (Send once every 3 months) */
    public function upgrade_premium(){
        return '<div style="margin:auto;width:600px;border:1px solid #cccccc; padding:10px;font-family: Arial, Calibri, sans-serif;"><p>Dear *|USERNAME|*</p><br>'.
                '<p>Want to get the most out of WCR membership?</p><br>'.
                '<p>Upgrade your account now! <a style="background:#0277bd;color:white;padding:6px 15px;font-size:18px;font-family: Arial, Calibri, sans-serif;text-decoration:none;font-weight:bold;" href="'.HTTP_SERVER.'">Upgrade</a></p><br>'.
                '<p>You are missing out on great window cleaning rounds!</p>'.
                '<p>Stay up-to-date on:<br>'.
                'How much your own round is worth? What are your competitors selling? What is the average price for domestic or commercial work in your area?</p>'.
                '<p>With Premium membership you will receive notification of new adverts posted and avoid missing out. You can also post rounds wanted.</p><br>'.
                '<p>Keep your finger on the pulse by signing up today! <a style="background:#0277bd;color:white;padding:6px 15px;font-size:18px;font-family: Arial, Calibri, sans-serif;text-decoration:none;font-weight:bold;" href="'.HTTP_SERVER.'">Upgrade</a></p>\n\n'.
                '<p>Upgrade your account now! <a style="background:#0277bd;color:white;padding:6px 15px;font-size:18px;font-family: Arial, Calibri, sans-serif;text-decoration:none;font-weight:bold;" href="'.HTTP_SERVER.'">Upgrade</a></p></div>';
    }

    /* Failed payments (send straight after payment failure and on month later) */
    public function failed_payment(){
        return '<div style="margin:auto;width:600px;border:1px solid #cccccc; padding:10px;font-family: Arial, Calibri, sans-serif;"><p>Dear *|USERNAME|*</p><br>'.
                '<p>Unfortunately your subscription payment failed this month.</p><br>'.        '<p>Re-authorise your payment here <a style="background:#0277bd;color:white;padding:6px 15px;font-size:18px;font-family: Arial, Calibri, sans-serif;text-decoration:none;font-weight:bold;" href="'.HTTP_SERVER.'">Pay Now</a></p><br>'.
                '<p>You are missing out on great window cleaning rounds!</p><br>'.
                '<p>Stay up-to-date on:<br>'.
                '<p>How much your own round is worth? What are your competitors selling? What is the average price for domestic or commercial work in your area?</p>'.        
                '<p>Keep your finger on the pulse by signing up today!</p>'.
                '<p>Re-authorise your payment here <a style="background:#0277bd;color:white;padding:6px 15px;font-size:18px;font-family: Arial, Calibri, sans-serif;text-decoration:none;font-weight:bold;" href="'.HTTP_SERVER.'">Pay Now</a></p></div>';
    }

}

?>