<?php

if(isset($_GET['action']) && $_GET['action'] == 'testsms'){
	$sms = new SMSController();
	$sms->round_listed_sms();
	$sms->marketing();
}

class SMSController
{
	
	private $twilio;
	private $db;
	//private $table = 'wcrs_users';
	private $table = 'wcrs_users_mailchimp';
	
	function __construct(){
		require "../mailchimp/TwilioSMS.php";
		$this->twilio = new TwilioSMS();
		require "../Connections/rounds4sale.php";
		$this->db = $cleaningrounds;
		mysqli_select_db($this->db, $database_cleaningrounds);
	}
	
	public function get_records($sql){
		$data = array();
		if($sql){
			$result=mysqli_query($this->db, $sql) or die(mysqli_error($this->db));
			while($row = mysqli_fetch_assoc($result)){
				$data[] = $row;
			}
		}
		return $data;
	}

	public function cleanNo($no){
		$cleanno = $no;
		if(substr($phone_no, 0, 1) == '0'){
			$cleanno = preg_replace('/^\+?0|\|1|\D/', '+44', ($phone_no));
		}else if(substr($phone_no, 0, 1) != '+'){
			$cleanno = '+44'.$phone_no;
		}
		return $cleanno;
	}

	public function round_listed_sms($region=''){
		$sql = "SELECT distinct contact_no FROM ". $this->table ." WHERE level in (2,3) AND contact_no!=''";
		$usersResult = $this->get_records($sql);
		$users = array();
		if(!empty($usersResult)){
			foreach($usersResult as $user){
				//$users[] = '{"binding_type":"sms", "address":"'.$user['contact_no'].'"}';
				$users[] = $this->cleanNo($user['contact_no']);
			}
		}
		
		$this->twilio->round_listed_sms($users);
		
		
	}
	
	public function marketing($region=''){
		$sql = "SELECT distinct contact_no FROM ".$this->table." WHERE level in (1,5) AND contact_no!=''";
		$usersResult = $this->get_records($sql);
		$users = array();
		if(!empty($usersResult)){
			foreach($usersResult as $user){
				//$users[] = '{"binding_type":"sms", "address":"'.$user['contact_no'].'"}';
				$users[] = $this->cleanNo($user['contact_no']);
			}
		}
		
		$this->twilio->marketing_sms($users);

	}
	
}
