<?php
session_start();
require_once ("includes/db.inc.php");
require_once ("includes/authenticate.inc.php");
require_once ("includes/funzioni.inc.php"); 
require_once ("includes/pagination.class.php");

// connessione database, forzatura del charset
$connessione = mysqli_connect(DB_HOSTNAME, DB_USERNAME, DB_PASSWORD, DB_DATABASE);

mysqli_set_charset($connessione,"utf8");

sessionAuthenticate(HTTP_SERVER);

//mysqli_query($connessione,"UPDATE wcrs_users set email='tylerleerobert@hotmail.co.uk' WHERE id in(5676)") or die (mysqli_error());

if(!empty($_GET["act"]) && $_GET["act"] == "del"){
	mysqli_query($connessione,"DELETE FROM wcrs_users WHERE id = '" . (int)$_GET["id"] . "' LIMIT 1") or die (mysqli_error());		
	$_SESSION["messaggio"] = '<div class="alert alert-success">User deteleted.</div>';
}

/*resend activation password*/
if(!empty($_GET["resend"]) && $_GET["resend"] == "Activation" && !empty($_POST['users'])){
	
	$users = $_POST['users'];
	$usersin = implode(',', $users);
	
	$query_inactive = "SELECT * FROM wcrs_users WHERE active = 0 and id in($usersin)";
	$inactiveUsers = mysqli_query($connessione,$query_inactive) or die(mysqli_error($connessione));
	if(!empty($inactiveUsers)){
		$emailSuccess = 0;
		$emailFailed = 0;
		while($row = mysqli_fetch_assoc($inactiveUsers)){
			if(sendActivationEmail($connessione, $row)){
				$emailSuccess++;
			}else{
				$emailFailed++;
			}
		}
	}
	$_SESSION['messaggio'] = '';
	if($emailSuccess == 0){
		$_SESSION['messaggio'] .= '<div class="alert alert-warning">User/s already active.</div>';
	}
	$_SESSION['messaggio'] .= '<div class="alert alert-success">Activation Email Sent to <b>'.$emailSuccess.'</b> users.</div>';
	header('location: '.$_POST['return_url']); exit();
	
}

$record_per_pagina = 30;

if (isset($_GET['sort'])) {
	$sort = $_GET['sort'];
} else {
	$sort = 'id';
}

if (isset($_GET['order'])) {
	$order = $_GET['order'];
} else {
	$order = 'DESC';
}

if (isset($_GET['page'])) {
	$page = $_GET['page'];
} else {
	$page = 1;
}

if(!isset($_GET['filtro_status'])){
	$_GET['filtro_status'] = "-1";
}

$url = '';

if (!empty($_GET['filtro_utente'])) {
	$url .= '&filtro_utente=' . urlencode(html_entity_decode($_GET['filtro_utente'], ENT_QUOTES, 'UTF-8'));
}

if (!empty($_GET['filtro_email'])) {
	$url .= '&filtro_email=' . urlencode(html_entity_decode($_GET['filtro_email'], ENT_QUOTES, 'UTF-8'));
}

if (isset($_GET['filtro_status'])) {
	$url .= '&filtro_status=' . urlencode(html_entity_decode($_GET['filtro_status'], ENT_QUOTES, 'UTF-8'));
}

if (!empty($_GET['filtro_expire'])) {
	$url .= '&filtro_expire=' . urlencode(html_entity_decode($_GET['filtro_expire'], ENT_QUOTES, 'UTF-8'));
}
	if (!empty($_GET['filtro_regdate_from'])) {
		$url .= '&filtro_regdate_from=' . urlencode(html_entity_decode($_GET['filtro_regdate_from'], ENT_QUOTES, 'UTF-8'));
	}
	
	if (!empty($_GET['filtro_regdate_to'])) {	
		$url .= '&filtro_regdate_to=' . urlencode(html_entity_decode($_GET['filtro_regdate_to'], ENT_QUOTES, 'UTF-8'));
	}
	
	if (!empty($_GET['filtro_paiddate_from'])) {	
		$url .= '&filtro_paiddate_from=' . urlencode(html_entity_decode($_GET['filtro_paiddate_from'], ENT_QUOTES, 'UTF-8'));
	}
	
	if (!empty($_GET['filtro_paiddate_to'])) {	
		$url .= '&filtro_paiddate_to=' . urlencode(html_entity_decode($_GET['filtro_paiddate_to'], ENT_QUOTES, 'UTF-8'));
	}
	
	if (!empty($_GET['filtro_expdate_from'])) {	
		$url .= '&filtro_expdate_from=' . urlencode(html_entity_decode($_GET['filtro_expdate_from'], ENT_QUOTES, 'UTF-8'));
	}
	
	if (!empty($_GET['filtro_expdate_to'])) {	
		$url .= '&filtro_expdate_to=' . urlencode(html_entity_decode($_GET['filtro_expdate_to'], ENT_QUOTES, 'UTF-8'));
	}
	
	if (!empty($_GET['filtro_level'])) {	
		$url .= '&filtro_level=' . urlencode(html_entity_decode($_GET['filtro_level'], ENT_QUOTES, 'UTF-8'));
	}
	
	if (!empty($_GET['filtro_payfr'])) {	
		$url .= '&filtro_payfr=' . urlencode(html_entity_decode($_GET['filtro_payfr'], ENT_QUOTES, 'UTF-8'));
	}

if (isset($_GET['sort'])) {
	$url .= '&sort=' . $_GET['sort'];
}

if (isset($_GET['order'])) {
	$url .= '&order=' . $_GET['order'];
}

if (isset($_GET['page'])) {
	$url .= '&page=' . $_GET['page'];
}

$url_sort = '';
if (isset($_GET['filtro_utente'])) {
	$url_sort .= '&filtro_utente=' . urlencode(html_entity_decode($_GET['filtro_utente'], ENT_QUOTES, 'UTF-8'));
}

if (isset($_GET['filtro_email'])) {
	$url_sort .= '&filtro_email=' . urlencode(html_entity_decode($_GET['filtro_email'], ENT_QUOTES, 'UTF-8'));
}

if (isset($_GET['filtro_status']) && $_GET['filtro_status'] != "-1") {
	$url_sort .= '&filtro_status=' . urlencode(html_entity_decode($_GET['filtro_status'], ENT_QUOTES, 'UTF-8'));
}

if (isset($_GET['filtro_expire'])) {
	$url_sort .= '&filtro_expire=' . urlencode(html_entity_decode($_GET['filtro_expire'], ENT_QUOTES, 'UTF-8'));
}

	if (isset($_GET['filtro_regdate_from'])) {
		$url_sort .= '&filtro_regdate_from=' . urlencode(html_entity_decode($_GET['filtro_regdate_from'], ENT_QUOTES, 'UTF-8'));
	}
	
	if (isset($_GET['filtro_regdate_to'])) {
		$url_sort .= '&filtro_regdate_to=' . urlencode(html_entity_decode($_GET['filtro_regdate_to'], ENT_QUOTES, 'UTF-8'));
	}
	
	if (isset($_GET['filtro_paiddate_from'])) {
		$url_sort .= '&filtro_paiddate_from=' . urlencode(html_entity_decode($_GET['filtro_paiddate_from'], ENT_QUOTES, 'UTF-8'));
	}
	
	if (isset($_GET['filtro_paiddate_to'])) {
		$url_sort .= '&filtro_paiddate_to=' . urlencode(html_entity_decode($_GET['filtro_paiddate_to'], ENT_QUOTES, 'UTF-8'));
	}
	
	if (isset($_GET['filtro_expdate_from'])) {
		$url_sort .= '&filtro_expdate_from=' . urlencode(html_entity_decode($_GET['filtro_expdate_from'], ENT_QUOTES, 'UTF-8'));
	}
	
	if (isset($_GET['filtro_expdate_to'])) {
		$url_sort .= '&filtro_expdate_to=' . urlencode(html_entity_decode($_GET['filtro_expdate_to'], ENT_QUOTES, 'UTF-8'));
	}
	
	if (isset($_GET['filtro_level'])) {
		$url_sort .= '&filtro_level=' . urlencode(html_entity_decode($_GET['filtro_level'], ENT_QUOTES, 'UTF-8'));
	}
	
	if (isset($_GET['filtro_payfr'])) {
		$url_sort .= '&filtro_payfr=' . urlencode(html_entity_decode($_GET['filtro_payfr'], ENT_QUOTES, 'UTF-8'));
	}


$sort_cognome = 'utenti.php?filtri=1&sort=last_name' . $url_sort;
$sql_c = "SELECT COUNT(*) AS totale FROM wcrs_users WHERE 1";
	if(!empty($_GET['filtro_utente'])){
		$sql_c .= " AND LCASE(CONCAT(last_name, ' ', first_name)) LIKE '%" . mysqli_real_escape_string($connessione,strtolower($_GET['filtro_utente'])) . "%'";
	}
	
	if(!empty($_GET['filtro_email'])){
		$sql_c .= " AND LCASE(email) LIKE '%" . mysqli_real_escape_string($connessione,strtolower($_GET['filtro_email'])) . "%'";
	}
	
	if($_GET['filtro_status'] != "-1"){
		$sql_c .= " AND active = '".$_GET['filtro_status']."'";
	}
	
	if(!empty($_GET['filtro_expire'])){
		$sql_c .= " AND pay_expire <= DATE_SUB(NOW(), INTERVAL 10 DAY)";
	}
	
	if(!empty($_GET['filtro_regdate_from'])){
		$sql_c .= " AND date_registration  >= '". mysqli_real_escape_string($connessione,Date('Y-m-d', strtotime($_GET['filtro_regdate_from'])))."'";
	}
	
	if(!empty($_GET['filtro_regdate_to'])){
		$sql_c .= " AND date_registration  <= '". mysqli_real_escape_string($connessione,Date('Y-m-d', strtotime($_GET['filtro_regdate_to'])))."'";
	}
	
	if(!empty($_GET['filtro_paiddate_from'])){
		$sql_c .= " AND DATE_FORMAT(STR_TO_DATE(pay_date, '%H:%i:%s %M %d, %Y'), '%Y-%m-%d') >= ".mysqli_real_escape_string($connessione,$_GET['filtro_paiddate_from']);
	}
	
	if(!empty($_GET['filtro_paiddate_to'])){
		$sql_c .= " AND DATE_FORMAT(STR_TO_DATE(pay_date, '%H:%i:%s %M %d, %Y'), '%Y-%m-%d') <= ".mysqli_real_escape_string($connessione,$_GET['filtro_paiddate_to']);
	}
	
	if(!empty($_GET['filtro_expdate_from'])){
		$sql_c .= " AND pay_expire >= ".mysqli_real_escape_string($connessione,$_GET['filtro_expdate_from']);
	}
	
	if(!empty($_GET['filtro_expdate_to'])){
		$sql_c .= " AND pay_expire >= ".mysqli_real_escape_string($connessione,$_GET['filtro_expdate_to']);
	}
	
	if(!empty($_GET['filtro_level'])){
		$sql_c .= " AND level = ".mysqli_real_escape_string($connessione,$_GET['filtro_level']);
	}
	
	if(isset($_GET['filtro_payfr']) && $_GET['filtro_payfr'] != "-1"){
		$sql_c .= " AND pay_frequency = '". mysqli_real_escape_string($connessione,$_GET['filtro_payfr'])."'";
	}

//echo $sql_c;die;	
$query_c = mysqli_query($connessione,$sql_c) or die(mysqli_error($connessione));
$row_c = mysqli_fetch_array($query_c);
$totale = $row_c['totale'];		
?>
<!DOCTYPE html>
<html lang="it">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Users</title>
<link href="css/bootstrap.min.css" rel="stylesheet">
<link href="https://fonts.googleapis.com/css?family=Open+Sans" rel="stylesheet">
<link rel="stylesheet" type="text/css" href="css/stile.css"/>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js"></script>
<script src="js/bootstrap.min.js"></script>
<link rel="stylesheet" href="https://ajax.googleapis.com/ajax/libs/jqueryui/1.12.1/themes/smoothness/jquery-ui.css">
<script src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.js"></script>
<script type="text/javascript" src="js/jquery.mask.min.js"></script>
<script type="text/javascript"><!--
$(document).ready(function () {
	$( ".datepicker" ).datepicker({
		dateFormat: 'yy-mm-dd',
		changeMonth: true,
		changeYear: true
	});

	$('.datepicker').mask('9999-99-99');
	
    $('[data-toggle="tooltip"]').tooltip();
	
	$('input.selectAllUsers').click(function(){
		if($(this).prop('checked') === true){
			$('table#userTable td input.user').not(':disabled').prop('checked', true);
			$('.sendActivationPassword').show();
		}else{
			$('table#userTable td input.user').prop('checked', false);
			$('.sendActivationPassword').hide();
		}
	});
	
	$('input.user').change(function(){
		if($(this).prop('checked') === true){
			$('.sendActivationPassword').show();
		}else{
			$('.sendActivationPassword').hide();
		}
	});
	
	$('.sendActivationPassword').click(function(){
		if($('#userTable input.user:checked').length > 0){
			$("form[name=usersActions]").attr('action', 'utenti.php?resend=Activation');
			$("form[name=usersActions]").submit();
		}else{
			alert("Please select at least one user");
		}
	});
	
	
});
//--></script> 
</head>
<body>
<div id="main">
	<?php require('includes/header.php'); ?>
	<div id="content">
    	<div class="container">
        	<div class="row">
            	<div id="contenuto" class="col-xs-12">
                     <div class='page-header'>
                      <h2>Users (<?php echo $totale;?>)</h2>
                    </div>  
                            
			<?php mostraMessaggio();?>
			<div class="well">
            <form method="get" action="utenti.php?filtri=1">	  
				<div class="row">
					<div class="col-sm-3">
						<div class="form-group">
							<label class="control-label" for="filtro_utente">User</label>
							<input type="text" name="filtro_utente" id="filtro_utente" value="<?php echo $_GET['filtro_utente'] ?? null; ?>" class="form-control" />
						</div>              
					</div>
					<div class="col-sm-3">
						<div class="form-group">
							<label class="control-label" for="filtro_email">Email</label>
							<input type="text" name="filtro_email" id="filtro_email" value="<?php echo $_GET['filtro_email'] ?? null;?>" class="form-control"/> 
						</div>	
					</div>
					<div class="col-sm-3">
						<div class="form-group">
							<label for="filtro_regdate_from" class="control-label">Date Reg. From</label>
							<input type="text" name="filtro_regdate_from" id="filtro_regdate_from" value="<?php echo $_GET['filtro_regdate_from'] ?? null;?>" class="form-control datepicker"/> 
						</div>              
					</div>
					<div class="col-sm-3">
						<div class="form-group">
							<label for="filtro_regdate_to" class="control-label">Date Reg. To</label>
							<input type="text" name="filtro_regdate_to" id="filtro_regdate_to" value="<?php echo $_GET['filtro_regdate_to'] ?? null;?>" class="form-control datepicker"/> 
						</div>             
					</div>
				</div>
				<div class="row">
					<div class="col-sm-3">
						<div class="form-group">
							<label for="filtro_paiddate_from" class="control-label">Paid Date From</label>
							<input type="text" name="filtro_paiddate_from" id="filtro_paiddate_from" value="<?php echo $_GET['filtro_paiddate_from'] ?? null;?>" class="form-control datepicker"/> 
						</div>              
					</div>
					<div class="col-sm-3">
						<div class="form-group">
							<label for="filtro_paiddate_to" class="control-label">Paid Date To</label>
							<input type="text" name="filtro_paiddate_to" id="filtro_paiddate_to" value="<?php echo $_GET['filtro_paiddate_to'] ?? null;?>" class="form-control datepicker"/> 
						</div>             
					</div>
					<div class="col-sm-3">
						<div class="form-group">
							<label for="filtro_expdate_from" class="control-label">Date Expiry From</label>
							<input type="text" name="filtro_expdate_from" id="filtro_expdate_from" value="<?php echo $_GET['filtro_expdate_from'] ?? null;?>" class="form-control datepicker"/> 
						</div>              
					</div>
					<div class="col-sm-3">
						<div class="form-group">
							<label for="filtro_expdate_to" class="control-label">Date Expiry To</label>
							<input type="text" name="filtro_expdate_to" id="filtro_expdate_to" value="<?php echo $_GET['filtro_expdate_to'] ?? null;?>" class="form-control datepicker"/> 
						</div>             
					</div>
				</div>				
				<div class="row">
					<div class="col-sm-3">
						<div class="form-group">
							<label for="filtro_status" class="control-label">Status</label>
							<select name="filtro_status" id="input-status" class="form-control">
								<option value="-1" >--- ALL ---</option>
								<option value="1" <?php if(isset($_GET['filtro_status']) && (int)$_GET['filtro_status'] === 1) echo 'selected="selected"';?>>Active</option>
								<option value="0" <?php if(isset($_GET['filtro_status']) && (int)$_GET['filtro_status'] === 0) echo 'selected="selected"';?>>Not active</option>
							</select> 
						</div>              
					</div>
					<div class="col-sm-3">
						<div class="form-group">
							<label for="filtro_level" class="control-label">Level</label>
							<select name="filtro_level" id="filtro_level" filter-column="3" class="form-control">
								<option value="" >--- ALL ---</option>
								<option value="1" <?php if(isset($_GET['filtro_level']) && (int)$_GET['filtro_level'] === 1) echo 'selected="selected"';?>>Standard membership</option>
								<option value="2" <?php if(isset($_GET['filtro_level']) && (int)$_GET['filtro_level'] === 2) echo 'selected="selected"';?>>Premium membership</option>
								<option value="5" <?php if(isset($_GET['filtro_level']) && (int)$_GET['filtro_level'] === 5) echo 'selected="selected"';?>>Free membership</option>
								<option value="3" <?php if(isset($_GET['filtro_level']) && (int)$_GET['filtro_level'] === 3) echo 'selected="selected"';?>>Trade membership</option>
							</select> 
						</div>              
					</div>
					<div class="col-sm-3">
						<div class="form-group">
							<label for="filtro_payfr" class="control-label">Pay Frenquency</label>
							<select name="filtro_payfr" filter-column="8" id="filtro_payfr" class="form-control">
								<option value="-1" >--- ALL ---</option>
								<option value="1 M" <?php if(isset($_GET['filtro_payfr']) && $_GET['filtro_payfr'] === '1 M') echo 'selected="selected"';?>>1 M</option>
								<option value="2 M" <?php if(isset($_GET['filtro_payfr']) && $_GET['filtro_payfr'] === '2 M') echo 'selected="selected"';?>>2 M</option>
								<option value="3 M" <?php if(isset($_GET['filtro_payfr']) && $_GET['filtro_payfr'] === '3 M') echo 'selected="selected"';?>>3 M</option>
							</select> 
						</div>              
					</div>
					<div class="col-sm-3">
						<div class="form-group">
									<label for="filtro_expire" class="control-label">Expired for over 10 days </label>
						<div class="checkbox">
						  <label><input name="filtro_expire" type="checkbox" value="1" <?php if(isset($_GET['filtro_expire']) && $_GET['filtro_expire']) echo 'checked';?>></label>
						</div>
						</div>            
						<div class="pull-right">
							<input style="margin-left: 20px" type="submit" id="button-filter" class="btn btn-primary pull-right" value="Filter" />
							<input onclick="javascript:window.location.href='utenti.php'" type="button" id="reset-button" class="btn btn-danger pull-right" value="Reset" />
						</div>
					</div>			
				</div>	            
			</form>	
		</div>			
		<div class="table-responsive">
            
			<a href="download_users.php?<?php echo $url_sort; ?>" class="btn btn-success btn-md mb-3" style="margin-bottom: 20px">Download Users</a>
			<a href="javascript:void(0)" class="sendActivationPassword btn btn-warning btn-md mb-3" style="display:none; margin-bottom: 20px">Resend Activation</a>
			
			<form method="POST" name="usersActions">
			<table id="userTable" class="table table-bordered table-striped table-hover">
            	<thead>
   			  		<tr>
						<th class="text-left">
							<input type="checkbox" name="selectAllUsers" class="selectAllUsers">
							<?php if ($sort == 'last_name') { ?>
							<a href="<?php echo $sort_cognome; ?>" class="<?php echo strtolower($order); ?>">User</a>
							<?php } else { ?>
							<a href="<?php echo $sort_cognome; ?>">User</a>
							<?php } ?>
						</th>
						<th class="text-left">Email</th>
						<th class="text-right">Date reg.</th>	
						<th class="text-left">Level</th>
						<th class="text-center">Life</th>
						<th class="text-right">Paid Date</th>
						<th class="text-center">Active</th>
						<th class="text-left">Sub. Id</th>
						<th class="text-right">Pay Fr</th>
						<th class="text-right">Expiry Date</th>
                  		<th class="text-center">Action</th>
            		</tr>
                </thead>
                <tbody>	
				<?php
				$sql = "SELECT u.*, CONCAT(last_name,' ', first_name) as utente  FROM wcrs_users u WHERE 1";
				
				//LEFT JOIN comuni c ON(u.id_comune=c.id_comune) LEFT JOIN zone z ON(z.id_zona=u.id_zona) WHERE 1";
				
				if(!empty($_GET['filtro_utente'])){
					$sql .= " AND LCASE(CONCAT(last_name, ' ', first_name)) LIKE '%" . mysqli_real_escape_string($connessione,strtolower($_GET['filtro_utente'])) . "%'";
				}
				
				if(!empty($_GET['filtro_email'])){
					$sql .= " AND LCASE(email) LIKE '%" . mysqli_real_escape_string($connessione,strtolower($_GET['filtro_email'])) . "%'";
				}
				
				if($_GET['filtro_status'] != "-1"){
					$sql .= " AND active = '".$_GET['filtro_status']."'";
				}	
				
				if(!empty($_GET['filtro_expire'])){
					$sql .= " AND pay_expire <= DATE_SUB(NOW(), INTERVAL 10 DAY)";
				}
				
				if(!empty($_GET['filtro_regdate_from'])){
					$sql .= " AND date_registration  >= '". mysqli_real_escape_string($connessione,Date('Y-m-d', strtotime($_GET['filtro_regdate_from'])))."'";
				}
				
				if(!empty($_GET['filtro_regdate_to'])){
					$sql .= " AND date_registration  <= '". mysqli_real_escape_string($connessione,Date('Y-m-d', strtotime($_GET['filtro_regdate_to'])))."'";
				}
				
				if(!empty($_GET['filtro_paiddate_from'])){
					$sql .= " AND DATE_FORMAT(STR_TO_DATE(pay_date, '%H:%i:%s %M %d, %Y'), '%Y-%m-%d') >= ".mysqli_real_escape_string($connessione,$_GET['filtro_paiddate_from']);
				}
				
				if(!empty($_GET['filtro_paiddate_to'])){
					$sql .= " AND DATE_FORMAT(STR_TO_DATE(pay_date, '%H:%i:%s %M %d, %Y'), '%Y-%m-%d') <= ".mysqli_real_escape_string($connessione,$_GET['filtro_paiddate_to']);
				}
				
				if(!empty($_GET['filtro_expdate_from'])){
					$sql .= " AND pay_expire >= ".mysqli_real_escape_string($connessione,$_GET['filtro_expdate_from']);
				}
				
				if(!empty($_GET['filtro_expdate_to'])){
					$sql .= " AND pay_expire >= ".mysqli_real_escape_string($connessione,$_GET['filtro_expdate_to']);
				}
				
				if(!empty($_GET['filtro_level'])){
					$sql .= " AND level = ".mysqli_real_escape_string($connessione,$_GET['filtro_level']);
				}
				
				if(isset($_GET['filtro_payfr']) && $_GET['filtro_payfr'] != "-1"){
					$sql .= " AND pay_frequency = '".mysqli_real_escape_string($connessione,$_GET['filtro_payfr'])."'";
				}
				
				
				$sort_data = array(
					'id',
					'last_name'
				);

				if (isset($sort) && in_array($sort, $sort_data)) {
					$sql .= " ORDER BY " . $sort;
				} else {
					$sql .= " ORDER BY id";
				}

				if (isset($order) && ($order == 'DESC')) {
					$sql .= " DESC";
				} else {
					$sql .= " ASC";
				}	
				
				$sql .= " LIMIT " . (int)($page-1)*$record_per_pagina . "," . (int)$record_per_pagina;
				
				$result = mysqli_query($connessione,$sql) or die(mysqli_error());
                if(mysqli_num_rows($result) >0){
                	while($row = mysqli_fetch_array($result)){
					$pay_frequency = $row['pay_frequency'];
					$giorni = "+40 days";
					if(!empty($pay_frequency)){
						if($pay_frequency == "1 M"){
							$giorni = "+40 days";
						}elseif($pay_frequency == "2 M"){
							$giorni = "+70 days";
						}elseif($pay_frequency == "3 M"){
							$giorni = "+100 days";
						}
					}
					// calcolo la prossima data di scadenza
					if(!empty($row['pay_date'])){
						$pay_date_time = strtotime($row['pay_date']);
						$pay_next_datetime = date("Y-m-d", strtotime($giorni, $pay_date_time));			
					}else{
						$pay_next_datetime="";
					}						
						
                ?>	                                
    			<tr>
					<td class="text-left"><input <?php echo ($row['active']) ? 'disabled' :'';?> type="checkbox" name="users[]" value="<?php echo $row['id']; ?>" class="user"> &nbsp;<?php echo $row['utente'];?></td>
					<td class="text-left"><?php echo $row['email'];?></td>
					<td class="text-right"><?php echo $row['date_registration'];?></td>
					<td class="text-left">
					<?php if($row['level']==1) echo 'Standard membership';?>
					<?php if($row['level']==2) echo 'Premium membership';?>
					<?php if($row['level']==5) echo 'Free membership';?>
					<?php if($row['level']==3) echo 'Trade membership';?>
					</td>
					<td class="text-center"><?php echo ($row['life_member']) ? 'YES' : 'NO';?></td>
					<td class="text-right"><?php echo $row['pay_date'];?></td>
					<td class="text-center"><i class="glyphicon glyphicon-<?php echo ($row['active']) ? 'ok' :'remove';?>"></i></td>
					<td class="text-left"><?php echo $row['subscr_id'];?></td>
					<td class="text-right"><?php echo $row['pay_frequency'];?></td>
					<td class="text-right"><?php echo $pay_next_datetime;?></td>
					<td class="text-center">
						<a href="inserisci_utente.php?id=<?php echo $row['id'] . $url;?>" data-toggle="tooltip" title="Modifica"><i class="glyphicon glyphicon-pencil"></i></a>	
						<a href="utenti.php?id=<?php echo $row['id'];?>&amp;act=del" onclick="return confirm('Sicuro di voler cancellare questo record?');"><i class="glyphicon glyphicon-trash"></i></a>  						
					</td>
  	    		</tr>
				<?php
					}
				}else{
					echo '<tr><td colspan="11" class="center">Users not found</td></tr>';
				}
				?>			
                </tbody>
          	</table>
			
				<textarea name="return_url" style="height:0px;width:0px;visibility:hidden"><?php echo $_SERVER['REQUEST_URI']; ?></textarea>
			
			</form>
			</div>
			<?php
			/*$sql = "SELECT COUNT(*) AS totale FROM wcrs_users WHERE 1";
			
				if(!empty($_GET['filtro_utente'])){
					$sql .= " AND LCASE(CONCAT(last_name, ' ', first_name)) LIKE '%" . mysqli_real_escape_string($connessione,strtolower($_GET['filtro_utente'])) . "%'";
				}
				
				if(!empty($_GET['filtro_email'])){
					$sql .= " AND LCASE(email) LIKE '%" . mysqli_real_escape_string($connessione,strtolower($_GET['filtro_email'])) . "%'";
				}	
				
				if($_GET['filtro_status'] != "-1"){
					$sql .= " AND active = '".$_GET['filtro_status']."'";
				}	
				
				if(!empty($_GET['filtro_expire'])){
					$sql .= " AND pay_expire <= DATE_SUB(NOW(), INTERVAL 10 DAY)";
				}												
			
			$result = mysqli_query($connessione,$sql) or die(mysqli_error());
            $row = mysqli_fetch_array($result);
			$totale = $row['totale'];			*/

			$url = preg_replace("/&page=\d+/", '', $_SERVER['REQUEST_URI']) ;
            $cp = new CreativePager();
			$parametri['class'] = 'pagination';
            $parametri['selected_page'] = $page;
            $parametri['total_items']	= $totale;
            $parametri['items_per_page'] = $record_per_pagina;
            $parametri['url'] = $url;
            $parametri['nav_pages'] = 10;
            $parametri['info1'] = false;
            $parametri['info2'] = false;
            $parametri['first'] = 'Prev';
            $parametri['last']	= 'Next';
            $cp->pager($parametri);
            echo utf8_encode($cp->display());
            ?>
			<div class="clear"></div>
            	</div>
            	</div>
            </div>
		</div>
</div>
<script type="text/javascript"><!--
$('#button-filter').on('click', function() {
	url = 'utenti.php?filtri=1';
	
	var filtro_utente = $('input[name=\'filtro_utente\']').val();
	if (filtro_utente) {
		url += '&filtro_utente=' + encodeURIComponent(filtro_utente);
	}

	var filtro_email = $('input[name=\'filtro_email\']').val();
	if (filtro_email) {
		url += '&filtro_email=' + encodeURIComponent(filtro_email);
	}	
	
	location = url;
});
//--></script> 
</body>
</html>