<?php
require_once ("Connections/rounds4sale.php");
// connessione database, forzatura del charset
$connessione = mysqli_connect($hostname_cleaningrounds, $username_cleaningrounds, $password_cleaningrounds, $database_cleaningrounds);
mysqli_set_charset($connessione,"utf8");

	
if(!isset($_GET['token']) || !isset($_GET['email'])){
	header("Location: index.php");
	exit();
}

$thisPage = 'payment';

// Create a random 6 character password...
function createRandonStr($length){
	$string = md5(uniqid(rand(), true));
	return substr($string, 0, $length);
}	
?>

<?php
	
	$query = mysqli_query($connessione,"SELECT * FROM wcrs_users WHERE email = '" . mysqli_real_escape_string($connessione,$_GET['email']) . "' AND token = '" . mysqli_real_escape_string($connessione,$_GET['token']). "'") or die(mysqli_error($connessione));
	$row = mysqli_fetch_array($query);
	
	$first_name = $row['first_name'];
	$last_name = $row['last_name'];
	$email = $row['email'];
	// Get address also
	$address_street = $row['address_street'];
	$address_city = $row['address_city'];
	$address_state = $row['address_state'];
	$address_country = $row['address_country'];
	$address_zip = $row['address_zip'];
	$level = $row['level'];
	$custom = $row['id'];
    $payfrequncy = $row['pay_frequency'];
    $pay_status = $row['pay_status'];
	$subscr_id = $row['subscr_id'];
	$cust_id = $row['cust_id'];

	$stripeSubExists = true;
	if(!$subscr_id){
		$stripeSubExists = false;

		if($level>0 && $level != 5){
			/* create customer on stripe for subscription */
			require("./vendor/stripe.config.php");
			require "./vendor/autoload.php";

			$stripe = new \Stripe\StripeClient(STRIPE_KEY);

			/* check if customer exists on stripe */
			$stripeCustExists = false;
			if($cust_id){
				try{
					$exists = $stripe->customers->retrieve($cust_id,[]);
					if($exists->id){
						$stripeCustExists = true;
					}
				}catch(Exception $e){
					$stripeCustExists = false;
				}
			}

			if(!$cust_id || $stripeCustExists === false){
				/*create customer object*/
				try{
					$customer = $stripe->customers->create(
						[
							'email' => $email,
							'name' => $first_name. " " . $last_name,
							'shipping' => [
								'address' => [
									'city' => $address_city,
									'country' => $address_country,
									'line1' => $address_street,
									'postal_code' => $address_zip,
									'state' => $address_state,
								],
								'name' => $first_name. " ".$last_name,
							],
							'address' => [
								'city' => $address_city,
								'country' => $address_country,
								'line1' => $address_street,
								'postal_code' => $address_zip,
								'state' => $address_state,
							],
							"metadata" =>[
								"user" => $custom
							]
						]
					);
				}catch(Exception $e){
					echo "<h1>Error</h1>";
					echo "<p>There is an error in Stripe API</p>";
					echo $e->getMessage();
				}
	
				//print_r($customer);
				$cust_id = $customer->id;
				mysqli_query($connessione,
					"UPDATE wcrs_users set cust_id='".mysqli_real_escape_string($connessione,$cust_id)
					."' WHERE email = '" . mysqli_real_escape_string($connessione,$_GET['email']) 
					. "' AND token = '" . mysqli_real_escape_string($connessione,$_GET['token']). "'") 
					or die(mysqli_error($connessione));
	
			}
		}
	}
?>

<!DOCTYPE html>
<html lang="it">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>Window Cleaning Login</title>
<link href="assets/css/bootstrap.min.css" rel="stylesheet">
<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.3.1/css/all.css" integrity="sha384-mzrmE5qonljUremFsqc01SB46JvROS7bZs3IO2EmfFsd15uHvIt+Y8vEf7N7fWAU" crossorigin="anonymous">
 <link href="assets/css/style.css" rel="stylesheet">
<link href="https://fonts.googleapis.com/css?family=Open+Sans" rel="stylesheet">

<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js"></script>
<script src="assets/js/bootstrap.min.js"></script>

<script>
var text1="Advertise your window cleaning round for sale for free with www.windowcleaningresources.co.uk"
comeback=0
cometo=0
function dis(){
window.status=text1.substring(0,cometo)
if(comeback==1){
cometo--;
if(cometo==0){comeback=0}
} else {cometo++;if(cometo==text1.length){comeback=1}}
window.status=text1.substring(0,cometo)+"|"
if(cometo==text1.length){window.setTimeout("dis()",500);} else {window.setTimeout("dis()",75);}
}
dis()
</script>
</head>
<body>
<div id="wrapper">

	<?php require_once("includes/header.php");?>
  
	<div id="corpo-pagina">
		<div class="container">
			<div class="row">
            
				<div class="col-md-6 offset-md-3 text-center ">
					<h2 class="mb40">Register for Membership</h2>
					
					<?php if($stripeSubExists === true){ ?>
						<h5>Dear <strong><?php echo strtoupper($first_name.' '.$last_name);?></strong>, thank you. You are already subscribed for a <?php if($level == 1){ ?> STANDARD <?php } elseif($level == 2) {?> PREMIUM <?php } else { ?> TRADE <?php } ?> account.</h5>
					<?php }else{ ?>

						<h5>OK, <strong><?php echo strtoupper($first_name.' '.$last_name);?></strong>, thank you for registering for a <?php if($level == 1){ ?> STANDARD <?php } elseif($level == 2) {?> PREMIUM <?php } else { ?> TRADE <?php } ?> account.</h5>
						<p class="mb40">Now you only need to activate your account by completing the payment process.<br>
						Simply click the Subscribe button below to go through check out.</p>
						<div class="mb20">
							<form method="post" action="payment_checkout.php" class="text-left">
								<input type="hidden" name="first_name" value="<?php echo $first_name; ?>"/>
								<input type="hidden" name="last_name" value="<?php echo $last_name; ?>"/>
								<input type="hidden" name="email" value="<?php echo $email; ?>" />
								<input type="hidden" name="address_street" value="<?php echo $address_street; ?>"/>
								<input type="hidden" name="address_city" value="<?php echo $address_city; ?>" />
								<input type="hidden" name="address_state" value="<?php echo $address_state; ?>" />
								<input type="hidden" name="address_country" value="<?php echo $address_country; ?>" />
								<input type="hidden" name="address_zip" value="<?php echo $address_zip; ?>" />
								<input type="hidden" name="level" value="<?php echo $level; ?>" />
								<input type="hidden" name="uid" value="<?php echo $custom; ?>" />
								<input type="hidden" name="payfrequncy" value="<?php echo $payfrequncy; ?>" />
								<input type="hidden" name="customer_id" value="<?php echo $cust_id; ?>" />
								<input type="hidden" name="subscr_id" value="NEW" />

								<div class="text-center">
									<input class="btn btn-lg btn-success" style="font-size:18px;" type="submit" name="submit" value="Subscribe" />
								</div>

							</form>	
						</div>
						<small>
								<strong>Note:</strong> You can cancel the subscription at any time by using the Unsubscribe button in your account settings.</small>   
					<?php } ?>

				</div>
       		</div>
       </div>

	</div>
    <?php require_once("includes/footer.php");?>
</div>	
</body>
</html>