<?php
session_start();
require_once ("Connections/rounds4sale.php");

// connessione database, forzatura del charset
$connessione = mysqli_connect($hostname_cleaningrounds, $username_cleaningrounds, $password_cleaningrounds, $database_cleaningrounds);
mysqli_set_charset($connessione,"utf8");
?>
<!DOCTYPE html>
<html lang="it">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>buysellround</title>
<meta name="Description" content="Find a window cleaning business for sale. Advertise your window cleaning business for sale free of charge.">
<meta name="Generator" content="NetObjects Fusion 11 for Windows">
<meta name="Keywords" content="window cleaning business, window cleaning rounds for sale, window cleaning business for sale, window cleaning round for sale">
<link href="assets/css/bootstrap.min.css" rel="stylesheet">
<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.3.1/css/all.css" integrity="sha384-mzrmE5qonljUremFsqc01SB46JvROS7bZs3IO2EmfFsd15uHvIt+Y8vEf7N7fWAU" crossorigin="anonymous">
 <link href="assets/css/style.css" rel="stylesheet">
<link href="https://fonts.googleapis.com/css?family=Open+Sans" rel="stylesheet">

<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js"></script>
<script src="assets/js/bootstrap.min.js"></script>
</head>
<body>
	<div id="wrapper">

	<?php require_once("includes/header.php");?>
    <?php require_once("includes/subheader.php");?>
    
	<div id="corpo-pagina">
		<div class="container">
			<div class="row">
				<div class="col-md-9 page-content">
                
              <h1 class="text-center mb20"><a name="Buying"></a>Buying and Selling a Window Cleaning Round</h1>
              <div style="clear:both;"></div>
                            
              <p style="text-align: center;"><i><span style="color: rgb(0,0,128);"><b>How much is a window cleaning round worth?<br>Tips when buying a window cleaning round.<br></b><b>Tips when selling a window cleaning round.</span></b></i></p>
              <img id="Picture518" height="356" width="200" src="assets/images/Water_fed_pole_on_flats.jpg" class="float-left mr10" border="0" alt="How do you value a window cleaning round?" title="How do you value a window cleaning round?"> 
     
              <p><b>How much is a window cleaning round worth</b></p>

              <p><span style="font-family: Arial,Helvetica,Geneva,Sans-serif; ">Like any asset, a window cleaning business is only worth what someone is prepared to pay for it. Unless the seller is including plant and equipment (such as their vehicle and tools) then what you are buying is the &#8216;goodwill&#8217; of the business. </span></p>
              <p style="margin-bottom: 0px;"><b><span style="font-family: Arial,Helvetica,Geneva,Sans-serif; ">- So what is goodwill?</span></b></p>

   

           <p><a name="Worth"></a><span style="font-family: Arial,Helvetica,Geneva,Sans-serif; ">Goodwill reflects the reputation, viability and potential of a business. It can be difficult to give a value to goodwill since it is an intangible asset. To illustrate, The goodwill of a round that has been neglected and worked in a &#8216;hit and miss&#8217; fashion for a few months would be valued less than that of a round which has been consistently and diligently looked after. Another goodwill factor would include the location of the business. If there is lots of potential to expand the business within the immediate vicinity of the window cleaning round then the viability and potential of the business is increased and that could be reflected in the goodwill. It would be wise to ask to see written records of the accounts for the round in question in determining the goodwill value.</span></p>
           <p><span style="font-family: Arial,Helvetica,Geneva,Sans-serif; ">You may be thinking, &#8220;Yes, but HOW MUCH should I expect to pay for a window cleaning round?&#8221;</span></p>
           <p><span style="font-family: Arial,Helvetica,Geneva,Sans-serif; ">Often window cleaners sell their round according to its average monthly turnover. It is known for window cleaning rounds to be sold from 2 months average turnover up to 10 months value. Like anything much comes down to supply and demand. Prices of window cleaning rounds vary form region to region. In an area saturated with window cleaners where canvassing fresh work is difficult, fellow window cleaners may be prepared to pay more for an established round than in an area where window cleaners are few and far between and canvassing fresh work is relatively easy. Of course the nature of the work comes into play also. Commercial work that is low level, well priced and compact would be obviously be worth more than a round of poorly priced terrace houses scattered about on a rough estate.</span></p>
           <p><span style="font-family: Arial,Helvetica,Geneva,Sans-serif; ">If you have contracts in place and can show the annual profits of the business from the </span></p>
           <p><b><span style="font-family: Arial,Helvetica,Geneva,Sans-serif; color: rgb(0,0,128);">Tips when buying a window cleaning round.<a name="Tips"></a></span></b></p>
           <p><span style="font-family: Arial,Helvetica,Geneva,Sans-serif; ">Prospective buyers should only purchase a business after due diligence, which means basically acquiring and analyzing all the information you need to make a wise decision.</span></p>
           <p><span style="font-family: Arial,Helvetica,Geneva,Sans-serif; ">Failing to take the time to find out about all aspects of the business may result in a costly mistake. To buy a window cleaning round could be the best business decision you ever make, on the other hand it could end up being one of the worst. A lot depends on good communication. Window cleaning rounds don&#8217;t often come cheap, so before spending a lot of money be sure to do your research. Ask to be given a quick tour of the work to get an overview of how compact the work is and what the prices are like. There has to be an element of trust from both parties for the deal to be successful. Some questions you will need to ask are:</span></p>
           <ul style="list-style-type: disc;">
            <li><span style="font-family: Arial,Helvetica,Geneva,Sans-serif;  color: rgb(0,0,160);">When was the work last done?</span></li>
            <li><span style="font-family: Arial,Helvetica,Geneva,Sans-serif;  color: rgb(0,0,160);">How established is the work?</span></li>
            <li><span style="font-family: Arial,Helvetica,Geneva,Sans-serif;  color: rgb(0,0,160);">What income does the round generate in an average month?</span></li>
            <li><span style="font-family: Arial,Helvetica,Geneva,Sans-serif;  color: rgb(0,0,160);">What kind of methods are the customers used to? Traditional or water fed pole?</span></li>
            <li><span style="font-family: Arial,Helvetica,Geneva,Sans-serif;  color: rgb(0,0,160);">Is collection usually by cheque in the post or by collecting in the evening?</span></li>
            <li><span style="font-family: Arial,Helvetica,Geneva,Sans-serif;  color: rgb(0,0,160);">What kind of scope is there for enlarging the round if need be?</span></li>
            <li><span style="font-family: Arial,Helvetica,Geneva,Sans-serif;  color: rgb(0,0,160);">When were the prices last raised? </span></li>
            <li><span style="font-family: Arial,Helvetica,Geneva,Sans-serif;  color: rgb(0,0,160);">How long does it take the current window cleaner to do the round?</span></li>
            <li><span style="font-family: Arial,Helvetica,Geneva,Sans-serif;  color: rgb(0,0,160);">Realistically, what is the average hourly rate achievable?</span></li>
            <li><span style="font-family: Arial,Helvetica,Geneva,Sans-serif;  color: rgb(0,0,160);">What is the reason for the sale?</span></li>
           </ul>
           <p style="list-style-type: none;"><span style="font-family: Arial,Helvetica,Geneva,Sans-serif; ">If the seller seems vague about these details and is more interested in getting a deposit from you without giving you opportunity to at least select a few customers at random to verify, then take that as a warning sign. </span></p>
           <p style="list-style-type: none;"><span style="font-family: Arial,Helvetica,Geneva,Sans-serif; ">Alarm bells should also start ringing if the seller is reluctant to provide you with personal details such as a home address or telephone number. </span></p>
           <p style="list-style-type: none;"><span style="font-family: Arial,Helvetica,Geneva,Sans-serif; ">For a smooth transition the customers should be told what is happening by the original window cleaner. Householders like to know who is coming and who they are paying, so ideally it would be good for you to meet the customers once you are pretty sure that you will buy the work. At this stage ask to choose a random selection of customers from the list and then go to verify that they exist by meeting them. (See below). If you will not be working the round for the first time with the seller, then ask him to give a letter to all the customers to inform them of the change. When you start you may wish to leave your own letter to introduce yourself.<br><a id="Text1058Link1" href="http://www.windowcleaningroundforsale.co.uk/Notice%20of%20Change%20of%20Window%20Cleaner%20Letter.doc">Download example changeover letter.</a></span></p>
           <p style="list-style-type: none;"><span style="font-family: Arial,Helvetica,Geneva,Sans-serif; "><b>Tip:</b> Work a section or all the round for one clean with the seller. This will give you opportunity to get to see first hand not only what the round is like, but it will also give you opportunity to have an insight into the seller&#8217;s character. Buying and selling goodwill involves trust and if you don&#8217;t know the seller then working alongside him for a day or two will help you develop the mutual trust. </span></p>
           <p style="list-style-type: none;"><span style="font-family: Arial,Helvetica,Geneva,Sans-serif; ">Don&#8217;t expect to be given the full list of work until you have made at least a deposit. The seller is also taking a risk in giving you the work before he receives the full amount. A fair method for the exchange may be to put half of the amount down as a deposit and pay the other half once you have worked the round once and established that the round is all legitimate, ideally doing this together with the seller and splitting the proceeds. </span></p>
           <p style="list-style-type: none;"><span style="font-family: Arial,Helvetica,Geneva,Sans-serif; ">Before you start the work, agree between yourselves as to what will happen in the case of cancellations. Again this requires trust. Both parties should have a written copy of the agreed terms of sale so that any issues that arise can be settled according to the agreement.<a name="Selling"></a> </span></p>
           <p style="list-style-type: none;"><span style="font-family: Arial,Helvetica,Geneva,Sans-serif; ">When there are large amounts of money involved it is highly recommended that you involve a solicitor and seek legal advice for the transaction to be documented.</span></p>
           <p style="list-style-type: none;"><b><span style="font-family: Arial,Helvetica,Geneva,Sans-serif; color: rgb(0,0,128);">Tips when selling a window cleaning round.</span></b></p>
           <p style="list-style-type: none;"><span style="font-family: Arial,Helvetica,Geneva,Sans-serif; ">If you want the sale of the round to go smoothly then communication with your customers is vital. Your customers have a right to know who is coming onto their property to clean their windows. Mention to your customers the change and hand them a letter of notification with the new cleaner&#8217;s contact details. You can download a sample letter here for free. Having a name, telephone number and address of the new cleaner will make customers more at ease with the change. <a id="Text1058Link2" href="http://www.windowcleaningroundforsale.co.uk/Notice%20of%20Change%20of%20Window%20Cleaner%20Letter.doc">Download example changeover letter.</a></span></p>
           <p style="list-style-type: none;"><span style="font-family: Arial,Helvetica,Geneva,Sans-serif; ">If you don&#8217;t have the time to take the new cleaner around ALL of your customers to be introduced, and if you don&#8217;t like the idea of working the round with the buyer for the first clean, then at the very least be prepared to show the list briefly to the prospective buyer and allow them to pick at random a selection of the customers to verify. It would not be wise to introduce a prospective buyer as &#8216;the new window cleaner&#8217; until the deal is certain and a deposit has been made. For a domestic round the conversation may go something like: </span></p>
           <p style="list-style-type: none;"><span style="font-family: Arial,Helvetica,Geneva,Sans-serif; "><i>&#8220;Hello &#8216;Mr.Smith&#8217;, I hope you don&#8217;t mind me disturbing you but as I mentioned I may be passing the window cleaning round on to someone else. &#8216;David&#8217; here is evaluating whether or not to buy the round from me and I&#8217;m just introducing him to a few customers for him to see that the round is legitimate. &#8216;David&#8217;, this is &#8216;Mr.Smith&#8217;. He&#8217;s a great customer, he has his windows cleaned every month and we&#8217;ve been cleaning the windows here for about &#8216;3 years&#8217;&#8221;.&nbsp; </i>&nbsp; </span></p>
           <p style="list-style-type: none;"><span style="font-family: Arial,Helvetica,Geneva,Sans-serif; ">A few successful introductions like these chosen at random by the prospective buyer, should be enough grounds for a deposit. At that point it would be wise to work the round together for the first time splitting proceeds down the middle. Then the final payment could be made, at which point the seller would hand over the full details of the round. </span></p>
           <p style="list-style-type: none;"><span style="font-family: Arial,Helvetica,Geneva,Sans-serif; ">There is often a certain inevitable amount of cancellations when a window cleaning round changes hands. Introducing the new buyer will minimise this, but a strong selling point would be to guarantee the work by offering to refund any cancellations. Alternatively, you could deduct 5% from the asking price to start with to cover any eventual losses during the change over. </span></p>
           <p style="list-style-type: none;"><span style="font-family: Arial,Helvetica,Geneva,Sans-serif; ">Think long and hard before selling your work. Window cleaning rounds are a valuable asset that are often underestimated in value. Ask yourself what the round is worth to you. You then need to find someone who is prepared to pay that amount. A window cleaning round is only worth what someone is willing to pay for it. It could be that you are better off keeping the round.</span></p>
           <p style="list-style-type: none;"><span style="font-family: Arial,Helvetica,Geneva,Sans-serif; "></span>&nbsp;</p>
           <p><a href="<?php echo HTTP_SERVER;?>" class="btn btn-primary">Return to Home Page</a></p>
           </div>
                <div class="col-md-3 page-sidebar">
					<?php require_once('incLeftMenu.php'); ?>
				</div>
	
			</div>
		</div>
	</div>
 
    <?php require_once("includes/footer.php");?>
</div>	
</body>
</html>