<?php
session_start();
require_once ("includes/db.inc.php");
require_once ("includes/authenticate.inc.php");
require_once ("includes/funzioni.inc.php");

// connessione database, forzatura del charset
$connessione = mysqli_connect(DB_HOSTNAME, DB_USERNAME, DB_PASSWORD, DB_DATABASE);

mysqli_set_charset($connessione,"utf8");

sessionAuthenticate(HTTP_SERVER);

$loc_query_county       = "SELECT * FROM tbl_county where 1 order by county_group_priority ASC";
$loc_exe_query_county   = mysqli_query($connessione,$loc_query_county);

if ($_SERVER['REQUEST_METHOD'] == 'POST') {

	$errori = array();
	
	/*
		if ((strlen(trim($_POST['covering'])) < 1)) {
			$errori['covering'] = 'Choose <strong>localtion</strong> !';
		}

		if (strlen(trim($_POST['monthavg'])) < 1) {
			$errori['monthavg'] = 'Choose <strong>monthavg</strong> !';
		}
		
		if (strlen(trim($_POST['price'])) < 1) {
			$errori['price'] = 'Choose <strong>price</strong> !';
		}		
		
		if (strlen(trim($_POST['established'])) < 1) {
			$errori['established'] = 'Choose <strong>established</strong> !';
		}
*/		
		if (strlen(trim($_POST['comments'])) < 1) {
			$errori['comments'] = 'Choose <strong>comments</strong> !';
		}				

	if (!$errori) {
		
		if($_GET['azione'] == 'insert_utente'){
			
		}else{
			mysqli_query($connessione,"UPDATE rounds_wanted SET covering = '" . mysqli_real_escape_string($connessione,$_POST['covering']). "', monthavg = '" . mysqli_real_escape_string($connessione,$_POST['monthavg']). "', price = '" . mysqli_real_escape_string($connessione,$_POST['price']). "', established = '" . mysqli_real_escape_string($connessione,$_POST['established']). "', comments = '" . mysqli_real_escape_string($connessione,$_POST['comments']). "', telephone1 = '" . mysqli_real_escape_string($connessione,$_POST['telephone1']). "', telephone2 = '" . mysqli_real_escape_string($connessione,$_POST['telephone2']). "', status = '" . mysqli_real_escape_string($connessione,$_POST['status']). "' WHERE id = '" . (int)$_GET['id'] . "'") or die(mysqli_error());
			
			$_SESSION["messaggio"] = '<div class="alert alert-success">Record update.</div>';
		}
	}
}

if(!isset($_GET['id'])){
	$form_azione = 'insert_utente';
}else{
	$form_azione = 'update_utente&id=' . $_GET['id'];
}

if (isset($_GET['id'])){
	$data = array();
	// $query = mysqli_query($connessione,"SELECT * FROM rounds_wanted WHERE id = '" . (int)$_GET['id'] . "'") or die(mysqli_error());
	$query = mysqli_query($connessione,"SELECT r.*,c.county_name FROM rounds_wanted r left join tbl_county c ON r.county_id = c.county_id
	 WHERE r.id = '" . (int)$_GET['id'] . "'") or die(mysqli_error());

	$row = mysqli_fetch_array($query);
	$data['name'] = $row['name'];
	$data['email'] = $row['email'];
	$data['covering'] = $row['covering'];
	$data['type'] = $row['type'];
	// $data['id_country'] = $row['id_country'];
	$data['id_country'] = $row['county_name'];
	$data['monthavg'] = $row['monthavg'];
	$data['established'] = $row['established'];
	$data['comments'] = $row['comments'];
	$data['price'] = $row['price'];
	$data['status'] = $row['status'];
	$data['telephone1'] = $row['telephone1'];
	$data['telephone2'] = $row['telephone2'];
}

	if (isset($_POST['name'])) {
		$name = $_POST['name'];
	} elseif (!empty($data)) { 
		$name = $data['name'];
	} else {
		$name = "";
	}

	if (isset($_POST['email'])) {
		$email = $_POST['email'];
	} elseif (!empty($data)) { 
		$email = $data['email'];
	} else {
		$email = "";
	}
	
	if (isset($_POST['telephone1'])) {
		$telephone1 = $_POST['telephone1'];
	} elseif (!empty($data)) { 
		$telephone1 = $data['telephone1'];
	} else {
		$telephone1 = "";
	}
	
	if (isset($_POST['telephone2'])) {
		$telephone2 = $_POST['telephone2'];
	} elseif (!empty($data)) { 
		$telephone2 = $data['telephone2'];
	} else {
		$telephone2 = "";
	}			

	if (isset($_POST['covering'])) {
		$covering = $_POST['covering'];
	} elseif (!empty($data)) { 
		$covering = $data['covering'];
	} else {
		$covering = "";
	}
	
	if (isset($_POST['id_country'])) {
		$id_country = $_POST['id_country'];
	} elseif (!empty($data)) { 
		$id_country = $data['id_country'];
	} else {
		$id_country = "";
	}

	if (isset($_POST['comments'])) {
		$comments = $_POST['comments'];
	} elseif (!empty($data)) { 
		$comments = $data['comments'];
	} else {
		$comments = "";
	}
	
	if (isset($_POST['type'])) {
		$type = $_POST['type'];
	} elseif (!empty($data)) { 
		$type = $data['type'];
	} else {
		$type = "";
	}	
	
	if (isset($_POST['established'])) {
		$established = $_POST['established'];
	} elseif (!empty($data)) { 
		$established = $data['established'];
	} else {
		$established = "";
	}

	if (isset($_POST['monthavg'])) {
		$monthavg = $_POST['monthavg'];
	} elseif (!empty($data)) { 
		$monthavg = $data['monthavg'];
	} else {
		$monthavg = "";
	}
	
	if (isset($_POST['id_country'])) {
		$id_country = $_POST['id_country'];
	} elseif (!empty($data)) { 
		$id_country = $data['id_country'];
	} else {
		$id_country = "";
	}

	if (isset($_POST['county_id'])) {
		$county_id = $_POST['county_id'];
	} elseif (!empty($data)) { 
		$county_id = $data['county_id'];
	} else {
		$county_id = "";
	}

	if (isset($_POST['price'])) {
		$price = $_POST['price'];
	} elseif (!empty($data)) { 
		$price = $data['price'];
	} else {
		$price = "";
	}

	if (isset($_POST['status'])) {
		$status = $_POST['status'];
	} elseif (!empty($data)) { 
		$status = $data['status'];
	} else {
		$status = "";
	}
?>
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
<title></title>
<link href="css/bootstrap.min.css" rel="stylesheet">
<link href="https://fonts.googleapis.com/css?family=Open+Sans" rel="stylesheet">
<link rel="stylesheet" type="text/css" href="css/stile.css" />
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js"></script>
<script src="js/bootstrap.min.js"></script>
<link rel="stylesheet" href="https://ajax.googleapis.com/ajax/libs/jqueryui/1.12.1/themes/smoothness/jquery-ui.css">
<script src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.js"></script>
<script type="text/javascript" src="js/jquery.mask.min.js"></script>
<script type="text/javascript"><!--
$(document).ready(function () {

	$( ".datepicker" ).datepicker({
		dateFormat: 'dd-mm-yy',
		changeMonth: true,
		changeYear: true
	});

	$('.datepicker').mask('99-99-9999');
});
//--></script> 
</head>
<body>
<div id="main">
<?php require('includes/header.php'); ?>
		<div id="content">
    	<div class="container">
        	<div class="row">
            	<div id="contenuto" class="col-xs-12">
                        <div class='page-header'>
                      		<div class='btn-toolbar pull-right'>
                            	<a href="rounds_wanted.php" class="btn btn-default">Back</a>
                      		</div>
                      		<h2><?php echo ($_GET['id']) ? 'Edit' : 'Insert';?> rounds wanted #<?php echo $_GET['id'];?></h2>
                    	</div>                 
			<?php 
			mostraMessaggio();
			
			if(!empty($errori)){ 
				echo '<div class="alert alert-danger">';
				foreach($errori as $errore){
					echo $errore;
					echo '<br>';
				}
				echo '</div>';
			}
			?>

<form method="post" action="edit_rounds_wanted.php?azione=<?php echo $form_azione;?>" id="form">	
<h4>Round Details</h4>
	<div class="row">
		<div class="col-md-4">
			<div class="form-group">
				<label for="id_country" class="control-label">Region</label>
				<?php /* ?>	<select name="id_country" class="form-control" disabled>
											<option value="">--- Seleziona ---</option>
											<?php
											$query_ope = mysqli_query($connessione,"SELECT * FROM country ORDER BY name ASC");
											while ($row_ope = mysqli_fetch_array($query_ope)){
												if ($row_ope['id_country'] == $id_country) {
											?>	
											<option value="<?php echo $row_ope['id_country']; ?>" selected="selected"><?php echo $row_ope['name']; ?></option>
											<?php
												} else{ 
											?>
											<option value="<?php echo $row_ope['id_country']; ?>"><?php echo $row_ope['name']; ?></option>
											<?php
												} 
											} 
											?>
										</select><?php */ ?>
										<select name="id_country" class="form-control" disabled>
								<?php
									$loc_prev_county_group = '';
									while($row =mysqli_fetch_array($loc_exe_query_county)){
									    $loc_curr_county_group = $row['county_group'];
									    if($loc_prev_county_group != $loc_curr_county_group) {
									        if($loc_prev_county_group != '') {
									            echo '</optgroup>';
									        }
									        echo '<optgroup label="'.$loc_curr_county_group.'">';
									    }
									
									    $loc_prev_county_group = $loc_curr_county_group;
									?>
									    <option <?php  if ($row['county_name'] == $id_country) echo 'selected';?> value="<?php echo $row['county_id'] ?>"><?php echo $row['county_name'] ?></option>
								<?php	}
										echo '</optgroup>';
								?>
						</select>
			</div>
		</div>
		<div class="col-md-4">
			<div class="form-group required">
				<label for="covering" class="control-label">Location</label>
				<input type="text" class="form-control" name="covering" value="<?php echo $covering; ?>">
			</div>
		</div>
		<div class="col-md-4">
			<div class="form-group">
				<label for="type" class="control-label">Type</label>
				<input type="text" class="form-control" name="type" readonly value="<?php echo $type; ?>">
			</div>
		</div>        
	</div>		
	<div class="row">
		<!-- <div class="col-md-4">
			<div class="form-group required">
				<label for="monthavg" class="control-label">Monthly Avg Value</label>
                <div class="input-group">
                  <span class="input-group-addon" id="basic-addon1">&pound;</span>
                  <input type="text" class="form-control" name="monthavg" aria-describedby="basic-addon1" value="<?php //echo $monthavg;?>" />
                </div>               
			</div>
		</div>
		<div class="col-md-4">
			<div class="form-group required">
				<label for="established" class="control-label">Established For</label>
				<input type="text" class="form-control" name="established" value="<?php //echo $established; ?>">
			</div>
		</div> -->
		<div class="col-md-4">
			<div class="form-group required">
				<label for="price" class="control-label">Price</label>
                <div class="input-group">
                  <span class="input-group-addon" id="basic-addon1">&pound;</span>
                  <input type="text" class="form-control" name="price" aria-describedby="basic-addon1" value="<?php echo $price;?>" />
                </div>
			</div>
		</div>        
	</div>	
		<div class="row">
		<div class="col-md-12">
			<div class="form-group required">
				<label for="comments" class="control-label">Comments</label>
			  <textarea class="form-control" name="comments" rows="10"><?php echo $comments; ?></textarea>
			</div>
		</div>
		</div>
		<h4>Contact Detail</h4>	
		<div class="row">
		<div class="col-md-6">
			<div class="form-group">
			<label for="name" class="control-label">Name</label>
			  <input type="text" class="form-control" name="name" value="<?php echo $name; ?>" readonly>
			</div>
			</div>
			<div class="col-md-6">
			<div class="form-group">
			<label for="email" class="control-label">Email</label>
			  <input type="text" class="form-control"  name="email" value="<?php echo $email; ?>" readonly>
			</div>
		</div>
		</div>
		<div class="row">
		<div class="col-md-6">
			<div class="form-group">
			<label for="telephone1" class="control-label">Telephone 1</label>
			  <input type="text" class="form-control" name="telephone1" value="<?php echo $telephone1; ?>">
			</div>
			</div>
			<div class="col-md-6">
			<div class="form-group">
			<label for="telephone2" class="control-label">Telephone 2</label>
			  <input type="text" class="form-control"  name="telephone2" value="<?php echo $telephone2; ?>">
			</div>
		</div>
		</div>        
		
		
		<div class="row">	
		<div class="col-md-6">
                        <div class="form-group">
                        	<label for="status" class="control-label">Status</label>
                          <select name="status" id="input-status" class="form-control">
                            <?php if ($status != 'new') { ?>
                            <option value="live" selected="selected">Active</option>
                            <option value="new">Not active</option>
                            <?php } else { ?>
                            <option value="live">Active</option>
                            <option value="new" selected="selected">Not active</option>
                            <?php } ?>
                          </select> 
                         </div>		
		</div>
		</div>
                <div class="text-right">
                	<button type="submit" class="btn btn-primary">
                    	<i class="glyphicon glyphicon-floppy-disk"></i> Salva
                   	</button>
              	</div>
			</form> 
				</div> 
    		</div>
    	</div>
    </div> 
</div> 
 <script type="text/javascript"><!--
function getZone(element, id_zona) {
  if (element.value != '') {
		$.ajax({
			url: 'json/zone.php?id_comune=' + element.value,
			dataType: 'json',
			beforeSend: function() {
				//$('select[name=\'id_comune\']').children().remove();
				//$('select[name=\'address[' + index + '][country_id]\']').after(' <i class="fa fa-circle-o-notch fa-spin"></i>');
			},
			complete: function() {
				//$('.fa-spin').remove();
			},
			success: function(json) {
				html = '<option value="">---Seleziona---</option>';
				if (json['zone']) {
					for (i = 0; i < json['zone'].length; i++) {
						html += '<option value="' + json['zone'][i]['id_zona'] + '"';

						if (json['zone'][i]['id_zona'] == id_zona) {
							html += ' selected="selected"';
						}

						html += '>' + json['zone'][i]['zona'] + '</option>';
					}
				} else {
					html += '<option value="Tutte le zone">Tutte le zone</option>';
				}

				$('select[name=\'id_zona\']').html(html);
			},
			error: function(xhr, ajaxOptions, thrownError) {
				alert(thrownError + "\r\n" + xhr.statusText + "\r\n" + xhr.responseText);
			}
		});
	}
}

$('select[name=\'id_comune\']').trigger('change');
//--></script> 
</body>
</html>