<?php   
session_start(); 
require_once('Connections/rounds4sale.php');
require_once ("includes/authenticate.inc.php");
require_once ("includes/funzioni.inc.php"); 

$connessione = mysqli_connect($hostname_cleaningrounds, $username_cleaningrounds, $password_cleaningrounds, $database_cleaningrounds);

mysqli_set_charset($connessione,"utf8");

sessionAuthenticate(HTTP_SERVER);

function report_result($message)
{
?>

     <div class="alert alert-danger">
     <?php echo $message; ?>
     </div>
     
     <?php
	 
}

function back_button()
{
?>
        <table border="0" cellspacing="0" cellpadding="0" width="700">
         <tr valign="top" align="left">
          <td width="25" height="22"><img src="./assets/images/autogen/clearpixel.gif" width="25" height="1" border="0" alt=""></td>
          <td width="675" height="22"><img src="./assets/images/autogen/clearpixel.gif" width="675" height="1" border="0" alt=""></td>
         </tr>

         <tr>
          <td></td> 
          <td align="center">  <a href="advertise_equipment_for_sale.php" class="btn btn-primary"><b>Go Back</b></a>
          
          </td>
         </tr>
        </table>

<?php

}

 ?>

<!DOCTYPE html>
<html lang="it">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>advertisewindowround</title>
<link href="assets/css/bootstrap.min.css" rel="stylesheet">
<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.3.1/css/all.css" integrity="sha384-mzrmE5qonljUremFsqc01SB46JvROS7bZs3IO2EmfFsd15uHvIt+Y8vEf7N7fWAU" crossorigin="anonymous">
 <link href="assets/css/style.css" rel="stylesheet">
<link href="https://fonts.googleapis.com/css?family=Open+Sans" rel="stylesheet">

<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js"></script>
<script src="assets/js/bootstrap.min.js"></script>
</head>


<body>
	<div id="wrapper">

	<?php require_once("includes/header.php");?>
    <?php require_once("includes/subheader.php");?>
    
	<div id="corpo-pagina">
		<div class="container">
			<div class="row">
				<div class="col-md-9 page-content">


<?php

$debug = 0;

// Get equipment information 
$region = $_POST['region'];
$condition = $_POST['condition'];
$description = $_POST['description'];
$level = $_POST['level'];	
$price = str_replace(',','',$_POST['price']);
$product = $_POST['product'];
$email = $_POST['email'];
$name = $_POST['name'];
$telephone1= $_POST['telephone1'];
$telephone2= $_POST['telephone2'];
$date = $_POST['date'];
$county = $_POST['county'];

// Escape any single quotes to avoid crashing mySQL
$my_des = str_replace("'", "\'", $description);


if($level == 3)
{
    $website = $_POST['website'];
}
else
{
     $website = ""; 
}	


if(empty($email) || empty($name) || empty($telephone1) || 
	empty($condition) || empty($product) || empty($price)
)
{      
     report_result("<strong>ERROR:</strong> All fields with an asterisk next to them must be filled in.");  
	 back_button();
	// exit;
}else{


// Connect to Database 


/*echo "Region : $region\n";
echo "condition : $condition\n";
echo "product : $product\n";
echo "description : $description\n";
echo "price : $price\n";
echo "name : $name\n";
echo "telephone1 : $telephone1\n";
echo "telephone2 : $telephone2\n";
echo "email : $email\n";
echo "date : $date\n";
echo "level : $level <br>";  */

//NB condition is no longer a permissible column name, hence "condition1"... (March 2012)

$insertSQL = "INSERT INTO equipment (id_country, condition1, product, description,  price, 
				 name, telephone1, telephone2, website, email, date, custLevel, status, date_insert, county_id) values ('"  .
				 $region . "', '" . $condition . "', '" . $product . "', '" . $my_des . "', '" . 
				 $price . "', '" .  $name . "', '" . $telephone1 . "', '" .
				 $telephone2 . "', '" . $website . "', '" . $email . "', '" . $date . "',
				 '" . $level . "', 'new',NOW(),'".$county."')";
				 

//echo "<br> Query : $insertSQL <br> ";

$result = mysqli_query($connessione,$insertSQL) or die(mysqli_error($connessione));

$id =  mysqli_insert_id($connessione);
// echo "<br> Query : $insertSQL <br> Result = $result<br>";

// Was an image file supplied too?
// -------------------------------

$image_file_name = $_POST['image_file_name'];

// If an image has been supplied then move it out of the temporary area
// and into the active area (deleting its holding directory)

if(isset($image_file_name) && $image_file_name != "")
{
   // Where is the image stored?
   $image_file_location = $_POST['image_file_location'];
   
   // $image_file = $image_file_location . "/" . $image_file_name;
   
   
   // Move file up two levels (out of the temporary holding area)
   // and rename it so that it includes the (unique) advert id
   
	
	
	// echo "Ad has id ". $id . "\n";
	
	$newName = "ad" . $id . "_" . $image_file_name;
	
	// echo "New name is " . $newName . "\n"; 
	
	$newLocation = "./equipmentforsale/photos/" . $newName; 
	
	// Move the file
	
	//  echo "Moved ". $image_file_location . " to " .  $newLocation . "\n";

	rename($image_file_location, $newLocation); 
	
    // Store $newName in the database	
	$image_query = "update equipment 
							set image_file_name = '$newName'
							where id = '$id'" ;	
	
	//echo "New query : ". $image_query . "\n"; die;

	//$result = mysqli_query($connessione,$image_query) or die(mysqli_error($connessione));
//var_dump($result); die;
}

$query_c = mysqli_query($connessione,"SELECT county_name FROM `tbl_county` WHERE county_id = '".(int)$county."'");
$row_c = mysqli_fetch_array($query_c);
$region_name = $row_c['county_name'];

// end of new code

if(mysqli_query($connessione,$image_query))
{		
     // Send an email to administrator
	 $to = "info@windowcleaningroundforsale.co.uk";
	 $from = "From: info@windowcleaningroundforsale.co.uk"."\r\n";
	 
     $body = "NEW EQUIPMENT FOR SALE\n\n";

	 $body = $body . " Name: $name\n Email: $email\n";  
	 $body = $body . " Region: $region_name\n ";  
     $body = $body . " Condition : $condition\n Product : $product \n";

     $body = $body . " Description : $description \n";
	 
	 if(isset($image_file_name) && $image_file_name != "")
	 {
	     $body = $body . "*Image file : $image_file_name \n";	 
	 }
	 
	 
 	 $body = $body . " Price : $price \n Website : $website\n";

	 
	   			 
	 $subject = "New advert requesting approval";
	 	 
	 mail($to, $subject, $body, $from); 						
						
						
	 // Inform the customer that his information has been accepted  (and exit)
	 report_result("Thank you. Your advert detail has been successfully uploaded and is awaiting approval. <br />
						Please allow up to 24 hours for the advert to go live."); 
												

}
else
{
     report_result("WARNING : AN ERROR HAS OCCURRED"); 
}

}


?>
	  </div>
				<div class="col-md-3 page-sidebar">
					<?php require_once('incLeftMenu.php'); ?>
				</div>
			</div>
		</div>
	</div>    
    <?php require_once("includes/footer.php");?>
</div>	
</body>
</html>