<?php

require "./rounds4sale.php";
mysqli_select_db($cleaningrounds, $database_cleaningrounds);


$createTable = "
CREATE TABLE IF NOT EXISTS `wcrs_users_mailchimp` (
    `Keep` int(11) DEFAULT NULL,
    `id` int(11) NOT NULL,
    `email` varchar(200) NOT NULL DEFAULT '',
    `orig_email` varchar(200) NOT NULL DEFAULT 'no_change',
    `password` varchar(40) NOT NULL DEFAULT '',
    `salt` char(3) NOT NULL DEFAULT '',
    `level` int(11) NOT NULL DEFAULT 1,
    `life_member` tinyint(1) NOT NULL DEFAULT 0,
    `autonotify` tinyint(1) NOT NULL DEFAULT 0,
    `date_registered` varchar(30) NOT NULL DEFAULT '',
    `date_last_subscribed` varchar(30) NOT NULL DEFAULT '',
    `date_of_expiry` varchar(30) NOT NULL DEFAULT '',
    `first_name` varchar(25) NOT NULL DEFAULT '',
    `last_name` varchar(25) NOT NULL DEFAULT '',
    `address_street` varchar(200) NOT NULL DEFAULT '',
    `address_street2` varchar(255) NOT NULL,
    `address_city` varchar(40) NOT NULL DEFAULT '',
    `address_state` varchar(40) NOT NULL DEFAULT '',
    `id_country` int(11) NOT NULL DEFAULT 0,
    `address_country` varchar(64) NOT NULL DEFAULT '',
    `address_zip` varchar(20) NOT NULL DEFAULT '',
    `address_status` varchar(12) NOT NULL DEFAULT '',
    `cust_id` varchar(100) DEFAULT NULL,
    `subscr_id` varchar(50) NOT NULL DEFAULT '',
    `subscr_date` varchar(64) DEFAULT NULL,
    `payer_email` varchar(128) DEFAULT NULL,
    `pay_frequency` varchar(16) NOT NULL DEFAULT '',
    `pay_expire` date DEFAULT NULL,
    `pay_date` varchar(30) NOT NULL DEFAULT '',
    `pay_status` varchar(30) NOT NULL DEFAULT '',
    `legit` char(1) NOT NULL DEFAULT '0',
    `active` int(2) NOT NULL DEFAULT 0,
    `token` mediumtext NOT NULL,
    `date_registration` date NOT NULL,
    `county_id` int(11) NOT NULL,
    `contact_no` text NOT NULL
  )";


mysqli_query($cleaningrounds, $createTable) or die(mysqli_error($cleaningrounds));

$insertData = "
  INSERT INTO `wcrs_users_mailchimp` (`Keep`, `id`, `email`, `orig_email`, `password`, `salt`, `level`, `life_member`, `autonotify`, `date_registered`, `date_last_subscribed`, `date_of_expiry`, `first_name`, `last_name`, `address_street`, `address_street2`, `address_city`, `address_state`, `id_country`, `address_country`, `address_zip`, `address_status`, `cust_id`, `subscr_id`, `subscr_date`, `payer_email`, `pay_frequency`, `pay_expire`, `pay_date`, `pay_status`, `legit`, `active`, `token`, `date_registration`, `county_id`, `contact_no`) VALUES
  (NULL, 32, 'coopersally06@gmail.com', 'angus.mcdonald@ntlworld.com', 'ae5bebe17b13e0ecfa0b01a48d207d4f16b1fcd5', '3fd', 2, 1, 0, '4 August 2009', '', '', 'Angus', 'McDonald', '1 Main St', '', 'San Jose', 'CA', 0, 'United States', '95131', 'confirmed', '', 'S-9FV56802SS5451216', '', '', '1 M', '1970-01-01', '03:18:29 Aug 04, 2009 PDT', 'Completed', '1', 1, '', '2009-08-04', 0, '07979143740'),
  (NULL, 409, 'sally@onebasemedia.co.uk', 'no_change', 'b18e82da7cbedbb2500a9e819903ff38e6a79b24', '8d0', 1, 0, 0, '25 November 2009', '', '', 'Miklos', 'Hollik', '11 shakespeare way', '', 'hanworth', 'Middlesex', 0, 'Temporary Fix', 'tw13 7pe', 'confirmed', '', 'S-5CV97501PK4684216', '', '', '1 M', '1970-01-01', '03:30:46 Feb 04, 2017 PST', 'Completed', '1', 0, '', '2009-11-25', 0, '07859290920'),
  (NULL, 340, 'onebasemedia@gmail.com', '', 'c615c82aa7d5fbd8d3b3ad502706f51ab00fe6bb', '749', 5, 0, 1, '27 October 2009', '', '0/0/0', 'Mark', 'Henderson', '5 Cresswell Court', '', 'Hartlepool', 'Cleveland', 0, 'United Kingdom', 'TS26 0ES', 'confirmed', '', 'S-0VH10265EG1203721', '', '', '1 M', '1970-01-01', '', '', '1', 1, '', '2009-10-27', 0, '07545638421');";

mysqli_query($cleaningrounds, $insertData) or die(mysqli_error($cleaningrounds));

$alterTable = "
  ALTER TABLE `wcrs_users_mailchimp`
    ADD PRIMARY KEY (`id`),
    ADD UNIQUE KEY `username` (`email`);
  ";

mysqli_query($cleaningrounds, $alterTable) or die(mysqli_error($cleaningrounds));

$autoincrement = "
  ALTER TABLE `wcrs_users_mailchimp`
    MODIFY `id` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=410;
  COMMIT;
";

mysqli_query($cleaningrounds, $autoincrement) or die(mysqli_error($cleaningrounds));


?>