<?php 	

function send_cancellation_email($email, $name, $level)
{

 	// Email the client to let them know that their subscription has been cancelled
	
	if($level == "3")
	{   $named_level = "Trade"; }
	else if ($level == "2")
	{	$named_level = "Full"; } 
	else
	{  	$named_level = "Basic"; }	
		
	$body = "Dear " . $name . "\n\n"; 
	$body = $body . "We would like to inform you that your " . $named_level . " subscription to www.windowcleaningresources.co.uk has expired. \n\n";
	$body = $body . "You can renew your account at anytime here: http://www.windowcleaningroundforsale.co.uk/register_form.php
\n\n";

	$body = $body . "If you still have an advert for sale and wish to remove or update the advert details (eg. Sold)  then please send an email to webmaster@windowcleaningresources.co.uk\n\n"; 
		
	$body = $body . "Many thanks, The Administrator.\n\n";
	 
	$subject = "Window Cleaning Rounds For Sale : Expired Subscription";
				
	$from = "From : windowcleaningresources@yahoo.co.uk";
			
	
	// echo "Emailing " . $email . " to say : <br>". $body  . "<br>";
	mail($email, $subject, $body, $from);		

}  // function send_cancellation_email()

// --------------------------------------------------------------------------------

session_start(); 

@ $session_email = $_SESSION['session_email']; 

if($session_email != "admin")
{
    header('Location: login_form.php');
}


// Has this been called from unsubscribe.php ?
if(isset($unsubscribe) && $unsubscribe == "true")
{
    $choice = "show_subscribers";
	 
	// echo "DEBUG3 : unsubscribe is true"; 	
	
}
else
{
	// Do we want to exit admin mode?
//	@ $choice = $HTTP_POST_VARS['choice'];   <--- this is now obsolete  (Sept 2016)
	
	 @ $choice = $_POST['choice']; 
}

// Was showAds set (by, for example, deleteAdvert.php)
if(isset($showAds) && !empty($showAds))
{
   $choice = $showAds;
}


// echo "DEBUG : choice = " . $choice . " and unsubscribe = " . $unsubscribe ; 


if($choice == "logoff")
{
    unset($_SESSION['session_level']);
    unset($_SESSION['session_email']);

    session_destroy();

    header('Location: index.php');
}

// Set SQL db variables
$dbhost = 'wcd.dns-systems.net';
$dbname = 'wcd_rounds';
$dbuser = 'wcd_rounds';
$dbpass = 'swbc98'; 


// ------------------------------------------

function ExpCheck($date)
{
    $expired = 0;

    // Calculate the age of an advert 
	
	$this_year 	= date("y") + 2000;
	$this_month	= date("m");
	$this_day 	= date("d");
	
	// Parse expiry date
	list($ex_day, $ex_month, $ex_year) = sscanf($date, "%d/%d/%d");
	
	// echo "expiry day = $ex_day, year = $ex_year, month = $ex_month <br />";
	// echo "this day = $this_day, year = $this_year, month = $this_month <br />";
	
	if($this_year > $ex_year)
	{
	    $expired = 1;	
	}
	else if($this_year == $ex_year)
	{
	    if($this_month > $ex_month)
		{
			$expired = 1;
		}
		else if($this_month == $ex_month)
		{
		    if($this_day > $ex_day)
		    {
				$expired = 1;
			}
		}
	}
	
	/* debug
	if($expired == 1)
	{
 	   echo "Expired \n"; 
	}
	else
	{
	    echo "Not expired\n"; 
	} */
	
	return $expired;

} // ExpCheck

// ------------------------------------------


function checkForExpiredClients($dbhost, $dbname, $dbuser, $dbpass)
{
	$connessione = mysqli_connect($dbhost, $dbuser, $dbpass,$dbname) or die(mysqli_error());
	//mysql_select_db($dbname, $connessione)or die(mysqli_error());
	
	$query = "SELECT * FROM wcrs_users WHERE active = 1 AND life_member = 0 AND date_of_expiry ORDER BY id DESC";
	$result = mysqli_query($connessione,$query);
	
	$num_rows = mysqli_num_rows($result);
	
	// echo "Number of clients with expiry dates : " . $num_rows . "\n"; 
	
	
	if($num_rows > 0)
	{
	
     $row_Record = mysqli_fetch_assoc($result);  


  	 do { 
	
		$expiry_date = $row_Record['date_of_expiry'];
		
		$expired = ExpCheck($expiry_date); 

		if($expired == 1)
		{
		
		    // echo "Client " . $id . " has expired..."; 
		   
		   	$email = $row_Record['email'];
			$name = stripslashes($row_Record['first_name']) . " " . stripslashes($row_Record['last_name']) ;	
			$date_registered = stripslashes($row_Record['date_registered']);
			$date_subscribed = stripslashes($row_Record['date_last_subscribed']);			
			$pay_date = stripslashes($row_Record['pay_date']);	
			$level = stripslashes($row_Record['level']);	
			
?>        

		<table border="0" cellspacing="0" cellpadding="0" width="525">
			<tr valign="top" align="left">
			  <td width="100" height="16">
             			<img src="./assets/images/autogen/clearpixel.gif" width="100" height="1" border="0" alt=""></td>
			  <td width="225" class="Text">
             			<img src="./assets/images/autogen/clearpixel.gif" width="225" height="1" border="0" alt=""></td>
			  <td width="200" class="Text">
             			<img src="./assets/images/autogen/clearpixel.gif" width="200" height="1" border="0" alt=""></td>

			</tr>		
			<tr>
			 	 <td></td>
		 	 <td  colspan="2"><h2 class="style31"><b>EXPIRED CLIENT - Disapprove?</b></h2></td>
			</tr>


			<tr>
		 		 <td colspan="3" width="525" height="16">
             	<img src="./assets/images/autogen/clearpixel.gif" width="525" height="1" border="0" alt=""></td>
			</tr>  
                
			<tr>
             		<td></td>
                    <td><b> Client </b></td>
                    <td><b> <?php echo $name; ?> </b></td>
			</tr>          
                
			<tr>
                    <td></td>
                    <td>Email</td>
                    <td><?php echo $email; ?></td>
			</tr>
			<tr>
                     <td></td>
                     <td>Date registered</td>
                     <td><?php echo $date_registered; ?> </td>
			</tr>
			<tr>
                     <td></td>
                     <td>Level</td>
                     <td><?php echo $level; ?> </td>
			</tr>
			<tr>
                     <td></td>
                     <td>Paid Date</td>
                     <td><?php echo $pay_date; ?> </td>
			</tr> 
        
			<tr>
                     <td></td>
                     <td>Date Last Subscribed</td>
                     <td><?php echo $date_subscribed; ?> </td>
			</tr>  
			<tr>
                     <td></td>
                     <td>Expiry Date</td>
                     <td><?php echo $expiry_date; ?> </td>
			</tr>                          
                  
                
                
			<form method="post" action="admin.php">
                
		  	   	<input type="hidden" name="custEmail"   value = "<?php echo "$email"; ?>">
		    	<input type="hidden" name="action"      value = "<?php echo "Disapprove"; ?>">
           
		    	 <tr>
		     	  <td></td>
		      	 <td></td>
		      	 <td><input type="submit" value= "Disapprove">
		      	 </td>
		    	 </tr>
       	 	
			</form>  
            
            </table>              
		   
		 <?php
		
		}
		
		
  	 } while ($row_Record = mysqli_fetch_assoc($result));

	} // if($num_rows > 0
	
}  // checkForExpiredClients

// ------------------------------------------


?>

<!DOCTYPE html>
<html lang="it">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>Window Cleaning Admin</title>
<link href="assets/css/bootstrap.min.css" rel="stylesheet">
<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.3.1/css/all.css" integrity="sha384-mzrmE5qonljUremFsqc01SB46JvROS7bZs3IO2EmfFsd15uHvIt+Y8vEf7N7fWAU" crossorigin="anonymous">
 <link href="assets/css/style.css" rel="stylesheet">
<link href="https://fonts.googleapis.com/css?family=Open+Sans" rel="stylesheet">

<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js"></script>
<script src="assets/js/bootstrap.min.js"></script>
<link rel="stylesheet" type="text/css" href="./html/fusion.css">
<link rel="stylesheet" type="text/css" href="./html/style.css">
<link rel="stylesheet" type="text/css" href="./html/site.css">
<style type="text/css">
:link {
	color: rgb(0,0,255);
}:visited {
	color: rgb(128,0,128);
}BODY {
	color: rgb(0,0,0);
}
<!--
.advertResulBox
{
	background-color: #f2f2f2;
	padding: 5px;
}
-->
</style>
<script type="text/javascript" src="./index.js">
</script>
<script>
var text1="Advertise your window cleaning round for sale for free with www.windowcleaningresources.co.uk"
comeback=0
cometo=0
function dis(){
window.status=text1.substring(0,cometo)
if(comeback==1){
cometo--;
if(cometo==0){comeback=0}
} else {cometo++;if(cometo==text1.length){comeback=1}}
window.status=text1.substring(0,cometo)+"|"
if(cometo==text1.length){window.setTimeout("dis()",500);} else {window.setTimeout("dis()",75);}
}
dis()
</script>
<link href="fusion.css" rel="stylesheet" type="text/css">
<link href="site.css" rel="stylesheet" type="text/css">
<link href="style.css" rel="stylesheet" type="text/css">
<style type="text/css">
<!--
.style31 {color: #FF0000}
-->
</style>
</head>
<body>
<div id="wrapper">
	<div id="corpo-pagina">
		<div class="container">
  <table border="0" cellspacing="0" cellpadding="0">
   <tr>
    <td><link rel="STYLESHEET" type="text/css" href="http://www.windowcleaningresources.co.uk/wcr.css" />
     <table cellpadding="0" cellspacing="0" border="0" width="1000">
      <tr valign="top" align="left">
       <td></td>
       <td>
		<?php include('banner_tables.html'); ?>
        
        <table border="0" cellspacing="0" cellpadding="0" width="657">
         <tr valign="top" align="left">
          <td width="66" height="28"><img src="./assets/images/autogen/clearpixel.gif" width="66" height="1" border="0" alt=""></td>
          <td width="591"><img src="./assets/images/autogen/clearpixel.gif" width="591" height="1" border="0" alt=""></td>
         </tr>
        </table>     
      

	<FORM name="admin" action="admin.php" method="post">

	  <table border="0" cellspacing="0" cellpadding="0" width="480">
            <tr valign="top" align="left">
             <td width="100" height="16">
             	<img src="./assets/images/autogen/clearpixel.gif" width="100" height="1" border="0" alt=""></td>
             <td width="380" class="Text">
             	<img src="./assets/images/autogen/clearpixel.gif" width="380" height="1" border="0" alt=""></td>

            </tr>
            
            <tr valign="top" align="left">
             <td></td>
             <td> <h2>ADMIN CHOICES</h2></td>
            </tr>
            
            <tr>
            	<td></td>
                <td><a href="./ad_handle.php">Update Sponsors' Ads</a> </td>
            </tr>
            
           <tr valign="top" align="left">
             <td>
             	<img src="./assets/images/autogen/clearpixel.gif" width="100" height="25" border="0" alt=""></td>
             <td>
             	<img src="./assets/images/autogen/clearpixel.gif" width="380" height="25" border="0" alt=""></td>

            </tr>            
            
            <tr>
            	<td></td>
                <td>	
                   	<INPUT type="radio" name="choice" value="adverts_for_approval"> Show Adverts Awaiting Approval<BR>
                   	<INPUT type="radio" name="choice" value="all_adverts"> Show All Approved Adverts<BR>
                    <p> </p>
                   	<INPUT type="radio" name="choice" value="delete_old_adverts"> Delete Adverts Older Than 3 Months<BR>
                    <p> </p>
                   	<INPUT type="radio" name="choice" value="approved"> Show Approved Clients<BR>
   					<INPUT type="radio" name="choice" value="not_approved"> Show Disapproved Clients<BR>
                   <p> </p>
                   	<INPUT type="radio" name="choice" value="act_basic"> Show Active Basic Members<BR>
   					<INPUT type="radio" name="choice" value="act_full"> Show Active Full Members<BR>

                   <p> </p>
                   	<INPUT type="radio" name="choice" value="expiry_date"> Update Expiry Date<BR>
   					<INPUT type="radio" name="choice" value="last_subscribed"> Update Subscription Date<BR>                    <p> </p>                    

                   	<INPUT type="radio" name="choice" value="show_subscribers"> Show Newsletter Subscribers<BR>                     
                   	<INPUT type="radio" name="choice" value="update_subscribers"> Update Newsletter Subscription Database<BR>      <p> </p>   
                    
                    
                    
                    <INPUT type="radio" name="choice" value="logoff"> Leave Admin Mode<BR>

                </td>
            </tr>

            
            <tr valign="top" align="left">
             <td width="480" height="13" colspan="2">
             	<img src="./assets/images/autogen/clearpixel.gif" width="480" height="1" border="0" alt="">
             </td>
            </tr>
 			<tr>
            	<td></td>
                <td><INPUT TYPE="SUBMIT" VALUE="Submit"  /></td>
            </tr>

	  </table>

	</FORM> 
    
<?php   

// echo "DEBUG2 : choice = ". $choice ; 


if($choice == "approved" || $choice == "not_approved" || 
   $choice == "act_basic" ||$choice == "act_full")
{
    // The following file contains the code for showing 
	// approved/unapproved users
    require("angus/admin_users.php"); 
} 
else if($choice == "adverts_for_approval" || $choice == "all_adverts")
{
    // The following file contains the code for showing 
	// adverts waiting approval
    require("angus/admin_adverts.php"); 

}
else if($choice == "delete_old_adverts")
{
    require("angus/deleteOldAdverts.php"); 
}
else if($choice == "expiry_date")
{
    require("angus/expiryDate.php"); 
}
else if($choice == "last_subscribed")
{
    require("angus/lastSubDate.php"); 
}
else if($choice == "update_subscribers")
{
    require("angus/update_subs.php"); 
    require("angus/show_subs.php"); 	
}
else if($choice == "show_subscribers")
{
    require("angus/show_subs.php"); 
}
else
{
    @ $custEmail = $_POST['custEmail'];
    @ $action = $_POST['action'];
	
	// Activate or deactivate a customer?	
	if(!empty($custEmail) && !empty($action))
	{
	
	    $conn = mysql_connect($dbhost, $dbuser, $dbpass) or die(mysqli_error());
	    mysql_select_db($dbname, $conn)or die(mysqli_error());
	
	    if($action == "Approve")
		{
		    $query = "update wcrs_users 
						set active = 1
						where email = '$custEmail'" ;
		    
	    }
		else
		{
			$query = "update wcrs_users 
						set active = 0
						where email = '$custEmail'" ;
						
			// Get other details for email
		    @ $custName = $_POST['custName'];
		    @ $custLevel = $_POST['custLevel'];

						
			// Send an email to notify customer
			send_cancellation_email($custEmail, $custName, $custLevel);
		}
		
		// echo "Executing : " . $query; 
		
		$result = mysqli_query($connessione,$query);
    }// if
	
	checkForExpiredClients($dbhost, $dbname, $dbuser, $dbpass); 

}
?> 
      
		</td>
	  </tr>
     </table>
    </td>
   </tr> 
   </table>
   </div>
   </div>
 </div>
</body>
</html>
