<?php 

require_once('Connections/rounds4sale.php');

function FindAge($date)
{
    // Calculate the age of an advert 
	
	$this_year = date("y");
	$this_month = date("m");
	$this_day = date("d");
	
	// Parse advert date
	list($ad_day, $ad_month, $ad_year) = sscanf($date, "%d/%d/%d");
	
	//echo "ad day = $ad_day, year = $ad_year, month = $ad_month <br />";
	//echo "this day = $this_day, year = $this_year, month = $this_month <br />";
	
	$year_diff = ($this_year - $ad_year) * 12;
	$this_month = $this_month + $year_diff;
	
	$age = $this_month - $ad_month;
	
	return $age;

}

// ---------------------------------------------------------------------

function notify_customer($row_record, $table_index)
{

     // Notify the customer that his advert is being removed
	 $to = $row_record['email'];
	 
	 $body =         "The following advert which you posted on the \"Window Cleaning \n";
	 $body = $body . "Rounds for Sale\" website on " . $row_record['date'] . " is about to be deleted as\n";
	 $body = $body . "it is now over three months old.\n\n";
	  
	 if($table_index == 1)
	 {
	    $body = $body . "NEW ROUND FOR SALE\n\n";
		$body = $body . "Region : " . $row_record['location'] . "\n"; 
		$body = $body . "Location : " . $row_record['covering'] . "\n"; 
		$body = $body . "Established : " . $row_record['established'] . "\n"; 
		$body = $body . "Comments : " . $row_record['comments'] . "\n"; 
		$body = $body . "Asking price(in pounds) : " . $row_record['price'] . "\n";		
	 }
	 else if($table_index == 2)
	 {
	    $body = $body . "NEW ROUND WANTED\n\n";
		$body = $body . "Region : " . $row_record['location'] . "\n"; 
		$body = $body . "Type : " . $row_record['type'] . "\n"; 
		$body = $body . "Comments : " . $row_record['comments'] . "\n"; 
	 }
	 else if($table_index == 3)
	 {
	    $body = $body . "EQUIPMENT FOR SALE\n\n";
		$body = $body . "Region : " . $row_record['region'] . "\n"; 
		$body = $body . "Condition : " . $row_record['condition'] . "\n"; 
		$body = $body . "Product : " . $row_record['product'] . "\n"; 
		$body = $body . "Description : " . $row_record['description'] . "\n"; 
		$body = $body . "Price(in pounds) : " . $row_record['price'] . "\n";
	 }
	 else if($table_index == 4)
	 {
	    $body = $body . "EQUIPMENT WANTED\n\n";
		$body = $body . "Region : " . $row_record['location'] . "\n"; 
		$body = $body . "Product : " . $row_record['type'] . "\n"; 
		$body = $body . "Description : " . $row_record['comments'] . "\n"; 
	 }
	 else if($table_index == 5)
	 {
	    $body = $body . "EMPLOYMENT\n\n";
		$body = $body . "Region : " . $row_record['region'] . "\n"; 
		$body = $body . "Type : " . $row_record['type'] . "\n"; 
		$body = $body . "Description : " . $row_record['description'] . "\n"; 
	 }	 
	 
	 $body = $body . "\nRegards, The Administrator\n"; 
	 
	 $subject = "Your advert has expired";
	 	 
	 $from = "From : windowcleaningresources@yahoo.co.uk";
				
     mail($to, $subject, $body, $from);    		
	 
	 // echo "To : $to\nSubject : $subject\nMsg : $body\n\n"; 


} // notify_customer

// ----------------------------------------------------------------------


mysql_select_db($database_cleaningrounds, $cleaningrounds);


$count = 0;

for($table_index = 1; $table_index <= 5; $table_index++)
{ 
	if($table_index == 1)
	{  
    	$current_table = "rounds_for_sale";			
    }
    else if($table_index == 2)
    {
    	$current_table = "rounds_wanted";
    }
	elseif($table_index == 3)
	{
    	$current_table = "equipment";	
	}
	elseif($table_index == 4)
	{
    	$current_table = "equipment_wanted";	
	}
	elseif($table_index == 5)
	{
    	$current_table = "employment";	
	}		
	
	echo "<br />Checking table : " . $current_table . "<br />";

	
	$query = "SELECT * FROM " . $current_table . " WHERE status NOT IN ('new') ORDER BY id DESC";
	$result = mysql_query($query);
	
	$num_rows = mysql_num_rows($result);
	
	echo "Checking $num_rows rows <br />"; 
	

	if($num_rows > 0)
	{
	
     $row_Record = mysql_fetch_assoc($result);  


  	 do { 
	
	    $id = $row_Record['id'];
		$date = $row_Record['date'];
		
		$age = FindAge($date); 

		if($age > 3)
		{
			 $deletion = "DELETE FROM " . $current_table . " WHERE id = " . $id . " LIMIT 1";
			 // echo $deletion . " (gus) <br />";
			 			
			$count++; 			
			
			// Before deleting, send an email to notify the user
			notify_customer($row_Record, $table_index); 			

			$del_result = mysql_query($deletion, $cleaningrounds) or die(mysql_error());    

		} 
  	 } while ($row_Record = mysql_fetch_assoc($result));

	} // if($num_rows > 0)

} // for

echo "<br /> *** Deleted $count adverts *** <br ?>"; 

?>
