<?php

class EmailModel
{
	private $db;
	//private $table = 'wcrs_users';
	private $table = 'wcrs_users_mailchimp';

	public function __construct()
	{
		require dirname(dirname(__FILE__))."/Connections/rounds4sale.php";
		$this->db = $cleaningrounds;
		mysqli_select_db($this->db, $database_cleaningrounds);
	}

	public function get_records($sql){
		if($sql){
			$result=mysqli_query($this->db, $sql);
			if(mysqli_num_rows($result)){
				return mysqli_fetch_assoc($result);
			}
		}
		return array();
	}

	public function get_campaign_db($campaign){
		$sql = "SELECT * FROM wcrs_mailchimp WHERE campaign = '$campaign'";
		$campaign = $this->get_records($sql);
		return $campaign;
	}

	public function add_list_id($list_id, $campaign_id){
		$update = "UPDATE wcrs_mailchimp set list_id='$list_id' WHERE campaign_id='$campaign_id'";
		if(mysqli_query($this->db, $update)){
			return true;
		}else{
			return false;
		}
	}

	public function clean_campaign(){
		$sql = "DROP TABLE IF EXISTS wcrs_mailchimp";
		if(mysqli_query($this->db, $sql)){
			$create = "CREATE TABLE IF NOT EXISTS `wcrs_mailchimp` (`id` int(11) NOT NULL AUTO_INCREMENT, `campaign_id` varchar(15) NOT NULL, `campaign` varchar(20) NOT NULL, `folder_id` varchar(20) NOT NULL,`list_id` varchar(20) NOT NULL, PRIMARY KEY (`id`))";
			if(mysqli_query($this->db, $create)){
				return true;
			}else{
				return false;
			}
		}else{
			return false;
		}
	}
	
	public function add_campaign_db($campaign_id, $folder, $campaign){
		echo $sql = "INSERT INTO wcrs_mailchimp (campaign_id, folder_id, campaign, list_id) values('$campaign_id', '$folder', '$campaign', '')";
		if(mysqli_query($this->db, $sql)){
			return true;
		}else{
			return false;
		}
	}

	public function get_pay_reminder_data(){
		$sql = "SELECT first_name, last_name, email, pay_expire FROM ".$this->table." WHERE email <> ''  AND pay_expire <= DATE_SUB(NOW(), INTERVAL 10 DAY) AND active=1";
		$result = mysqli_query($this->db, $sql);
		$members = array();
		if($result){
			$count = mysqli_num_rows($result);
			if($count > 0){
				while($row=mysqli_fetch_assoc($result)){
					$member = new stdClass();
					$member->email_address = $row['email'];
					$member->email_type = "html";
					$member->status = "subscribed";
					$merge_fields = new stdClass();
					$merge_fields->USERNAME = $row['first_name']. " ".$row['last_name'];
					$member->merge_fields = $merge_fields;	
					$members[] = $member;
				}
			}
			mysqli_free_result($result);
		}
		return $members;
	}

	public function get_cancelled_data(){
		$sql = "SELECT first_name, last_name, email, pay_expire from ".$this->table." where email <> ''  AND  (pay_expire = DATE_ADD(NOW(), INTERVAL 14 DAY) OR active=0)";
		$result = mysqli_query($this->db, $sql);
		$members = array();
		if($result){
			$count = mysqli_num_rows($result);
			if($count > 0){
				while($row=mysqli_fetch_assoc($result)){
					$member = new stdClass();
					$member->email_address = $row['email'];
					$member->email_type = "html";
					$member->status = "subscribed";
					$merge_fields = new stdClass();
					$merge_fields->USERNAME = $row['first_name']. " ".$row['last_name'];
					$member->merge_fields = $merge_fields;	
					$members[] = $member;
				}
			}
			mysqli_free_result($result);
		}
		return $members;
	}

	public function get_upgrade_reminder_data(){
		$sql = "SELECT first_name, last_name, email, pay_expire from ".$this->table." where email<>'' AND level=5 AND active=1";
		$result = mysqli_query($this->db, $sql);
		$members = array();
		if($result){
			$count = mysqli_num_rows($result);
			if($count > 0){
				while($row=mysqli_fetch_assoc($result)){
					$member = new stdClass();
					$member->email_address = $row['email'];
					$member->email_type = "html";
					$member->status = "subscribed";
					$merge_fields = new stdClass();
					$merge_fields->USERNAME = $row['first_name']. " ".$row['last_name'];
					$member->merge_fields = $merge_fields;	
					$members[] = $member;
				}
			}
			mysqli_free_result($result);
		}
		return $members;
	}

	function get_upgrade_premium_data(){
		$sql = "SELECT first_name, last_name, email, pay_expire from ".$this->table." where email <> '' AND level=1 AND active=1";
		$result = mysqli_query($this->db, $sql);
		$members = array();
		if($result){
			$count = mysqli_num_rows($result);
			if($count > 0){
				while($row=mysqli_fetch_assoc($result)){
					$member = new stdClass();
					$member->email_address = $row['email'];
					$member->email_type = "html";
					$member->status = "subscribed";
					$merge_fields = new stdClass();
					$merge_fields->USERNAME = $row['first_name']. " ".$row['last_name'];
					$member->merge_fields = $merge_fields;	
					$members[] = $member;
				}
			}
			mysqli_free_result($result);
		}
		return $members;
	}

	public function get_failed_payment_data(){
		$sql = "SELECT first_name, last_name, email, pay_expire from ".$this->table." where email <> '' AND pay_expire >= NOW())";
		$result = mysqli_query($this->db, $sql);
		$members = array();
		if($result){
			$count = mysqli_num_rows($result);
			if($count > 0){
				while($row=mysqli_fetch_assoc($result)){
					$member = new stdClass();
					$member->email_address = $row['email'];
					$member->email_type = "html";
					$member->status = "subscribed";
					$merge_fields = new stdClass();
					$merge_fields->USERNAME = $row['first_name']. " ".$row['last_name'];
					$member->merge_fields = $merge_fields;	
					$members[] = $member;
				}
			}
			mysqli_free_result($result);
		}
		return $members;
	}

	public function errorHtml(){
		return '<h3>Error in generating preview</h3><p>You have some error in configuration or template is not exits</p>';
	}
	
}

?>