<?php
function mostraMessaggio(){
	if (isset($_SESSION["messaggio"])){
		echo $_SESSION["messaggio"];
        unset($_SESSION["messaggio"]);
    }
}

function pulisciStringa($stringa){
	global $connessione;
	$stringa = strip_tags($stringa);
	$stringa = mysqli_real_escape_string($connessione,$stringa);
	$stringa = trim($stringa);
	return $stringa;
}

function checkCampi($input, $nomeCampo){
   if (!isset($input) || empty($input)) {
      $_SESSION["messaggio"] = "Il campo {$nomeCampo} deve essere riempito.";
      return false;
   }
   return true;
}

function activeMenu($requestUri){
    $current_file_name = basename($_SERVER['REQUEST_URI'], ".php");

    if ($current_file_name == $requestUri)
        return true;
	
	return false;
}

function token($length = 32) {
	$string = 'ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789';
	
	$token = '';
	
	for ($i = 0; $i < $length; $i++) {
		$token .= $string[mt_rand(0, strlen($string) - 1)];
	}	
	
	return $token;
}

function getCategories($parent_id = 0) {
	if (!$category_data) {
		$category_data = array();
		
		$query = mysqli_query($connessione,"SELECT * FROM categorie WHERE id_parent = '" . (int)$parent_id . "' ORDER BY sort_order, nome ASC") or die(mysqli_error());
		
		while($result = mysqli_fetch_array($query)){
			$category_data[] = array(
				'id_categoria' => $result['id_categoria'],
				'nome'  => getPath($result['id_categoria']),
				'stato'        => $result['stato'],
				'sort_order'        => $result['sort_order']
			);
			
			$category_data = array_merge($category_data, getCategories($result['id_categoria']));
		}	
	}	
	return $category_data;
}
	
function getPath($categoria_id) {
	$query = mysqli_query($connessione,"SELECT nome, id_parent FROM categorie WHERE id_categoria = '" . (int)$categoria_id . "'") or die(mysqli_error());
		
	$row = mysqli_fetch_array($query);
	if ($row['id_parent']) {
		return getPath($row['id_parent']) . ' -> ' . $row['nome'];
	} else {
		return $row['nome'];
	}
}

function formatSizeUnits($bytes){
        if ($bytes >= 1073741824)
        {
            $bytes = number_format($bytes / 1073741824, 2) . ' GB';
        }
        elseif ($bytes >= 1048576)
        {
            $bytes = number_format($bytes / 1048576, 2) . ' MB';
        }
        elseif ($bytes >= 1024)
        {
            $bytes = number_format($bytes / 1024, 2) . ' kB';
        }
        elseif ($bytes > 1)
        {
            $bytes = $bytes . ' bytes';
        }
        elseif ($bytes == 1)
        {
            $bytes = $bytes . ' byte';
        }
        else
        {
            $bytes = '0 bytes';
        }

        return $bytes;
}


function createRandonStr($length){
	$string = md5(uniqid(rand(), true));
	return substr($string, 0, $length);
}

function sendActivationEmail($connessione, $user){
	
	$date_registered = date('j F Y');
	$active = $user['active'];
	$livello = $user['level'];
			
	$salt = createRandonStr(3);
	$token = createRandonStr(32);
	$password = createRandonStr(12);

	$hash = sha1($password);
	$hash = sha1($salt . $hash);
		
			
	mysqli_query($connessione,"UPDATE wcrs_users SET password = '" . $hash. "',salt = '" . $salt. "', token = '" . $token. "', autonotify = '1' WHERE id=".$user['id']) or die(mysqli_error($connessione));

	//echo "UPDATE wcrs_users SET password = '" . $hash. "',salt = '" . $salt. "', token = '" . $token. "', autonotify = '1' WHERE id=".$user['id'];
	
	$subject = "Window Cleaning Rounds For Sale";				
	$from = "From: info@windowcleaningroundforsale.co.uk" . "\r\n";	

	// free	
	if($livello == 5){
		$body = "Your login for the Window Cleaning Rounds For Sale site is : \n\n";  
		$body .= "Email address : " . $user['email'] . "\n";
		$body .= "Password      : " . $password . "\n\n";
		$body .= "Please complete the activate account using the link below. \n";  	
		$body .= WEBSITE_URL . "check_account.php?t=".$token. "\n\n"; 
		$body .= "If the link does not work then copy and paste it into your web browser." . "\n\n"; 
		$body .= "NOTE: Your account will remain inactive until this step is completed \n\n"; 		   
		$body .= "Many thanks, The Administrator.\n\n";
		$body .= "www.windowcleaningroundforsale.co.uk \n\n";	
		$send = mail($user['email'], $subject, $body, $from);
		if($send){
			return true;
		}				
	}else{
		$body = "Your login for the Window Cleaning Rounds For Sale site is : \n\n";  
		$body .= "Email address : " . $user['email'] . "\n";
		$body .= "Password      : " . $password . "\n\n";
		$body .= "If you have not yet paid please complete the payment process using the link below. \n";  	
		$body .= WEBSITE_URL . "payment.php?email=". $user['email'] ."&token=".$token . "\n\n";  
		$body .= "NOTE: Your account will remain inactive until this step is completed \n\n"; 		   
		$body .= "Many thanks, The Administrator.\n\n";
		$body .= "www.windowcleaningroundforsale.co.uk \n\n";
		$send = mail($user['email'], $subject, $body, $from);
		if($send){
			return true;
		}
	}
	
	//echo $body;
	
	return false;
}


?>