<?php 
session_start(); 
require_once ("includes/db.inc.php");
require_once ("includes/authenticate.inc.php");
require_once ("includes/funzioni.inc.php"); 
require_once ("includes/pagination.class.php");

//echo IMG_UPLOADS;

// connessione database, forzatura del charset
$connessione = mysqli_connect(DB_HOSTNAME, DB_USERNAME, DB_PASSWORD, DB_DATABASE);

mysqli_set_charset($connessione,"utf8");

sessionAuthenticate(HTTP_SERVER);

@ $session_email = $_SESSION['session_email'];



// Create a new advert?
// --------------------

@ $create = $_POST['create'];

if(isset($create) && $create == "Create")
{
    $height = $_POST['height'];
    $width = $_POST['width'];
    $alt_txt = $_POST['alt_txt'];
    $image = $_POST['imagename'];
    $website = $_POST['website'];
    $position = $_POST['position'];

    // Insert the new advert details

	$insert = "INSERT INTO wcrs_adverts (height, width, alt_txt, image, website, 
				position, display) values ('"  .
			 $height . "', '" . $width . "', '" . $alt_txt . "', '" .  
			 $image . "', '" . $website . "', '" . $position . "', '1')";					 
						 
    //echo $insert;
	
 	$result = mysqli_query($connessione,$insert) or die(mysqli_error($connessione)); 
	
	upload_image(IMG_UPLOADS, $_FILES['image']);
	
	header('location:sponsor.php'); exit(0);
} 


// Are we updating an entry?
// --------------------------

@ $update = $_POST['update'];

if(isset($update) && $update == "Update")
{
    $adId = $_POST['id'];
    $height = $_POST['height'];
    $width = $_POST['width'];
    $alt_txt = $_POST['alt_txt'];
    $image = $_POST['imagename'];
    $website = $_POST['website'];
    $position = $_POST['position'];

    // Update all the details
    $update = "update wcrs_adverts 
				set height = '$height',
					width = '$width',
					alt_txt = '$alt_txt',
					image = '$image',
					website = '$website',
					position = '$position'						  
				 where id = '$adId'" ;
						 
						 
    // echo $update;
	
 	$result = mysqli_query($connessione,$update) or die(mysqli_error($connessione)); 

	upload_image(IMG_UPLOADS, $_FILES['image']);
	
	header('location:sponsor.php'); exit(0);

} 

function upload_image($target_dir=null, $target_file){
	
	//print_r($target_file);
	//echo IMG_UPLOADS;
	$target_file_to_upload = $target_dir . basename($target_file["name"]);
	//die;
	$uploadOk = true;
	$error = "";
	$imageFileType = strtolower(pathinfo($target_file["name"],PATHINFO_EXTENSION));
	$check = getimagesize($target_file["tmp_name"]);
	
	if($check === false) {
		$error .= '<div class="alert alert-danger">File is not an image</div>';
		$uploadOk = false;
	} 
	
	if (file_exists($target_file_to_upload)) {
	  $error .= '<div class="alert alert-danger">Sorry, file already exists</div>';
	  $uploadOk = false;
	}
	
	if ($target_file["size"] > 500000) {
	  $error .= '<div class="alert alert-danger">Sorry, your file is greater than 500KB</div>';
	  $uploadOk = false;
	}

	if($imageFileType != "jpg" && $imageFileType != "png" && $imageFileType != "jpeg" && $imageFileType != "gif" ) {
	  $error .= '<div class="alert alert-danger">Sorry, only JPG, JPEG, PNG & GIF files are allowed</div>';
	  $uploadOk = false;
	}
	
	if ($uploadOk === false) {
	  $error .= '<div class="alert alert-danger">Sorry, your file was not uploaded</div>';
	} else {
	  if (move_uploaded_file($target_file["tmp_name"], $target_file_to_upload)) {
		$error = '<div class="alert alert-success">The file '. htmlspecialchars( basename( $target_file["name"])). ' has been uploaded</div>';
	  } else {
		$error .= '<div class="alert alert-danger">Sorry, there was an error uploading your file</div>';
	  }
	}
	
	$_SESSION['messaggio'] = $error;
	return $uploadok;
}

// Remove ad from database
// -----------------------

@ $destroy = $_GET['destroy'];

if(isset($destroy) && $destroy == 1)
{
    $adId = $_GET['id'];
	
    // Destroy the advert's database entry
    $destroy = "delete from wcrs_adverts where id = '$adId' limit 1" ;						 
						 
    // echo $destroy;
	
 	$result = mysqli_query($connessione,$destroy);
	if($result){
		$_SESSION["messaggio"] = '<div class="alert alert-success">Advert deleted successfully.</div>';
	}else{
		$_SESSION["messaggio"] = '<div class="alert alert-danger">Advert is not deleted.</div>';
	}
	header('location:sponsor.php'); exit(0);	

} 

// Display or turn off an ad?
// --------------------------

@ $display = $_GET['display'];

if(isset($display) && $display == "Display")
{
    $adId = $_GET['id'];
    // Turn off the advert
    $update = "update wcrs_adverts set display=1 where id = '$adId'" ;
    // echo $query;
 	$result = mysqli_query($connessione,$update);
	if($result){
		$_SESSION["messaggio"] = '<div class="alert alert-success">Advert status updated to Display.</div>';
	}else{
		$_SESSION["messaggio"] = '<div class="alert alert-danger">Advert status not updated.</div>';
	}
	header('location:sponsor.php'); exit(0);
} 

if(isset($display) && $display == "Turn Off")
{
    $adId = $_GET['id'];
	
    // Turn off the advert
    $update = "update wcrs_adverts set display=0 where id = '$adId'" ;
    // echo $query;
 	$result = mysqli_query($connessione,$update);
	if($result){
		$_SESSION["messaggio"] = '<div class="alert alert-success">Advert status updated to Turn Off.</div>';
	}else{
		$_SESSION["messaggio"] = '<div class="alert alert-danger">Advert status not updated.</div>';
	}
	header('location:sponsor.php');  exit(0);
} // end of code for handling updates




?>
<!DOCTYPE html>
<html lang="it">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Equipment</title>
<link href="css/bootstrap.min.css" rel="stylesheet">
<link href="https://fonts.googleapis.com/css?family=Open+Sans" rel="stylesheet">
<link rel="stylesheet" type="text/css" href="css/stile.css"/>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js"></script>
<script src="js/bootstrap.min.js"></script>
<link rel="stylesheet" href="https://ajax.googleapis.com/ajax/libs/jqueryui/1.12.1/themes/smoothness/jquery-ui.css">
<script src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.js"></script>
<script type="text/javascript" src="js/jquery.mask.min.js"></script>
<script type="text/javascript"><!--
$(document).ready(function () {
	$( ".datepicker" ).datepicker({
		dateFormat: 'yy-mm-dd',
		changeMonth: true,
		changeYear: true
	});

	$('.datepicker').mask('9999-99-99');
	
    $('[data-toggle="tooltip"]').tooltip();
	
	$('#editModal').on('show.bs.modal', function(e) {
		var adData = JSON.parse($(e.relatedTarget).attr('data-value'));
		console.log(adData);
		var targetForm = $(e.currentTarget).find('form[name=Adverts]');
		$(targetForm).find('[name=id]').val(adData.id);
		$(targetForm).find('[name=position]').val(adData.position);
		$(targetForm).find('[name=website]').val(adData.website);
		$(targetForm).find('[name=alt_txt]').val(adData.alt_txt);
		$(targetForm).find('[name=height]').val(adData.height);
		$(targetForm).find('[name=width]').val(adData.width);
	});
	
	$("input[name=image]").change(function (){
		var fileName = $(this)[0].files[0].name;
		if(fileName){
			$(this).closest('form').find("[name=imagename]").val(fileName);
		}
    });
	
});
//--></script> 
<style>
table th, table td{ white-space: break-spaces;width: 1;word-break: break-word; }
</style>
</head>
<body>
<div id="main">
	<?php require('includes/header.php'); ?>
	<div id="content">
    	<div class="container">
		
			<!-- Modal -->
			<div class="modal fade" id="createModal" tabindex="-1" role="dialog" aria-labelledby="createModalLabel">
			  <div class="modal-dialog" role="document">
				<div class="modal-content">
				  <div class="modal-header">
					<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
					<h4 class="modal-title" id="createModalLabel">CREATE A NEW ADVERT</h4>
				  </div>
				  <div class="modal-body">
					<form name="Create Advert" action="sponsor.php" enctype="multipart/form-data" method="post">  
						<div class="form-group row">
							<div class="col-sm-4">
								<label>Position</label>
								<input class="form-control" name="position" type="text"  maxlength="5" size="5" value= "" />
							</div>
							<div class="col-sm-8">
								<label>Website</label>
								<input class="form-control" name="website" type="text"  maxlength="200" size="40" value= "http://" />
							</div>
						</div>
						<div class="form-group">
							<label>Image</label>
							<input class="form-control" name="image" type="file" accept="jpg,png,gif,jpeg" />
							<input name="imagename" type="hidden" value="" />
						</div>
						<div class="form-group">
							<label>Alternate Text</label>
							<textarea class="form-control" name="alt_txt" rows="3"></textarea>
						</div>
						<div class="form-group row">
							<div class="col-sm-6">
								<label>Height</label>
								<input class="form-control" name="height" type="text" maxlength="5" size="4" value="180" />
							</div>
							<div class="col-sm-6">
								<label>Width</label>
								<input class="form-control" name="width" type="text" maxlength="5" size="4" value="200" />
							</div>	
						</div>	
						<div class="form-group">
							<button type="button" class="btn btn-danger" data-dismiss="modal">Cancel</button>
							<button type="submit" name="create" value="Create" class="btn btn-success">Create</button>
						</div>
					</form>
				  </div>
				</div>
			  </div>
			</div>
			
			<!-- Edit Modal -->
			<div class="modal fade" id="editModal" tabindex="-1" role="dialog" aria-labelledby="editModalLabel">
			  <div class="modal-dialog" role="document">
				<div class="modal-content">
				  <div class="modal-header">
					<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
					<h4 class="modal-title" id="editModalLabel">EDIT ADVERT</h4>
				  </div>
				  <div class="modal-body">
					<form name="Adverts" enctype="multipart/form-data" action="sponsor.php" method="post">  
						<div class="form-group row">
							<div class="col-sm-4">
								<label>Position</label>
								<input type="hidden" name="id" value="" />
								<input class="form-control" name="position" type="text"  maxlength="5" size="5" value= "" />
							</div>
							<div class="col-sm-8">
								<label>Website</label>
								<input class="form-control" name="website" type="text"  maxlength="200" size="40" value= "http://" />
							</div>
						</div>
						<div class="form-group">
							<label>Image</label>
							<input class="form-control" name="image" type="file" accept="jpg,png,gif,jpeg" />
							<input name="imagename" type="hidden" value="" />
						</div>
						<div class="form-group">
							<label>Alternate Text</label>
							<textarea class="form-control" name="alt_txt" rows="3"></textarea>
						</div>
						<div class="form-group row">
							<div class="col-sm-6">
								<label>Height</label>
								<input class="form-control" name="height" type="text" maxlength="5" size="4" value="180" />
							</div>
							<div class="col-sm-6">
								<label>Width</label>
								<input class="form-control" name="width" type="text" maxlength="5" size="4" value="200" />
							</div>	
						</div>	
						<div class="form-group">
							<button type="button" class="btn btn-danger" data-dismiss="modal">Cancel</button>
							<button type="submit" name="update" value="Update" class="btn btn-success">Update</button>
						</div>
					</form>
				  </div>
				</div>
			  </div>
			</div>
			
        	<div class="row">
            	<div id="contenuto" class="col-xs-12">
                    <div class='page-header'>
						<h2>SPONSORS' ADVERTS
							<button class="btn btn-md btn-primary pull-right" data-toggle="modal" data-target="#createModal">CREATE A NEW ADVERT</button>
						</h2>
                    </div>  
                            
					<?php mostraMessaggio();?>

					<table>
						
						<tr>
							<td colspan="2"><div align="left" class="style2 style1 style31"><b>ADVERTS LIST</b></div></td>      
						</tr> 
						<tr>
							<td>
							<?php
							
								$query_adverts = "SELECT * FROM wcrs_adverts WHERE display = 1 or display = 0  ORDER BY display DESC";
								$showAdverts = mysqli_query($connessione,$query_adverts) or die(mysqli_error($connessione));
								if(!empty($showAdverts)){ ?>
								
								<table id="dt" class="table table-bordered table-striped table-hover">
									<thead>
									<tr>
										<th style="width:8%">AD Number</th>
										<th style="width:8%">Position</th>
										<th style="width:20%">Website</th>
										<th style="width:14%">Image</th>
										<th style="width:20%">Alt Text</th>
										<th style="width:8%">Height (in px)</th>
										<th style="width:8%">Width (in px)</th>
										<th style="width:12%">Actions</th>
									</tr>
									</thead>
									<tbody>
									<?php
									// WHILE LOOP TO DISPLAY ADVERTS 
									while($row_showAdverts = mysqli_fetch_assoc($showAdverts))
									{
										$id 			= $row_showAdverts['id'];
										$height 		= $row_showAdverts['height'];
										$width 		    = $row_showAdverts['width'];
										$alt_txt 	    = $row_showAdverts['alt_txt'];
										$image		    = $row_showAdverts['image'];
										$website 	    = $row_showAdverts['website'];
										$position 	    = $row_showAdverts['position'];
										
										?>
										<tr>
											<td><?=$id?></td>
											<td><?=$position?></td>
											<td><?=$website?></td>
											<td><img src="../assets/images/<?=$image?>" height="100px" /></td>
											<td><?=$alt_txt?></td>
											<td><?=$height?></td>
											<td><?=$width?></td>
											<td><?php if ($row_showAdverts['display'] == "1"){ ?><a href="sponsor.php?display=Turn Off&id=<?=$id?>" title="Turn Off" class="btn btn-danger btn-sm"><i class="glyphicon glyphicon-eye-close"></i></a><?php }else{ ?><a href="sponsor.php?display=Display&id=<?=$id?>" title="Display" class="btn btn-primary btn-sm"><i class="glyphicon glyphicon-eye-open"></i></a><?php } ?>&nbsp;&nbsp;<a title="Edit" data-value='<?php echo json_encode($row_showAdverts); ?>' href="#" data-toggle="modal" data-target="#editModal" class="btn btn-sm btn-primary"><i class="glyphicon glyphicon-pencil"></i></a>&nbsp;&nbsp;<a title="Delete" href="sponsor.php?destroy=1&id=<?=$id?>" class="btn btn-sm btn-danger mt-2" onclick="return confirm('Sicuro di voler cancellare questo record?');"><i class="glyphicon glyphicon-trash"></i></a>  </td>
										</tr>
										<?php
									}
								?>
									</tbody>
								</table>
								<?php
								}
							?>
							</td>
						</tr>
                  
					</table>
					
				</div>
            </div>
        </div>
	</div>
</div>
</body>
</html>
          