<?php 
session_start();
require_once("includes/db.inc.php");
require_once("includes/authenticate.inc.php");
require_once("includes/funzioni.inc.php");

$connessione = mysqli_connect(DB_HOSTNAME, DB_USERNAME, DB_PASSWORD, DB_DATABASE);


// pulisco input form login
$username = pulisciStringa($_POST["email"]);
$password = pulisciStringa($_POST["password"]);
$remember = pulisciStringa($_POST["remember"]);
  
// controllo la correttezza dei valori immessi  
if(!checkCampi($username, "Username") || !checkCampi($password, "Password")){
	 header("Location: " . HTTP_SERVER);
     exit();
}
// login
if (login($username, $password, $remember)){ 
	header("Location: ". HTTP_SERVER . "utenti.php");
	exit;
}else{
	$_SESSION["messaggio"] = '<div class="alert alert-danger">Username o password incorretta. Login fallito.</div>';
    header("Location:" . HTTP_SERVER);
    exit;
}   
?>