<?php
session_start();
require_once ("Connections/rounds4sale.php");
require("./vendor/stripe.config.php");
require "./vendor/autoload.php";

function createRandonStr($length){
	$string = md5(uniqid(rand(), true));
	return substr($string, 0, $length);
}	

$connessione = mysqli_connect($hostname_cleaningrounds, $username_cleaningrounds, $password_cleaningrounds, $database_cleaningrounds);
mysqli_set_charset($connessione,"utf8");

$oldSubscr_id = "";
$subsql = "";
$level = null;
if(isset($_GET['level']) && (int)$_GET['level'] > 0){
	$level = $_GET['level'];
	$subsql = ", level=".$_GET["level"];
}


$stripe = new \Stripe\StripeClient(STRIPE_KEY);
    
$active_session = $stripe->checkout->sessions->retrieve($_GET["session"]);
$customer = $active_session->customer;
$subscr_id = $active_session->subscription;
//$subscr_id = "sub_".createRandonStr(28);


/* get the customer details if customer email is blank */
$dbUser = null;
if(isset($_SESSION['session_id']) && (int)$_SESSION['session_id']){
	$query = mysqli_query($connessione,"SELECT * FROM wcrs_users WHERE id = '" . (int)$_SESSION['session_id'] . "'") or die(mysqli_error($connessione));
	$dbUser = mysqli_fetch_array($query);
}else{
	$query = mysqli_query($connessione,"SELECT * FROM wcrs_users WHERE email = '" . $active_session->customer_details->email . "'") or die(mysqli_error($connessione));
	$dbUser = mysqli_fetch_array($query);
}

$oldSubscr_id = $dbUser['subscr_id'];

/* sub query to update subscription details */
if($subscr_id != ""){
	/*$active_subscription = $stripe->subscriptions->retrieve($subscr_id);
	$subscr_date =  $active_subscription->created;
	$subscr_end_date = $active_subscription->current_period_end;
	$subscr_start_date = $active_subscription->current_period_start;*/

	$subscr_date =  Date('H:i:s M d, Y')." PDT";
	if($level == null){
		$level = $dbUser['level'];
	}
	$intervalDays = "+30 Days";

	/*if($level == 1){
		$intervalDays = STD_INTERVAL;
	}else if($level == 2){
		$intervalDays = PRE_INTERVAL;
	}else if($level == 3){
		$intervalDays = TRD_INTERVAL;
	}*/

	$subscr_end_date = Date('Y-m-d', strtotime($intervalDays));

	$subsql .= ", subscr_id='".mysqli_real_escape_string($connessione,$subscr_id)
	."', payer_email='".mysqli_real_escape_string($connessione,$dbUser['email'])."', subscr_date='".mysqli_real_escape_string( $connessione, $subscr_date)."', pay_date='".mysqli_real_escape_string( $connessione, $subscr_date)."', pay_frequency='1 M',  pay_expire='".mysqli_real_escape_string($connessione,$subscr_end_date)."'";
}

/*echo "<pre>";
print_r($active_session);*/
$where = "";
if($customer){
	$where .= " AND cust_id='".$customer."'";
}

mysqli_query($connessione,
	"UPDATE wcrs_users set active=1, pay_status='".mysqli_real_escape_string($connessione,$active_session->payment_status)
	."'". $subsql . " WHERE email = '" . mysqli_real_escape_string($connessione,$dbUser['email']) 
	. "'" . $where) 
	or die(mysqli_error($connessione));

$_SESSION['session_level'] = $level;

/* cancel existing old subscription 
if($oldSubscr_id){
	$old_subscription = $stripe->subscriptions->retrieve($oldSubscr_id);
	if($old_subscription && $old_subscription->status == "active"){
		$stripe->subscriptions->update(
			$old_subscription->id,
			[
				'cancel_at_period_end' => true,
			]
		);
	}
}
*/
?>


<!DOCTYPE html>
<html lang="it">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>Window Cleaning Login</title>
<link href="assets/css/bootstrap.min.css" rel="stylesheet">
<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.3.1/css/all.css" integrity="sha384-mzrmE5qonljUremFsqc01SB46JvROS7bZs3IO2EmfFsd15uHvIt+Y8vEf7N7fWAU" crossorigin="anonymous">
 <link href="assets/css/style.css" rel="stylesheet">
<link href="https://fonts.googleapis.com/css?family=Open+Sans" rel="stylesheet">
</head>
<body>
<div id="wrapper">

	<?php require_once("includes/header.php");?>
  
	<div id="corpo-pagina">
		<div class="container">
			<div class="row">
            
<div class="col-md-6 offset-md-3 text-center ">
	<h2 class="mb40">Payment Successful</h2>
	<h5>OK, <strong><?php echo strtoupper($dbUser['first_name']. " ".$dbUser['last_name']);?></strong>, thank you for the payment.</h5>
	<p class="mb40">Now your account is active and you can login to the account.<br>
    <div class="mb20">
        <button class="btn btn-success btn-lg"><i class="fa fa-check"></i> Payment Successful</button>
    </div>


	<small><strong>Note:</strong> You can cancel the subscription at any time by using the Unsubscribe button in your account settings.</small>   
</div>
       </div>
       </div>

	</div>
    <?php require_once("includes/footer.php");?>
</div>	
</body>
</html>