<?php 
session_start(); 

require_once('Connections/rounds4sale.php');
require_once ("includes/authenticate.inc.php");
require_once ("includes/funzioni.inc.php"); 

$connessione = mysqli_connect($hostname_cleaningrounds, $username_cleaningrounds, $password_cleaningrounds, $database_cleaningrounds);

mysqli_set_charset($connessione,"utf8");

//sessionAuthenticate(HTTP_SERVER);

?>


<?php
	$query = mysqli_query($connessione,"SELECT * FROM wcrs_users WHERE id = '" . (int)$_SESSION['session_id'] . "'") or die(mysqli_error($connessione));
	$row = mysqli_fetch_array($query);

	$first_name = $row['first_name'];
	$last_name = $row['last_name'];
	$email = $row['email'];
	// Get address also
	$address_street = $row['address_street'];
	$address_city = $row['address_city'];
	$address_state = $row['address_state'];
	$address_country = $row['address_country'];
	$address_zip = $row['address_zip'];
	$level = $_POST['level'];
	$oldlevel = $row['level'];
	$custom = $row['id'];
	$token = $row['token'];
    $payfrequncy = $row['pay_frequency'];
	$subscr_id = ($row['subscr_id']) ? $row['subscr_id'] : 'NEW';
	$cust_id = $row['cust_id'];

	/* initialize stripe */
	require("./vendor/stripe.config.php");
	require "./vendor/autoload.php";

	$stripe = new \Stripe\StripeClient(STRIPE_KEY);

	if($level> 0 && $level != 5){

		if($oldlevel != $level){
			/* check if customer exists on stripe */
			/*$stripeCustExists = false;
			if($cust_id){
				$exists = $stripe->customers->retrieve($cust_id,[]);
				if(!empty($exists)){
					$stripeCustExists = true;
				}
			}*/

			if(!$cust_id){
				/*create customer object*/
				try{
					$customer = $stripe->customers->create(
					[
						'email' => $email,
						'name' => $first_name. " " . $last_name,
						'shipping' => [
							'address' => [
								'city' => $address_city,
								'country' => $address_country,
								'line1' => $address_street,
								'postal_code' => $address_zip,
								'state' => $address_state,
							],
							'name' => $first_name. " ".$last_name,
						],
						'address' => [
							'city' => $address_city,
							'country' => $address_country,
							'line1' => $address_street,
							'postal_code' => $address_zip,
							'state' => $address_state,
						],
						"metadata" =>[
							"user" => $custom
						]
					]
					);

					//print_r($customer);
					$cust_id = $customer->id;
					mysqli_query($connessione,
						"UPDATE wcrs_users set cust_id='".mysqli_real_escape_string($connessione,$cust_id)
						."' WHERE email = '" . mysqli_real_escape_string($connessione,$email) 
						. "' AND token = '" . mysqli_real_escape_string($connessione,$token). "'") 
						or die(mysqli_error($connessione));
				}catch(Exception $e){
					echo "<h1>Error</h1>";
					echo "<p>There is an error in Stripe API</p>";
					echo $e->getMessage();
				}
			}


			/* check if subscription exists on stripe 
			$stripeSubExists = false;
			$existingSub = null;
			if($subscr_id){
				$existingSub = $stripe->subscriptions->retrieve($subscr_id,[]);
				if(!empty($existingSub) && $existingSub->status == 'active'){
					$stripeSubExists = true;
				}
			}*/

			$priceId = null;
			if($level == 1){
				$priceId = STD_PRICE_ID;
			}   elseif($level == 2){
				$priceId = PRE_PRICE_ID;
			}elseif($level == 3){
				$priceId = TRD_PRICE_ID;
			}
				
		}

	}else{
		if($level != $oldlevel){
			header("Location: ".HTTP_SERVER."subscription_cancel.php");
			exit;
		}
	}

?>	


<!DOCTYPE html>
<html lang="it">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>Window Cleaning Login</title>
<link href="assets/css/bootstrap.min.css" rel="stylesheet">
<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.3.1/css/all.css" integrity="sha384-mzrmE5qonljUremFsqc01SB46JvROS7bZs3IO2EmfFsd15uHvIt+Y8vEf7N7fWAU" crossorigin="anonymous">
 <link href="assets/css/style.css" rel="stylesheet">
<link href="https://fonts.googleapis.com/css?family=Open+Sans" rel="stylesheet">

<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js"></script>
<script src="assets/js/bootstrap.min.js"></script>
<script>
var text1="Advertise your window cleaning round for sale for free with www.windowcleaningresources.co.uk"
comeback=0
cometo=0
function dis(){
window.status=text1.substring(0,cometo)
if(comeback==1){
cometo--;
if(cometo==0){comeback=0}
} else {cometo++;if(cometo==text1.length){comeback=1}}
window.status=text1.substring(0,cometo)+"|"
if(cometo==text1.length){window.setTimeout("dis()",500);} else {window.setTimeout("dis()",75);}
}
dis()
</script>
</head>
<body>
<div id="wrapper">

	<?php 

	require_once("includes/header.php");
	?>
  
	<div id="corpo-pagina">
		<div class="container">
			<div class="row">
				<div class="col-md-6 offset-md-3 text-center ">
					<h2 class="mb40">Upgrade Membership</h2>
					<?php if($oldlevel == $level){ ?>
						<h5>Dear, <strong><?php echo strtoupper($first_name.' '.$last_name);?></strong>, thank you for choice for a <?php if($level == 1){ ?> STANDARD <?php } elseif($level == 2) {?> PREMIUM <?php } else if($level == 3) { ?> TRADE <?php }else{ ?> FREE <?php } ?> account.</h5>
						<p class="mb40">But, you are already subscribed for the membership you choose.</p>
					<?php } else if($level > 0 && $level < 5){ ?>
						<h5>OK, <strong><?php echo strtoupper($first_name.' '.$last_name);?></strong>, thank you for choice for a <?php if($level == 1){ ?> STANDARD <?php } elseif($level == 2) {?> PREMIUM <?php } else { ?> TRADE <?php } ?> account.</h5>
						<p class="mb40">Now you only need to activate your account by completing the payment process.<br>
							Simply click the Subscribe button below to go through check out.</p>
						<div class="mb20">
							<form method="post" action="payment_checkout.php">
								<input type="hidden" name="first_name" value="<?php echo $first_name; ?>"/>
								<input type="hidden" name="last_name" value="<?php echo $last_name; ?>"/>
								<input type="hidden" name="email" value="<?php echo $email; ?>" />
								<input type="hidden" name="address_street" value="<?php echo $address_street; ?>"/>
								<input type="hidden" name="address_city" value="<?php echo $address_city; ?>" />
								<input type="hidden" name="address_state" value="<?php echo $address_state; ?>" />
								<input type="hidden" name="address_country" value="<?php echo $address_country; ?>" />
								<input type="hidden" name="address_zip" value="<?php echo $address_zip; ?>" />
								<input type="hidden" name="level" value="<?php echo $level; ?>" />
								<input type="hidden" name="uid" value="<?php echo $custom; ?>" />
								<input type="hidden" name="payfrequncy" value="<?php echo $payfrequncy; ?>" />
								<input type="hidden" name="customer_id" value="<?php echo $cust_id; ?>" />
								<input type="hidden" name="subscr_id" value="<?php echo $subscr_id; ?>" />

								<input class="btn btn-lg btn-success" style="font-size:18px;" type="submit" name="submit" value="Subscribe" />

							</form>	
						</div>
						<small><strong>Note:</strong> You can cancel the subscription at any time by using the Unsubscribe button in your account settings.</small>   
					<?php }?>
				</div>
			</div>
		</div>
	</div>
    <?php require_once("includes/footer.php");?>
</div>	
</body>
</html>