<?php
require_once ("Connections/rounds4sale.php");

// connessione database, forzatura del charset
$connessione = mysqli_connect($hostname_cleaningrounds, $username_cleaningrounds, $password_cleaningrounds, $database_cleaningrounds);
mysqli_set_charset($connessione,"utf8");

	// Create a random 6 character password...
	function createRandonStr($length){
		$string = md5(uniqid(rand(), true));
		return substr($string, 0, $length);
	}
	
	if (true == isset($_POST['first_name'])) {
	    	$errori = array();
	    
	    if (strlen(trim($_POST['g-recaptcha-response'])) < 1) {
			//$errori['captcha'] = '<strong>Invalid Captcha</strong>!';
		}	
        $response=file_get_contents("https://www.google.com/recaptcha/api/siteverify?secret=6Le1ErMbAAAAAGpf9_z2lMfnK_wJrEy44Zv15ceh&response=".$_POST['g-recaptcha-response']."&remoteip=".$_SERVER['REMOTE_ADDR']);
        $googleobj = json_decode($response);
        $verified = $googleobj->success;
        /*if ($verified != true){
            $errori['captcha'] = '<strong>Invalid Captcha</strong>!';
        }*/


	
		if ((strlen(trim($_POST['first_name'])) < 1) || (strlen(trim($_POST['first_name'])) > 32)) {
			$errori['first_name'] = '<strong>First Name</strong> must be between 1 and 32 characters!';
		}

		if ((strlen(trim($_POST['last_name'])) < 1) || (strlen(trim($_POST['last_name'])) > 32)) {
			$errori['last_name'] = '<strong>Last Name</strong> must be between 1 and 32 characters!';
		}

	
		if ((strlen($_POST['email']) > 96) || !filter_var($_POST['email'], FILTER_VALIDATE_EMAIL)) {
			$errori['email'] = '<strong>E-Mail Address</strong> does not appear to be valid!';
		}else{
			$query = mysqli_query($connessione,"SELECT COUNT(*) AS total FROM wcrs_users WHERE LOWER(email) = '" . mysqli_real_escape_string($connessione,strtolower($_POST['email'])) . "'");
			$row = mysqli_fetch_array($query);
			if($row['total']){
				$errori['email_duplicate'] = '<strong>E-Mail Address</strong> is already registered! Please go to <a href="login_form.php"><strong>login page</strong></a>';
			}		
		}
		
		if ($_POST['email_confirm'] != $_POST['email']) {
			$errori['email_confirm'] = '<strong>Email confirmation</strong> does not match email!';
		}
		
		if ((strlen(html_entity_decode($_POST['password'], ENT_QUOTES, 'UTF-8')) < 4) || (strlen(html_entity_decode($_POST['password'], ENT_QUOTES, 'UTF-8')) > 40)) {
			$errori['password'] = '<strong>Password</strong> must be between 4 and 20 characters!';
		}

		if ($_POST['confirm'] != $_POST['password']) {
			$errori['confirm'] = '<strong>Password confirmation</strong> does not match password!';
		}		

		if (strlen(trim($_POST['level'])) < 1) {
			$errori['level'] = 'Choose your <strong>membership package!</strong>';
		}
		
		if (strlen(trim($_POST['address_city'])) < 1) {
			$errori['address_city'] = 'Choose your <strong>town!</strong>';
		}	
		
		if (strlen(trim($_POST['contact_no'])) < 1) {
			$errori['contact_no'] = 'Please add <strong>Phone!</strong>';
		}		
		
		/*if (strlen(trim($_POST['address_state'])) < 1) {
			$errori['address_state'] = 'Choose your <strong>county!</strong>';
		}*/
		
		if (strlen(trim($_POST['id_country'])) < 1) {
			$errori['id_country'] = 'Choose your <strong>region!</strong>';
		}

		if (strlen(trim($_POST['address_zip'])) < 1) {
			$errori['address_zip'] = 'Choose your <strong>post code!</strong>';
		}		

		if (!isset($_POST['agree'])) {
			$errori['warning'] = 'You must agree to the <strong>Terms and Conditions</strong>!';
		}		
	
	if (!$errori) {
		
			// record the date registered
			$date_registered = date('j F Y');
		
			// attivo account solo esegue la registrazione gratuita
			$active = "1";
			
			$livello = $_POST['level'];
		
			// Generate a password and salt	
			$salt = createRandonStr(3);
			$token = createRandonStr(32);
			$password = $_POST['password'];

			$hash = sha1($password);
			$hash = sha1($salt . $hash);
		
			// Add client to the database
	   
			/*
			$query = "INSERT INTO wcrs_users ( email, password, salt, level, 
						date_registered,  pay_date, pay_status, subscr_id, 
						first_name, last_name, address_street, address_city, 
						address_state, address_country, address_zip, address_status,
						legit, active )
				VALUES ( '$email' , '$hash' , '$salt', '$myLevel', 
						 '$date_registered', '$pay_date', '$pay_status', 
						 '$subscr_id', '$first_name', '$last_name',
						 '$address_street', '$address_city', '$address_state',
						 '$address_country', '$address_zip', '$address_status',
						 '$legit', '$active' );";		
			*/

			/* $_POST['address_state'] is removed from form but not from query so setting it blank */

			$_POST['address_state'] = "";

			mysqli_query($connessione,"INSERT INTO wcrs_users SET email = '" . mysqli_real_escape_string($connessione,$_POST['email']). "', password = '" . $hash. "',salt = '" . $salt. "', token = '" . $token. "', level = '" . (int)$livello. "', date_registered = '" . mysqli_real_escape_string($connessione,$date_registered). "', first_name = '" . mysqli_real_escape_string($connessione,$_POST['first_name']). "', last_name = '" . mysqli_real_escape_string($connessione,$_POST['last_name']). "', address_street = '" . mysqli_real_escape_string($connessione,$_POST['address_street']). "', address_street2 = '" . mysqli_real_escape_string($connessione,$_POST['address_street2']). "', address_city = '" . mysqli_real_escape_string($connessione,$_POST['address_city']). "', address_state = '" . mysqli_real_escape_string($connessione,$_POST['address_state']). "',id_country=0, county_id = '" . (int)$_POST['id_country']. "', contact_no = '" . mysqli_real_escape_string($connessione,$_POST['contact_no']). "', address_zip = '" . mysqli_real_escape_string($connessione,$_POST['address_zip']). "', active = '0', autonotify = '1', date_registration = NOW()") or die(mysqli_error($connessione)); 
			
			$id = mysqli_insert_id($connessione);
			
			mysqli_query($connessione,"INSERT INTO wcrs_users_newsletter SET id_user = '".(int)$id."', id_country = '" . (int)$_POST['id_country']. "'");

			$subject = "Window Cleaning Rounds For Sale";				
			$from = "From: info@windowcleaningroundforsale.co.uk" . "\r\n";	

			// free	
			if($livello == 5){
				$body = "Your login for the Window Cleaning Rounds For Sale site is : \n\n";  
				$body .= "Email address : " . $_POST['email'] . "\n";
				$body .= "Password      : " . $password . "\n\n";
				$body .= "Please complete the activate account using the link below. \n";  	
				//$body .= HTTP_SERVER . "payment.php?email=". $_POST['email'] ."&token=".$token . "\n\n"; 
				$body .= HTTP_SERVER . "/check_account.php?t=".$token. "\n\n"; 
				$body .= "If the link does not work then copy and paste it into your web browser." . "\n\n"; 
				$body .= "NOTE: Your account will remain inactive until this step is completed \n\n"; 		   
				$body .= "Many thanks, The Administrator.\n\n";
				$body .= "www.windowcleaningroundforsale.co.uk \n\n";	
				@mail($_POST['email'], $subject, $body, $from);
				// header("Location: register_success.php?email=". $_POST['email'] ."&token=".$token);
				?>
				<script type='text/javascript'>
				window.location.href = 'register_success.php?email=<?php echo $_POST['email'] ?>&token=<?php echo $token ?>';
				</script>
				<?php
				exit();				
			}else{
				$body = "Your login for the Window Cleaning Rounds For Sale site is : \n\n";  
				$body .= "Email address : " . $_POST['email'] . "\n";
				$body .= "Password      : " . $password . "\n\n";
				$body .= "If you have not yet paid please complete the payment process using the link below. \n";  	
				$body .= HTTP_SERVER . "/payment.php?email=". $_POST['email'] ."&token=".$token . "\n\n";  
				$body .= "NOTE: Your account will remain inactive until this step is completed \n\n"; 		   
				//$body = $body . "We recommend changing this password as soon as possible.\n\n";
				$body .= "Many thanks, The Administrator.\n\n";
				$body .= "www.windowcleaningroundforsale.co.uk \n\n";
				@mail($_POST['email'], $subject, $body, $from);
				// header("Location: payment.php?email=". $_POST['email'] ."&token=".$token);
				?>
				<script type='text/javascript'>
				window.location.href = 'payment.php?email=<?php echo $_POST['email'] ?>&token=<?php echo $token ?>';
				</script>
				<?php
				exit();				
			}
			
		}
}


	if (isset($_POST['contact_no'])) {
		$contact_no = $_POST['contact_no'];
	} elseif (!empty($data)) { 
		$contact_no = $data['contact_no'];
	} else {
		$contact_no = "";
	}
	if (isset($_POST['email'])) {
		$email = $_POST['email'];
	} elseif (!empty($data)) { 
		$email = $data['email'];
	} else {
		$email = "";
	}
	
	if (isset($_POST['email_confirm'])) {
		$email_confirm = $_POST['email_confirm'];
	} elseif (!empty($data)) { 
		$email_confirm = $data['email_confirm'];
	} else {
		$email_confirm = "";
	}	

	if (isset($_POST['first_name'])) {
		$first_name = $_POST['first_name'];
	} elseif (!empty($data)) { 
		$first_name = $data['first_name'];
	} else {
		$first_name = "";
	}
	
	if (isset($_POST['last_name'])) {
		$last_name = $_POST['last_name'];
	} elseif (!empty($data)) { 
		$last_name = $data['last_name'];
	} else {
		$last_name = "";
	}

	if (isset($_POST['address_street'])) {
		$address_street = $_POST['address_street'];
	} elseif (!empty($data)) { 
		$address_street = $data['address_street'];
	} else {
		$address_street = "";
	}
	
	if (isset($_POST['address_street2'])) {
		$address_street2 = $_POST['address_street2'];
	} elseif (!empty($data)) { 
		$address_street2 = $data['address_street2'];
	} else {
		$address_street2 = "";
	}	
	
	if (isset($_POST['address_city'])) {
		$address_city = $_POST['address_city'];
	} elseif (!empty($data)) { 
		$address_city = $data['address_city'];
	} else {
		$address_city = "";
	}

	/*if (isset($_POST['address_state'])) {
		$address_state = $_POST['address_state'];
	} elseif (!empty($data)) { 
		$address_state = $data['address_state'];
	} else {
		$address_state = "";
	}*/
	$address_state = "";
	
	if (isset($_POST['id_country'])) {
		$id_country = $_POST['id_country'];
	} elseif (!empty($data)) { 
		$id_country = $data['id_country'];
	} else {
		$id_country = "";
	}

	if (isset($_POST['address_zip'])) {
		$address_zip = $_POST['address_zip'];
	} elseif (!empty($data)) { 
		$address_zip = $data['address_zip'];
	} else {
		$address_zip = "";
	}

	if (isset($_POST['level'])) {
		$level = $_POST['level'];
	} elseif (!empty($data)) { 
		$level = $data['level'];
	} else {
		$level = $_GET['level'];
	}		
?>
<!DOCTYPE html>
<html lang="it">
<head>
<meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1">
<title>Window Cleaning Login</title>
<link href="assets/css/bootstrap.min.css" rel="stylesheet">
<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.3.1/css/all.css" integrity="sha384-mzrmE5qonljUremFsqc01SB46JvROS7bZs3IO2EmfFsd15uHvIt+Y8vEf7N7fWAU" crossorigin="anonymous">
 <link href="assets/css/style.css" rel="stylesheet">
<link href="https://fonts.googleapis.com/css?family=Open+Sans" rel="stylesheet">

<script src="https://ajax.googleapis.com/ajax/libs/jquery/1.11.3/jquery.min.js"></script>
<script src="assets/js/bootstrap.min.js"></script>
<script src='https://www.google.com/recaptcha/api.js'></script>
<script>
var text1="Advertise your window cleaning round for sale for free with www.windowcleaningresources.co.uk"
comeback=0
cometo=0
function dis(){
window.status=text1.substring(0,cometo)
if(comeback==1){
cometo--;
if(cometo==0){comeback=0}
} else {cometo++;if(cometo==text1.length){comeback=1}}
window.status=text1.substring(0,cometo)+"|"
if(cometo==text1.length){window.setTimeout("dis()",500);} else {window.setTimeout("dis()",75);}
}
dis()
</script>
</head>
<body>
<div id="wrapper">

	<?php require_once("includes/header.php");?>
    
	<div id="corpo-pagina">
		<div class="container">
			<div class="row">
            
 <div class="col-md-6 offset-md-3">
	<h2 class="text-center mb40">Register for Membership</h2>
			<?php 
			//mostraMessaggio();
			
			if(!empty($errori)){ 
				
				foreach($errori as $errore){
					echo '<div class="alert alert-danger">';
					echo $errore;
					echo '</div>';
				}
			}
			?> 
    <form name="register" action="register.php" method="post">
	
		<div class="form-row">
			<div class="form-group col-md-6">
			  <input type="text" class="form-control" name="first_name" value="<?php echo $first_name; ?>" placeholder="First Name *">
			</div>
			<div class="form-group col-md-6">
			  <input type="text" class="form-control"  name="last_name" value="<?php echo $last_name; ?>" placeholder="Last Name *">
			</div>
		  </div>	
	
		<div class="form-row">
			<div class="form-group col-md-12">
			  <input type="text" class="form-control" name="address_street" value="<?php echo $address_street; ?>" placeholder="Address Line 1">
			</div>
		</div>
		
		<div class="form-row">
			<div class="form-group col-md-12">
			  <input type="text" class="form-control" name="address_street2" value="<?php echo $address_street2; ?>" placeholder="Address Line 2">
			</div>
		</div>		
	
		<div class="form-row">
			<div class="form-group col-md-6">
			  <input type="text" class="form-control" name="address_city" value="<?php echo $address_city; ?>" placeholder="Town *">
			</div>
			<?php /* ?>
			<div class="form-group col-md-6">
			  <input type="text" class="form-control"  name="address_state" value="<?php echo $address_state; ?>" placeholder="County *">
			</div>
			<?php */ ?>
		</div>
		
		<div class="form-row">
			<div class="form-group col-md-6">
                            <select name="id_country" class="form-control">
                                <option value="">Region *</option>                            
								<?php 
                                //$query_cat = mysqli_query($connessione,"SELECT * FROM country ORDER BY postcode_required DESC, id_country ASC");
                                $loc_query_county = "SELECT * FROM tbl_county where 1 order by county_group_priority ASC";
                                $loc_exe_query_county   = mysqli_query($connessione,$loc_query_county);
                                //while($row_cat = mysqli_fetch_array($query_cat)) { 
                              		$loc_prev_county_group = '';
									while($row =mysqli_fetch_array($loc_exe_query_county)){
									    $loc_curr_county_group = $row['county_group'];
									    if($loc_prev_county_group != $loc_curr_county_group) {
									        if($loc_prev_county_group != '') {
									            echo '</optgroup>';
									        }
									        echo '<optgroup label="'.$loc_curr_county_group.'">';
									    }
									
									    $loc_prev_county_group = $loc_curr_county_group;
									?>
									    <option value="<?php echo $row['county_id'] ?>"><?php echo $row['county_name'] ?></option>
								<?php	}
								echo '</optgroup>';
												       ?>
                            </select>			
			</div>
			<div class="form-group col-md-6">
			  <input type="text" class="form-control"  name="address_zip" value="<?php echo $address_zip; ?>" placeholder="Post Code *">
			</div>
		</div>			
	
		<div class="form-row">
			<div class="form-group col-md-12">
				<lable style="margin-bottom:5px; display:block">Please ensure this is correct for verification purposes</lable>
				<input type="text"  class="form-control" name="contact_no" value="<?php echo $contact_no; ?>" placeholder="Phone *" >
			</div>
		</div>	
	
		<div class="form-row">
			<div class="form-group col-md-12">
				<input type="text"  class="form-control" name="email" value="<?php echo $email; ?>" placeholder="Email *" >
			</div>
		</div>
		
		<div class="form-row">
			<div class="form-group col-md-12">
				<input type="text"  class="form-control" name="email_confirm" value="<?php echo $email_confirm; ?>" placeholder="Repeat Email *" onpaste="return false;" onCopy="return false">
			</div>
		</div>		
		
		<div class="form-row">
			<div class="form-group col-md-6">
				<input type="password"  class="form-control" name="password" placeholder="Password *" >
			</div>
			<div class="form-group col-md-6">
				<input type="password"  class="form-control" name="confirm" placeholder="Repeat Password *" >
			</div>
		</div>
		<div class="form-row hide-dd-pkg">		
			<div class="form-group col-md-12">
				<select class="form-control" name="level">
					<option value="">Choose your membership package *</option>
                    <option value="5" <?php if($level==5) echo 'selected';?>>Free membership</option>
					<option value="1" <?php if($level==1) echo 'selected';?>>Standard membership</option>
					<option value="2" <?php if($level==2) echo 'selected';?>>Premium membership</option>
					<option value="3" <?php if($level==3) echo 'selected';?>>Trade membership</option>
				</select>
			</div>	
		</div>
		  <div class="form-check text-center mb20">
			<input type="checkbox" class="form-check-input" name="agree" id="exampleCheck1">
			<label class="form-check-label" for="exampleCheck1">I accept the <a href="#" data-toggle="modal" data-target="#myModal">Terms and Conditions</a></label>
		  </div>
		  
		  <div class="form-group col-md-12">
		  <div class="g-recaptcha" data-sitekey="6Le1ErMbAAAAAMdHHIyv-Fab7S3QVhfVGRu_TUH7"></div>
		 </div>
		 
		<div class="text-center">
			<button type="submit" class="btn btn-primary mb20">Register</button>
		</div>
</form> 

       
       </div>
       </div>
       </div>

	</div>
    <?php require_once("includes/footer.php");?>
</div>
<!-- The Modal -->
<div class="modal" id="myModal">
  <div class="modal-dialog modal-lg">
    <div class="modal-content">

      <!-- Modal Header -->
      <div class="modal-header">
        <h4 class="modal-title">Terms and Conditions</h4>
        <button type="button" class="close" data-dismiss="modal">&times;</button>
      </div>

      <!-- Modal body -->
   <div class="modal-body">
<p>We at <strong>Window Cleaning Resources</strong> and our affiliated companies worldwide are committed to respecting your online privacy and recognize your need for appropriate protection and management of any personally identifiable information ("Personal Information") you share with us.</p>

<p><strong>Window Cleaning Resources</strong> has established this Online Privacy Policy so that you can understand the care with which we intend to treat your Personal Information.<p>

<p>Personal Information means any information that may be used to identify an individual, including, but not limited to, a first and last name, a home or other physical address and an email address or other contact information, whether at work or at home. In general, you can visit our Web pages without telling us who you are or revealing any Personal Information about yourself.<p>

<p>If you choose to provide us with your Personal Information on the Web, we may transfer that Information within  <strong>Window Cleaning Resources</strong>  or to our third-party service providers, across borders, and from your country or jurisdiction to other countries or jurisdictions around the world.</p>
<p><strong>Window Cleaning Resources</strong>  strives to comply with all applicable laws around the globe that are designed to protect your privacy. Although legal requirements may vary from country to country,  <strong>Window Cleaning Resources</strong> intends to adhere to the principles set forth in this Online Privacy Policy even if, in connection with the above, we transfer your Personal Information from your country to countries that may not require an "adequate" level of protection for your Personal Information. In other words, our goal is to provide protection for your Personal Information no matter where that Personal Information is collected, transferred, or retained.</p>

<h6>Cookies and Other Tracking Technologies</h6>
<p>Some of our Web pages utilize "cookies" and other tracking technologies. A "cookie" is a small text file that may be used, for example, to collect information about Web site activity. Some cookies and other technologies may serve to recall Personal Information previously indicated by a Web user. Most browsers allow you to control cookies, including whether or not to accept them and how to remove them.</p>
<p>You may set most browsers to notify you if you receive a cookie, or you may choose to block cookies with your browser, but please note that if you choose to erase or block your cookies, you will need to re-enter your original user ID and password to gain access to certain parts of the Web site.</p>
<p>Tracking technologies may record information such as Internet domain and host names; Internet protocol (IP) addresses; browser software and operating system types; clickstream patterns; and dates and times that our site is accessed. Our use of cookies and other tracking technologies allows us to improve our Web site and your Web experience. We may also analyze information that does not contain Personal Information for trends and statistics.</p>
<p>To protect your privacy, we have adopted the following principles:<br>
<strong>* Notice</strong><br>
<strong>* Choice</strong><br>
<strong>* Security</strong><br>
<strong>* Access/Accuracy</strong>
</p>
<h6>Notice</h6>
<p>Where  <strong>Window Cleaning Resources</strong>  collects Personal Information on the web, we intend to post a purpose statement that explains why Personal Information will be collected and whether we plan to share such Personal Information outside of  <strong>Window Cleaning Resources</strong>  or those working on  <strong>Window Cleaning Resources</strong>'s behalf.  <strong>Window Cleaning Resources</strong>  does not intend to transfer Personal Information without your consent to third parties who are not bound to act on  <strong>Window Cleaning Resources</strong> behalf unless such transfer is legally required.</p>
<h6>Choice</h6>
<p>You may choose whether or not to provide Personal Information to  <strong>Window Cleaning Resources</strong>. The notice we intend to provide where  <strong>Window Cleaning Resources</strong>  collects Personal Information on the Web should help you to make this choice. If you choose not to provide the Personal Information we request, you can still visit most of  <strong>Window Cleaning Resources</strong> Web sites, but you may be unable to access certain options, offers, and services that involve our interaction with you.</p>
<p>If you chose to have a relationship with  <strong>Window Cleaning Resources</strong>, such as a contractual or other business relationship or partnership, we will naturally continue to contact you in connection with that business relationship.</p>
<h6>Security</h6>
<p>Wherever your Personal Information may be held within  <strong>Window Cleaning Resources</strong>  or on its behalf, we intend to take reasonable and appropriate steps to protect the Personal Information that you share with us from unauthorized access or disclosure.</p>
<h6>Access/Accuracy</h6>
<p>To the extent that you do provide us with Personal Information,  <strong>Window Cleaning Resources</strong>  wishes to maintain accurate Personal Information. Where we collect Personal Information from you on the Web, our goal is to provide a means of contacting  <strong>Window Cleaning Resources</strong>  should you need to update or correct that Information. If for any reason those means are unavailable or inaccessible, you may send updates and corrections about your Personal Information to   info@windowcleaningresources.co.uk  and we will make reasonable efforts to incorporate the changes in your Personal Information that we hold as soon as practicable.</p>
<h6>Third Party Services</h6>
<p>Third parties provide certain services available on  www.windowcleaningresources.co.uk  on  <strong>Window Cleaning Resources</strong> behalf.  <strong>Window Cleaning Resources</strong>  may provide information, including Personal Information, that  <strong>Window Cleaning Resources</strong>  collects on the Web to third-party service providers to help us deliver programs, products, information, and services. Service providers are also an important means by which  <strong>Window Cleaning Resources</strong> maintains its Web site and mailing lists.  <strong>Window Cleaning Resources</strong>  will take reasonable steps to ensure that these third-party service providers are obligated to protect Personal Information on  <strong>Window Cleaning Resources</strong> behalf.</p>
<p><strong>Window Cleaning Resources</strong>  does not intend to transfer Personal Information without your consent to third parties who are not bound to act on  <strong>Window Cleaning Resources</strong> behalf unless such transfer is legally required. Similarly, it is against  <strong>Window Cleaning Resources</strong> policy to sell Personal Information collected online without consent.</p>
<h6>Children's Privacy</h6>
<p>www.windowcleaningresources.co.uk  is not structured to attract children. Accordingly, we do not intend to collect Personal Information from anyone we know to be under 13 years of age.</p>
<h6>Commitment</h6>
<p>If you have any comments or questions regarding our Online Privacy Policy, please contact us at   info@windowcleaningresources.co.uk. While we cannot guarantee privacy perfection, we will address any issue to the best of our abilities as soon as possible.</p>
<h6>Your Consent</h6>
<p>By using this Web site, you consent to the terms of our Online Privacy Policy and to  <strong>Window Cleaning Resources</strong> processing of Personal Information for the purposes given above as well as those explained where  <strong>Window Cleaning Resources</strong>  collects Personal Information on the Web. Should the Online Privacy Policy change, we intend to take every reasonable step to ensure that these changes are brought to your attention by posting all changes prominently on our web site for a reasonable period of time.</p>


<h6>Disclaimer</h6>

<p>The information contained on <strong>Window Cleaning Resources</strong> and its sister sites is for general information purposes only. The information is provided by <strong>Window Cleaning Resources</strong> and while we endeavour to keep the information up to date and correct, we make no representations or warranties of any kind, express or implied, about the completeness, accuracy, reliability, suitability or availability with respect to the website or the information, products, services, or related graphics contained on <strong>Window Cleaning Resources</strong> or its sister sites for any purpose. Any reliance you place on such information is therefore strictly at your own risk.</p>
<p>We accept no responsibility for the consequences of any transactions made as a result of third party advertising on our site including adverts appearing on our sister site, www.windowcleaningroundforsale.co.uk</p>
<p>In no event will we be liable for any loss or damage including without limitation, indirect or consequential loss or damage, or any loss or damage whatsoever arising from loss of data or profits arising out of, or in connection with, the use of <strong>Window Cleaning Resources</strong>.</p>
<p>Through <strong>Window Cleaning Resources</strong> you are able to link to other websites which are not under our control.  We have no control over the nature, content and availability of those sites. The inclusion of any links does not necessarily imply a recommendation or endorse the views expressed within them.</p>
<p>Every effort is made to keep <strong>Window Cleaning Resources</strong> up and running smoothly. However, <strong>Window Cleaning Resources</strong> takes no responsibility for, and will not be liable for, any of our websites being temporarily unavailable due to technical issues beyond our control or otherwise.</p>

      </div>

      <!-- Modal footer -->
      <div class="modal-footer">
        <button type="button" class="btn btn-danger" data-dismiss="modal">Close</button>
      </div>

    </div>
  </div>
</div>	
</body>
</html>